=== gedit 2.26.1 ===

2009-04-13  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.26.1 release

2009-04-11  Paolo Borelli  <pborelli@katamail.com>

	* plugin-loaders/c/gedit-plugin-loader-c.c:
	* gedit/gedit-object-module.c:
	* gedit/gedit-object-module.h:
	* gedit/gedit-plugins-engine.c:
	Make all C plugin resident since they may use libraries that
	do not deal well with reload. Python plugins are already
	resident.

2009-04-11  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-document.c: do not apply tags to the empty
	string matches when clearing search highlighting.
	Bug #578461, found by Zach Kanzler.

2009-04-09  Paolo Borelli  <pborelli@katamail.com>

	* gedit/smclient/eggsmclient-xsmp.c:
	Updated from libegg.

2009-04-08  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/data/Makefile.am:
	* plugins/snippets/data/fortran.xml:
	
	Added snippets for Fortran 95 (by Jens Domke)

2009-04-08  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/smclient/eggsmclient.c:
	* gedit/smclient/eggdesktopfile.c:
	Updated smclient.

2009-04-08  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/changecase/gedit-changecase-plugin.c:
	Fixed memory leak. (Fixes bug #578288).

2009-04-01  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* win32/gedit.iss.in:
	Now you can choose if you want a desktop icon or a quicklaunch
	icon.

2009-03-22  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/gedit-gio-document-saver.c:
	Use g_slice_new instead of gnew.

2009-03-21  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/gedit-commands-search.c:
	Use g_slice_new instead of gnew.

=== gedit 2.26.0 ===

2009-03-15  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.26.0 release

2009-03-15  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-session.c: load all groups starting
	with "gedit window" from the saved session key file.
	Patch by Vincent Untz.

2009-03-14  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-document-saver.c:
	* gedit/gedit-local-document-saver.c:
	Make sure to fsync the files to disk when saving.

2009-03-04  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/dialogs/gedit-search-dialog.c:
	Connect the changed signal to the editable instead
	of the combobox making the search button sensitive when needing
	to avoid problems with new versions of gtk+. (Fixes bug #574059).

2009-03-03  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-app.c: correctly check viewport when
	fullscreen. Bug #559280. Patch by Vassily Gavrilyak.

=== gedit 2.25.8 ===

2009-03-01  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.25.8 release

2009-03-01  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit-message-bus.c:
	Fixed unregister_all to not remove items from a hash table while
	iterating over the hash table (uses g_hash_table_foreach_remove
	instead)

2009-03-01  Paolo Borelli  <pborelli@katamail.com>

	* plugins/modelines/modeline-parser.c:
	Fix logic use to select lines to scan for modelines to
	be more careful about empty lines and end of buffer.

2009-03-01  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser-messages.c:
	fixed crasher bug when deactivating file browser (caused
	by not unregistering a signal properly)

2009-03-01  Paolo Borelli  <pborelli@katamail.com>

	* plugins/taglist/gedit-taglist-plugin-parser.c:
	plug some minor leaks.

2009-03-01  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-utils.c: properly handle vararg in error path.
	* plugins/time/gedit-time-plugin.c: handle error more correctly.

2009-03-01  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac: add AC_SYS_LARGEFILE. Bug #571632.

2009-02-28  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-utils.[ch]:
	* gedit/gedit-window.c:
	* gedit/gedit-tab.c:
	Improve how the dirname in the titlebar is shown for remote files
	which have a mount name. Bug #573286, based on a patch by Ignacio
	Casal Quinteiro.

2009-02-25  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-plugin.c:
	* gedit/gedit-plugins-engine.c:
	Chain up to the parent's finalize

2009-02-24  Paolo Borelli  <pborelli@katamail.com>

	* plugin-loaders/python/gedit-plugin-loader-python.c:
	Use g_strerror

2009-02-23  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-utils.h: fix compiler warning on 64 bit in the
	boolean to pointer macros

2009-02-22  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	Bump required gtksourceview version to match reality.

2009-02-22  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-utils.c:
	* gedit/gedit.c:
	* gedit/gedit-document.c:
	* gedit/gedit-commands.h:
	* gedit/gedit-commands-file.c:

	Try to handle better strange filenames passed on the command line that
	contain	columns. Fixes bug #572746. I think there are still corner
	cases where we do not properly handle uri vs filename-with-columns,
	but probably the logic (if solvable at all) should go in
	g_file_new_for_command_line_arg. 

2009-02-17  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugin-loaders/python/bindings/geditmessage.override:
	* plugin-loaders/python/bindings/gedit.override:
	
	Fixed some embarassing typos in geditmessage.override and some compiler
	warnings about unused variables (fixes #572101)

=== gedit 2.25.7 ===

2009-02-16  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.25.6 release

2009-02-16  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-tab.c:
	* gedit/gedit-io-error-message-area.c:
	Handle G_IO_ERROR_CANT_CREATE_BACKUP

2009-02-16  Sebastien Bacher  <seb128@ubuntu.com>

	* plugins/time/Makefile.am: install the .ui in the correct directory
      (#571564)

2009-02-09  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit-window.c: use gedit_document_set_language instead of 
	gtk_source_buffer_set_language (so that it is correctly stored in 
	the metadata)

2009-02-08  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/snippets/data/chdr.xml:
	* plugins/snippets/data/c.xml:
	Add ginterface snippets.

2009-02-07  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* help/C/gedit.xml:
	Add cobalt theme.

2009-02-03  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* gedit/smclient/Makefile.am:
	Fix smclient libs on cycgwin. Bug #570582.

2009-02-03  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/dialogs/gedit-preferences-dialog.c:
	Don't crash when removing scheme color. (Fixes #bug 570391).

=== gedit 2.25.6 ===

2009-02-03  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.25.6 release

2009-02-02  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/filebrowser/gedit-file-browser-store.c:
	Use g_slice_new instead of g_new.

2009-02-01  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/filebrowser/gedit-file-browser-widget.c:
	Ellipsize the combobox.

2009-01-30  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/gedit-view.c:
	* gedit/Makefile.am:
	* configure.ac:
	Don't use sexy-icon-entry when gtk+ >= 2.15.0. (Fixes bug #569485)

2009-01-24  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-commands-file.c: synchronously check if a
	document has been deleted only for local files, since
	for remote files it may hang.

2009-01-24  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-window.c:
	* gedit/gedit-prefs-manager-app.c:
	Improve logic used to track, save and restore the state
	of panes, so that it is properly restored.

2009-01-24  Josselin Mouette <joss@malsain.org>

	* plugins/externaltools/tools/library.py:
	Use LC_MESSAGES to determine the current language for the 
	external tools.
	Fixes bug#568953.

2009-01-23  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-window.c:
	Use the proper API to get the action from the proxy.

=== gedit 2.25.5 ===

2009-01-19  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.25.5 release

2009-01-16  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/gedit-plugin-manager.c:
	* gedit/gedit-plugins-engine.c:
	* gedit/gedit-plugins-engine.h:
	Rescan plugins when creating the manager.

2009-01-15  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser-plugin.c: fixed 
	'Open Terminal Here' sensitivity and correct icon. 
	
2009-01-13  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-dirs.[ch]:
	* gedit-plugins-engine:
	Do not look for plugin loaders in the home dir.

2009-01-12  Kjartan Maraas  <kmaraas@gnome.org>

	* plugins/pythonconsole/pythonconsole/config.ui: Don't translate
	widget labels.

2009-01-12  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser-plugin.c: fixed initializing 
	window data to 0 (prevents incorrect removal of gconf watches when they
	are not actually installed)
	
2009-01-12  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit-message-type.c: fixed correctly setting optional argument
	types
	
2009-01-11  Gian Mario Tagliaretti  <gianmt@gnome.org>

	* gedit/gedit-view.c: (gedit_view_set_font) small doc fix.

2009-01-11  Paolo Borelli  <pborelli@katamail.com>

	* plugins/pythonconsole/pythonconsole/console.py: properly handle
	modifiers on key_press_event, patch by B. Clausius, bug #567364.

2009-01-10  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/gedit-window-private.h:
	* gedit/gedit-window.c:
	Add animation to fullscreen controls.

2009-01-08  Paolo Borelli  <pborelli@katamail.com>

	* plugins/pythonconsole/pythonconsole/*: Add a config dialog
	to set console colors, patch by B. Clausius, bug #566010.
	
2009-01-08  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/gedit-window.c:
	Fix bug hidding the fullscreen controls.

2009-01-07  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-statusbar.c: try to be smarter when sizing the
	statusbar ln/col and overwrite areas.

2009-01-07  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-window.c: hide the status combos when no document
	is open.

2009-01-07  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/externaltools/tools/tools.ui: fix problem with strings not
	being translated (fixes bug #559117).

2009-01-07  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/gedit-ui.h:
	Fix string.

2009-01-07  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/gedit-window-private.h:
	* gedit/gedit-ui.h:
	* gedit/gedit-ui.xml:
	* gedit/gedit-window.c:
	* gedit/gedit-window.h:
	* gedit/gedit-commands.h:
	* gedit/gedit-commands-view.c:
	Added new fullscreen mode. (Fixes bug #520749).

2009-01-06  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/gedit-window.c:
	Fix bug showing warning.

2009-01-06  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugin-loaders/python/bindings/geditmessage.override: fix function
	with no return value. Patch by Magnus Boman (fixes #566686)

=== gedit 2.25.4 ===

2009-01-05  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.25.4 release

2009-01-05  Paolo Borelli  <pborelli@katamail.com>

	* plugins/externaltools/tools/manager.py: do not add an extra new
	line each time a tool is modified and saved. (Bug #566576)

2009-01-05  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit-message-bus.c:
	* gedit/gedit-message-bus.h:
	* gedit/gedit-message-type.c:
	* gedit/gedit-message-type.h:
	* docs/reference/gedit-sections.txt:
	
	Added gedit_message_bus_foreach and 
	gedit_message_type_is_valid_object_path API. Added checks for valid
	object paths.

2009-01-04  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/spell/gedit-spell-checker-language.c:
	Remove obsolete comments for translators. (Fixes bug #566552)
	Patch by Leonardo Ferreira Fontenelle.

2009-01-03  Jesse van den Kieboom  <jesse@icecrew.nl>

	* configure.ac:
	* plugins/spell/Makefile.am:
	* plugins/modelines/Makefile.am:
	* plugins/sample/Makefile.am:
	* plugins/indent/Makefile.am:
	* plugins/docinfo/Makefile.am:
	* plugins/changecase/Makefile.am:
	* plugins/filebrowser/Makefile.am:
	* plugins/sort/Makefile.am:
	* plugins/time/Makefile.am:
	* plugins/externaltools/tools/Makefile.am:
	* plugins/externaltools/Makefile.am:
	* plugins/pythonconsole/pythonconsole/Makefile.am:
	* plugins/pythonconsole/Makefile.am:
	* plugins/snippets/snippets/Makefile.am:
	* plugins/snippets/Makefile.am:
	* plugins/taglist/Makefile.am:
	
	Use the new GEDIT_PLUGINS_LIBS_DIR and GEDIT_PLUGINS_DATA_DIR.

2009-01-03  Paolo Borelli  <pborelli@katamail.com>

	* plugins/taglist/gedit-taglist-plugin-parser.c: use glib
	functions to open the taglist directories.

2009-01-02  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-view.c: allow to toggle line numbers in the
	margin context menu.

2009-01-02  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/Placeholder.py:
	* plugins/snippets/snippets/Snippet.py:
	
	Fixed recursive python dependencies to update correctly
	
2009-01-02  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/modelines/modeline-parser.c: added some improbable 
	memleak and crash preventions.

2009-01-02  Paolo Borelli  <pborelli@katamail.com>

	* plugins/modelines/gedit-modeline-plugin.c:
	* plugins/modelines/modeline-parser.c:
	Add support for parsing the highlighting mode.
	Bug #379663, patch by Sergej Chodarev.
	
2009-01-02  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser-view.c:
	* plugins/filebrowser/gedit-file-browser-widget.c:
	* plugins/filebrowser/gedit-file-browser-store.c:
	* plugins/filebrowser/gedit-file-browser-view.h:
	
	Fixed switching from bookmarks to file view only after mounting
	(fixes #551136). Fixed scrolling to rename position when renaming
	a file. Fixed cancelling mount operation when switching to different
	uri.

2009-02-01  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser-bookmarks.c: keep same
	bookmarks order as in nautilus (fixes #559118)
	
2009-02-01  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/Document.py:
	* plugins/snippets/snippets/Helper.py:
	* plugins/snippets/snippets/Placeholder.py:
	* plugins/snippets/snippets/Snippet.py:
	
	Implemented support for 'hugging' placeholders 
	(e.g. ${1:text}${2:text})
	
2009-01-01  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit-plugins-engine.c: call gtk_ui_manager_ensure_update when
	deactivating a plugin from the preference dialog. This fixes a crash
	suspectedly caused by something in GtkUIManager using the static
	strings from provided GtkActionEntry from the loaded plugin module.
	When the module is unloaded, the 'static' strings are no longer valid,
	and the ui manager updates the ui in an idle func (which causes access
	to the now invalid strings).

2009-01-01  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser-store.c: fixed wrong
	calculation of node path

2009-01-01  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/data/chdr.xml:
	* plugins/snippets/data/c++.xml:
	* plugins/snippets/data/cpp.xml:
	* plugins/snippets/data/c.xml:
	* plugins/snippets/data/Makefile.am:
	
	Added chdr language with C/C++ header specific snippets. Removed header
	specific snippets from c and c++ languages. Fixed language id in
	C++ language file since apparently it has changed.
	
2009-01-01  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit-window.c: corrected strings to be proper title case
	(Tab Width, Use Spaces). Changed language menu item 'None' to
	'Plain Text'.

2009-01-01  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser-messages.c: fixed crash
	due to free'ing GTK owned action group list

2009-01-01  Jesse van den Kieboom  <jesse@icecrew.nl>

	* configure.ac: oops, forgot to commit before

2009-01-01  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/data/lang/snippets.lang: fixed escaping within
	shell placeholders

2009-01-01  Jesse van den Kieboom  <jesse@icecrew.nl>

	* configure.ac:
	* plugins/externaltools:
	* plugins/snippets:
	
	Added GEDIT_PLUGINS_LIB_DIR and GEDIT_PLUGINS_DATA_DIR to configure.ac
	to be used in Makefile.am of plugins. Fixed loading ui files using
	plugin.get_data_dir() for snippets and tools. Fixed data dirs for
	win32 in snippets and externaltools. Added remembering dialog size
	for snippets and tools. Changed showing error in snippets by using
	icons instead of color changes (for usability, fixes: #352945)
	
2009-01-01  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugin-loaders/python/gedit-plugin-loader-python.c:
	* plugin-loaders/python/bindings/geditplugin.override:
	
	Fixed constructing plugin object (now works correctly without special
	casing the construction). Previously, the GObject was not available
	in the __init__ function of the plugin, this has been fixed.

2009-01-01  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser-messages.c: added 
	add_context_item and remove_context_item messages (for extending the
	context menu)

2009-01-01  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/spell/gedit-spell-plugin.c:
	Add ellipsis (...) (Fixes bug #335108).

2009-01-01  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit-window.c:
	* gedit/gedit-status-combo-box.c:
	
	Use non-relief button to represent the combo box like widget better
	visually

2009-01-01  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-document.c:
	* gedit/gedit-tab.c:
	Plug small leak in the tooltip string.

2009-01-01  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/Parser.py: fixed bug in parsing shell
	placeholders falsly not allowing ` in $()

2009-01-01  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/gedit-plugin-info.c:
	* gedit/gedit-plugin-info.h:
	* gedit/gedit-plugin-manager.c:
	* gedit/gedit-plugin-info-priv.h:
	Add Version field for gedit-plugin files.

2008-12-31  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit-window.c: removed 'Other' from tab width combo box. A
	menu item with the current tab width, if other than in the predefined
	ones, is shown if necessary. Fixed bug in removing signals.

2008-12-31  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit-object-module.c: fixed getter for type_registration
	which was actually returning the module name (copy/paste bug)
	
2008-12-31  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit-window.c: make language status combo box insensitive
	when there is no active document

2008-12-31  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit-window.c:
	* gedit/gedit-window-private.h:
	* gedit/gedit-status-combo-box.c:
	* gedit/gedit-status-combo-box.h:
	* gedit/Makefile.am:
	
	Implemented new GeditStatusComboBox which displays a combo box like
	widget for use in the statusbar. It is currently used in the newly
	implemented drop downs for language and tab width selection.
	
2008-12-30  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.ac: Check for windres tool.
	* gedit/Makefile.am: Fix windres argument.

2008-12-30  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/dialogs/Makefile.am:
	Removed unneccessary variables.

2008-12-30  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* pixmaps/gedit.ico:
	* pixmaps/Makefile.am:
	* gedit/gedit.rc:
	* gedit/Makefile.am:
	Use gedit.ico in the .exe on windows.

2008-12-30  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/gedit-notebook.c:
	Do not cut off the close button icon. (Fixes bug #441850).

2008-12-30  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

        * gedit/gedit-statusbar.c:
        Mark for translation "INS" instead of "  INS" to avoid
        work for translators.

2008-12-30  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit-message.c:
	* gedit/gedit-message-bus.c:
	* gedit/gedit-message-type.c:
	
	Added 'Since: 2.25.3' (note to change this at stable release). Is this
	how to do that?
	
2008-12-30  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser-messages.c: added get_root
	message

2008-12-29  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* help/C/gedit.xml:
	Update Color scheme preference. (Fixes bug #475071).

2008-12-29  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/modelines/Makefile.am:
	* plugins/spell/Makefile.am:
	* plugins/changecase/Makefile.am:
	* plugins/docinfo/Makefile.am:
	* plugins/indent/Makefile.am:
	* plugins/sample/Makefile.am:
	* plugins/filebrowser/Makefile.am:
	* plugins/sort/Makefile.am:
	* plugins/time/Makefile.am:
	* plugins/taglist/Makefile.am:
	Removed unneccessary variables.

=== gedit 2.25.3 ===

2008-12-29  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.25.3 release

2008-12-29  Paolo Borelli  <pborelli@katamail.com>

	* plugins/externaltools/tools/manager.py: fix method to detect
	language highlighting

2008-12-29  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/Manager.py: removed customized font
	size (which is too small). Fixes #560236

2008-12-29  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit-message-type.h:
	* gedit/gedit-message-type.c:
	* gedit/gedit-message.h:
	* gedit/gedit-message.c:
	* gedit/gedit-message-bus.h:
	* gedit/gedit-message-bus.c:
	* gedit/gedit-window.h:
	* gedit/gedit-window.c:
	* gedit/gedit-window-private.h:
	* gedit/Makefile.am:
	
	Merged message communication bus from message_system branch providing
	a framework to allow (amongst others) plugins to cooperate in similar
	way as DBus (but for in-process communication)
	
	* docs/reference/gedit-sections.txt:
	* docs/reference/gedit.types:
	* docs/reference/gedit-docs.sgml:
	* docs/reference/tmpl/gedit-message.sgml:
	* docs/reference/tmpl/gedit-message-type.sgml:
	* docs/reference/tmpl/gedit-message-bus.sgml:
	
	Added API documentation for message bus
	
	* plugin-loaders/python/bindings/geditmessage.override:
	* plugin-loaders/python/bindings/Makefile.am:
	* plugin-loaders/python/bindings/gedit.override:
	* plugin-loaders/python/bindings/gedit.defs:
	
	Implemented python bindings for message bus

	* plugins/filebrowser/gedit-file-browser-messages.c:
	* plugins/filebrowser/gedit-file-browser-messages.h:
	* plugins/filebrowser/gedit-file-browser-widget.c:
	* plugins/filebrowser/gedit-file-browser-widget.h:
	* plugins/filebrowser/gedit-file-browser-plugin.c:
	* plugins/filebrowser/Makefile.am:
	
	Added message bus support for the file browser plugin
	
	* plugins/filebrowser/gedit-file-browser-view.c:
	
	Added sanity checks for destruction of state restore table
	
2008-12-29  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-ui.h: Use stock icon for page setup.

2008-12-29  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/time/gedit-time-plugin.c:
	%D format is not supported on win32.

2008-12-29  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/filebrowser/gedit-file-browser-store.c:
	Do not monitor files in windows.

2008-12-29  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-convert.c:
	* gedit/gedit-gio-document-saver.c:
	* gedit/gedit-tab.c:
	Fix some string format warnings in debug messages.

2008-12-28  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/taglist/gedit-taglist-plugin-panel.h:
	* plugins/taglist/gedit-taglist-plugin-parser.c:
	* plugins/taglist/Makefile.am:
	* plugins/taglist/gedit-taglist-plugin-panel.c:
	* plugins/taglist/gedit-taglist-plugin-parser.h:
	* plugins/taglist/gedit-taglist-plugin.c:
	Use data-dir property.

	* win32/build-installer:
	* win32/gedit.iss.in:
	Remove taglist as now it is in plugins dir.

2008-12-28  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/sort/Makefile.am:
	* plugins/sort/gedit-sort-plugin.c:
	Use data-dir property.

2008-12-28  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/spell/gedit-spell-plugin.c:
	* plugins/spell/gedit-spell-checker-dialog.c:
	* plugins/spell/gedit-spell-checker-dialog.h:
	* plugins/spell/gedit-spell-language-dialog.c:
	* plugins/spell/Makefile.am:
	* plugins/spell/gedit-spell-language-dialog.h:
	Use data-dir property.

2008-12-28  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* plugins/filebrowser/gedit-file-browser-widget.c:
	* plugins/filebrowser/gedit-file-browser-widget.h:
	* plugins/filebrowser/gedit-file-browser-plugin.c:
	* plugins/filebrowser/Makefile.am:
	Use data-dir property.

2008-12-28  Paolo Borelli  <pborelli@katamail.com>

	* plugins/docinfo/gedit-docinfo-plugin.c:
	* plugins/time/gedit-time-plugin.c:
	* plugin-loaders/python/gedit-plugin-loader-python.c:
	* plugin-loaders/python/bindings/gedit.defs:
	* plugin-loaders/c/gedit-plugin-loader-c.c:
	* gedit/gedit-plugin.c:
	* gedit/gedit-plugin.h:
	Add an "data-dir" property to plugins that plugin can use to
	locate data files in a relocable way (so that it works on
	windows). Convert a couple of plugins as a test, eventually all
	plugins need it.

2008-12-28  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser-store.c: Fixed small
	warning on trying to connect a signal on a file monitor when file
	monitoring is not supported (e.g. on OS X)

2008-12-28  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugin-loaders/python/bindings/gedit.override: Added custom
	wrapper for gedit_statusbar_flash_message to avoid formatting
	security problems (fixes #565778)

2008-12-28  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser-store.c: Fix a problem
	with fill_model where the tree path might have been altered and
	is thus then invalid. Fixes bug #556410.

2008-12-26  Leonardo Ferreira Fontenelle  <leonardof@gnome.org>

	reviewed by: Paolo Borelli.

	* plugins/externaltools/tools/manager.py: Import the hashlib module
	instead of the deprecated md5 python module. Closes bug #564378.

2008-12-25  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* Makefile.am:
	Build plugin-loaders after gedit.

2008-12-25  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/Makefile.am:
	* configure.ac:
	Add the -mwindows flag.

2008-12-25  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/gedit.c:
	Set the path at runtime.

2008-12-25  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-document.[ch]:
	* gedit/gedit-tab.c:
	Use content type instead of mime type where possible.

2008-12-24  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-plugins-engine.[ch]:
	* gedit/gedit-prefs-manager.[ch]:
	* gedit/gedit-prefs-manager.[ch]:
	Centralize all gconf related code in the prefs manager.

2008-12-24  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-language-manager.[ch]:
	* gedit/gedit-documemt.c:
	Use gtk_source_language_manager_guess_language instead of
	scanning mime types manually.

2008-12-23  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* win32/build-installer:
	* win32/gedit.iss.in:
	Include the immodules too.

2008-12-23  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* win32/build-installer:
	* win32/gedit.iss.in:
	Add pixbuf loaders.

2008-12-23  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* win32/build-installer:
	* win32/gedit.iss.in:
	Add plugin files.

2008-12-23  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/gedit.c:
	* gedit/Makefile.am:
	* gedit/gedit-dirs.c:
	* gedit/gedit-dirs.h:
	Use dir func to manage the locale dir.

2008-12-23  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/gedit.c:
	* gedit/Makefile.am:
	Use dir functions to manage the icons path.

2008-12-23  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/gedit-commands-help.c:
	* gedit/Makefile.am:
	Manage the logo with the dir funcs.

2008-12-23  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/gedit-dirs.c:
	* gedit/gedit-dirs.h:
	* gedit/gedit-plugins-engine.c:
	* gedit/Makefile.am:
	Use dir functions to manage the loaders and plugins.

2008-12-22  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* win32/build-installer:
	* win32/gedit.iss.in:
	Fix path.

2008-12-22  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/gedit-dirs.c:
	Fixed bug in win32 part.

2008-12-22  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* win32/build-installer:
	* win32/gedit.iss.in:
	Add gconf schemas.

2008-12-22  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/dialogs/gedit-open-location-dialog.c:
	* gedit/dialogs/gedit-encodings-dialog.c:
	* gedit/dialogs/gedit-preferences-dialog.c:
	* gedit/dialogs/gedit-style-scheme-dialog.c:
	* gedit/dialogs/gedit-search-dialog.c:
	* gedit/gedit-print-job.c:
	* gedit/gedit-window.c:
	* gedit/gedit-style-scheme-manager.c:
	Use the dir functions.

2008-12-22  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/gedit-utils.c:
	* gedit/gedit-utils.h:
	* gedit/gedit-app.c:
	* gedit/gedit-dirs.c:
	* gedit/gedit-prefs-manager-app.c:
	* gedit/gedit-dirs.h:
	* gedit/gedit-style-scheme-manager.c:
	* gedit/gedit-plugins-engine.c:
	* gedit/Makefile.am:
	Added gedit-dirs.[ch] to manage the dir cross platform funcs.

2008-12-22  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* win32/build-installer:
	* win32/gedit.iss.in:
	Fix a few paths and comment python files for now.

2008-12-22  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* win32/querymodules.bat:
	* win32/Makefile.am:
	* win32/build-installer:
	* win32/README:
	* win32/gedit.iss.in:
	* configure.ac:
	* Makefile.am:
	Added win32 installer scripts based on glom ones.

2008-12-22  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/Makefile.am:
	Change LOADER_SOURCES name to POSIXIO_FILES.

2008-12-22  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/gedit-metadata-manager.c:
	Changed to use the cache dir.

2008-12-22  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/gedit-plugins-engine.c:
	Include gedit-utils.h

2008-12-22  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/gedit-metadata-manager.c:
	* gedit/gedit-utils.c:
	* gedit/gedit-utils.h:
	* gedit/gedit-app.c:
	* gedit/gedit-prefs-manager-app.c:
	* gedit/gedit-style-scheme-manager.c:
	* gedit/gedit-plugins-engine.c:
	Use gedit_utils_get_config_dir instead of hardcoding to .gnome2.

2008-12-22  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/gedit-app.c:
	Use a standard rol for all platforms.

2008-12-22  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/gedit-utils.c:
	* gedit/gedit-utils.h:
	Removed get_stdin function.

2008-12-21  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.ac:
	Use the right flags for plugin loaders.

2008-12-21  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/gedit.c:
	Changed define.

2008-12-21  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/gedit-document-loader.c:
	* gedit/gedit-document-saver.c:
	* gedit/Makefile.am:
	Use always the gio loader and the gio saver in
	case we are in windows.

2008-12-21  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/gedit.c:
	* gedit/gedit-app.c:
	* gedit/Makefile.am:
	* configure.ac:
	Add some ifdefs to not build bacon on windows.

2008-12-20  Paolo Borelli  <pborelli@katamail.com>

	* plugins/spell/gedit-spell-plugin.c:
	* plugins/spell/gedit-spell-checker.c:
	* plugins/spell/gedit-spell-checker-dialog.h:
	* plugins/spell/gedit-spell-language-dialog.h:
	* plugins/taglist/gedit-taglist-plugin-parser.h:
	* gedit/gedit-local-document-saver.c:
	Clean up glib/gtk includes. Patch by Luis Menina.

2008-12-20  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit.c: add a command line switch to show the version

2008-12-20  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-metadata-manager.c:
	* gedit/gedit-tab.c:
	Use g_timeout_add_seconds. Bug #565127, patch by
	mail@paul.kishimoto.name.

2008-12-20  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/gedit-tab.c:
	Added some doc.

2008-12-08  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/gedit-notebook.c:
	Added some doc.

2008-12-08  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/gedit-window.c:
	* docs/reference/gedit-sections.txt:
	* docs/reference/tmpl/gedit-plugin.sgml:
	* docs/reference/tmpl/gedit-window.sgml:
	Added some doc.

2008-12-07  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/gedit-window.c:
	Added some doc.

2008-12-06  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit-plugin.h:
	* gedit/gedit-plugin.c:
	* plugin-loaders/python/gedit-plugin-loader-python.c:
	* plugin-loaders/python/bindings/gedit.defs:
	* plugin-loaders/python/bindings/geditplugin.override:
	* plugin-loaders/c/gedit-plugin-loader-c.c:

	Added 'install-path' construct only property set by plugin
	loaders so that plugins (especially C plugins) can find
	out where they are installed (thus making relocation of
	plugins + data possible without recompiling the plugin)

=== gedit 2.25.2 ===

2008-12-01  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.25.2 release

2008-12-01  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-window.c: store the panes state before deactivating
	the plugins

2008-12-01  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-window.c: unref actions after adding them to the
	action group
	* gedit/gedit-documents-panel.c: properly ref and unref the window

2008-12-01  Paolo Borelli  <pborelli@katamail.com>

	* plugins/filebrowser/gedit-file-browser-enum-types.c.template:
	Do not intern the string.

2008-12-01  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-plugins-engine.c: free the infos after the loaders

2008-12-01  Paolo Borelli  <pborelli@katamail.com>

	* plugins/filebrowser/gedit-file-browser-store.c:
	* plugins/spell/gedit-spell-plugin.c:
	* plugins/spell/gedit-automatic-spell-checker.c:
	Do not use g_quark_from_static_string, it should not be used in
	loadable modules.

=== gedit 2.25.1 ===

2008-11-30  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.25.1 released

2008-11-30  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-plugin-manager.c: use a simple pointer
	to the plugin_info, so that we do not have to ref/unref
	everywhere.

2008-11-30  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-plugins-engine.c: call loader's garbage_collect in
	a more efficient way.

2008-11-30  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-plugins-engine.c:
	* plugin-loaders/c/plugin-loader-c.c:
	Plug some minor memory leaks.

2008-11-29  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-plugin-engine.c:
	* gedit/gedit-plugin-loader.[ch]:
	* plugin-loaders/c/plugin-loader-c.[ch]:
	* plugin-loaders/c/plugin-loader-python.[ch]:
	rename loader_get_name to loader_get_id

2008-11-29  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-object-module.h:
	* gedit/gedit-plugin.h:
	* gedit/gedit-plugin-loader.h:
	Rework macros since gedit-plugin.h is public while object-module
	is not and also switch to G_DEFINE_DYNAMIC_TYPE where possible.

2008-11-29  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugin-loaders/c/plugin-loader-c.[ch]:
	* plugin-loaders/c/plugin-loader-python.[ch]:
	
	Added license texts.

2008-11-29  Paolo Borelli  <pborelli@katamail.com>

	* plugins/snippets/snippets/Manager.py:
	* plugins/taglist/HTML.tags.xml.in:
	Fix some typos in translatable strings. Patch by Nicolas Kaiser.

2008-11-29  Joe M Smith  <yasumoto7@gmail.com>

	* gedit/gedit-plugin-info.c:
	* gedit/gedit-utils.c:
	* gedit/gedit.c:
	* gedit/gedit-utils.h:
	* gedit/dialogs/gedit-encodings-dialog.c:
	* gedit/dialogs/gedit-encodings-dialog.h:
	* gedit/dialogs/gedit-close-confirmation-dialog.h:
	* gedit/gedit-gio-document-saver.c:
	* gedit/gedit-notebook.c:
	* gedit/gedit-file-chooser-dialog.h:
	* gedit/gedit-notebook.h:
	* gedit/sexy-icon-entry.h:
	* gedit/gedit-spinner.c:
	* gedit/gedit-print-preview.h:
	* gedit/gedit-spinner.h:
	* gedit/gedit-encodings-option-menu.h:
	* gedit/gedit-help.c:
	* gedit/gedit-prefs-manager.h:
	* gedit/gedit-help.h:
	* gedit/gedit-message-area.h:
	* gedit/gedit-commands.h:
	* gedit/gedittextregion.h:
 
	Comply with the GTK Includes GNOME Goal to only have the toplevel
	includes for GLib, GDK, GDK Pixbuf, and GTK. Bug #559233. 

2008-11-29  Paolo Borelli  <pborelli@katamail.com>

	* plugins/spell/gedit-spell-checker-language.c: use new C_ macro
	for translations with context. Patch by Matthias Clasen.
	* configure.ac: bump glib and intltool requirements.

2008-11-27  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit.c: use GDK_WINDOWING_X11 instead of PLATFORM_OSX to
	check for including gdkx.h.

2008-11-26  Jesse van den Kieboom  <jesse@icecrew.nl>

	* configure.ac:
	* gedit/Makefile.am:
	* gedit/gedit.c:
	* gedit/smclient/eggsmclient-win32.c:
	* gedit/smclient/eggsmclient-osx.c:
	* gedit/smclient/Makefile.am:

	Fixed some small things to make gedit compile on OS X.
	
2008-11-26  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugin-loaders/python/Makefile.am:
	* plugin-loaders/python/bindings/Makefile.am:
	
	Make distcheck work.

2008-11-26  Jesse van den Kieboom  <jesse@icecrew.nl>

	* docs/reference/Makefile.am:
	* docs/reference/gedit.types:
	
	Removed/changed references to python module files.
	
2008-11-26  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit-python-module.[ch]:
	* gedit/gedit-python-plugin.[ch]:
	
	Removed obsolete python files from gedit core (they were moved to
	the python plugin loader).
	
2008-11-26  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugin-loaders/python/bindings/geditmessage.override: removed unused
	file that should not have been committed

2008-11-25  Jesse van den Kieboom  <jesse@icecrew.nl>

	* configure.ac:
	* Makefile.am:
	* bindings/:
	* plugin-loaders/:
	* gedit/Makefile.am:
	* gedit/gedit-module.[ch]:
	* gedit/gedit-object-module.[ch]:
	* gedit/gedit-plugin.h:
	* gedit/gedit-plugin-info.c:
	* gedit/gedit-plugin-info-priv.h:
	* gedit/gedit-plugin-loader.[ch]:
	* gedit/gedit-plugins-engine.[ch]:
	* gedit/gedit-window.c:
	* gedit/gedit-window-private.h:	

	Merged plugin system changes from new_plugins branch to trunk. Changes
	include plugin loader refactoring in loadable modules and pyton
	plugin internals rework.

2008-11-24  Paolo Borelli  <pborelli@katamail.com>

	* plugins/filebrowser/gedit-file-browser-widget.c::
	* gedit/gedit-window.c:
	* gedit/gedit-print-preview.c:
	* gedit/gedit-view.h:
	Remove deprecated gtk functions. Patch by Maxim Ermilov.

=== gedit 2.24.2 ===

2008-11-23  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.24.2 released

2008-11-22  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/gedit-view.c:
	Now you can type +/- only as the first character.
	Don't try to jump to a line < 0.

2008-11-22  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/gedit-view.c:
	Allow the use of "+N" and "-N" in the Move to Line entry.
	Fixes bug #560013.

2008-11-19  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser-utils.c: fixed wrong use of 
	GtkIconSize for gtk_icon_theme_lookup_by_gicon

2008-11-16  Michael Terry  <mike@mterry.name>

	* plugins/modeline/modeline-parser.c: Look at second line as well as first
	for emacs modelines.  Fixes bug #561074.

2008-11-03  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-print-job.c: also get the adjustement from the gtkbuilder
	otherwise the spinbutton does not work. Fixes bug #559140.

=== gedit 2.24.1 ===

2008-11-02  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.24.1 released

2008-11-02  Paolo Borelli  <pborelli@katamail.com>

	* gedit/sexy-icon-entry.c: do not use private gtk marshaller. Patch
	by Ed Catmur.

2008-11-02  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* data/gedit.pc.in:
	* gedit/Makefile.am:
	Long overdue build fixes for cygwin. Bug #317567.

2008-11-01  Paolo Borelli  <pborelli@katamail.com>

	* plugins/pythonconsole/pythinconsole/console.py: decode to utf8
	before eval and execute. Fixes bug 558149, patch by Vincent Povirk.

2008-11-01  Paolo Borelli  <pborelli@katamail.com>

	* plugins/sort/sort.ui:
	* plugins/sort/sort.glade2:
	* gedit/dialogs/gedit-preferences-dialog.glade:
	* gedit/dialogs/gedit-preferences-dialog.ui:
	* gedit/gedit-print-preferences.ui:
	* gedit/gedit-print-preferences.glade:
	Use 0 as page-size for GtkSpinButton's adjustements.

2008-11-01  Paolo Borelli  <pborelli@katamail.com>

	* plugins/filebrowser/gedit-filebrowser-store.c: Commit some minor
	cleanups I had in my tree while wrorking on the previous patch.

2008-10-27  Paolo Borelli  <pborelli@katamail.com>

	* plugins/filebrowser/gedit-filebrowser-store.c: Optimize insertion
	when loading a dir with lot of files:
	1) files are now inserted in batch in order to reduce the amount
	of searching in the ordered list
	2) the previous changeset has been reverted since it caused duplicate
	entries in some cases, but the check has been made way faster by only
	looking in the existing list of nodes without iterating the ones we
	just added.
	See bug #554362 for details, in the future we should still consider
	using GSequence.

2008-10-19  Paolo Borelli  <pborelli@katamail.com>

	* plugins/filebrowser/gedit-filebrowser-store.c: do not check if
	the node already exist if we know it's a new file.

2008-10-18  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit.c: free the GOption context after parsing.

2008-10-18  Mart Raudsepp  <leio@gentoo.org>

	* data/gedit-bugreport.sh.in: don't report the gnome-python version
	as no modules out of it are used anymore. Bug #555381

2008-10-18  Mart Raudsepp  <leio@gentoo.org>

	* configure.ac: increase pygobject dependency to 2.15.4 because GIO
	bindings are used. Bug #555383

2008-10-17  Paolo Borelli  <pborelli@katamail.com>

	* plugins/filebrowser/gedit-filebrowser-plugin.c: load the persisted
	location only if we are not opening a file.

2008-10-11  Paolo Borelli  <pborelli@katamail.com>

	* data/gedit.desktop.in.in: remove deprecated "Encoding" item
	Patch by Pacho Ramos.

2008-10-09  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-session.c:
	* gedit/gedit.c:
	* gedit/smclient/*
	Update to the latest version of libegg smclient code.

2008-10-05  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-style-scheme-manager.c: be careful about the case the
	file is already in .gnome2/gedit/styles. Bug #555113.

=== gedit 2.24.0 ===

2008-09-21  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.24.0 released

=== gedit 2.23.93 ===

2008-09-16  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.23.92 released

2008-09-16  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit.c: remove gdk_threads_init, it was just a
	workaround for a gvfs bug which is now fixed.

=== gedit 2.23.92 ===

2008-09-08  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.23.92 released

2008-09-08  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit.c: call gdk_threads_init since this seems to fix
	file chooser crashes.

2008-09-08  Paolo Borelli  <pborelli@katamail.com>

	* plugins/pythonconsole/__init__.py:
	* plugins/pythonconsole/console.py:
	do not hold a ref to GeditWindow when deactivating. Patch by
	Jesse van den Kieboom.

2008-09-08  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit-tab.c: fixed warning on g_object_unref of NULL

2008-09-07  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-file-chooser-dialog.c: Avoid runtime warning with
	buggy gtk.

2008-09-07  Paolo Borelli  <pborelli@katamail.com>

	* data/gedit.schemas.in: add ftp since it seems to work pretty well
	with gvfs and the backend is now actively maintained.

2008-09-07  Paolo Borelli  <pborelli@katamail.com>

	* plugins/docinfo/gedit-docinfo-plugin.c:
	* plugins/changecase/gedit-changecase-plugin.c:
	* plugins/filebrowser/gedit-file-browser-plugin.c:
	* plugins/sort/gedit-sort-plugin.c:
	* plugins/time/gedit-time-plugin.c:
	* gedit/gedit-local-document-saver.c:
	* gedit/gedit-module.c:
	* gedit/gedit-utils.c:
	* gedit/gedit-app.c:
	* gedit/gedit-mmap-document-loader.c:
	* gedit/gedit-help.c:
	* gedit/gedit-commands-file.c:
	* gedit/gedit-plugins-engine.c:
	* gedit/gedit-document-saver.c:
	* bindings/python/gedit.override:
	Fix "format not a string literal" compiler warning.

2008-09-06  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser-store.c: fixed crasher when
	refreshing during async operations like mounting

2008-09-06  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit-gio-document-saver.c: fixed but in checking for externally
	modified for new files (ignore NOT_FOUND error), fixes bug #551126

2008-09-06  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit-plugin.h: note to self: don't forget to really commit 
	files

2008-09-06  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser-widget.c: fixed problem with
	setting root to topmost parent for remote bookmarks
	
2008-09-06  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit-plugin.h:
	* plugins/filebrowser/gedit-file-browser-store.c:
	
	Added convenient macro to register interfaces properly in the type
	module
	
2008-09-06  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit-gio-document-saver.c: fix crash due to GError not being
	initialized to NULL properly (fixes bug #551037)

2008-09-06  Paolo Borelli  <pborelli@katamail.com>

	* plugins/gedit-file-browser-plugin.c: fix double-free causing
	memory corruption on rename.

2008-09-05  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/gedit-window.c:
	Added doc.

2008-09-05  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/gedit-plugins-engine.c:
	Fixed memleak.

2008-09-03  Paolo Borelli  <pborelli@katamail.com>

	* plugins/gedit-file-browser-store.c:
	* plugins/gedit-file-browser-utils.c:
	* plugins/gedit-file-browser-utils.h:
	Remove useless roundtrip from uri to gfile to parse_name.

2008-09-03  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-utils.c (gedit_utils_uri_for_display):
	parse_name should not be further unescaped, it's already ready
	to be used in the UI.

=== gedit 2.23.91 ===

2008-09-01  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.23.91 released

2008-08-31  Carlos Garcia Campos  <carlosgc@gnome.org>

	* gedit/smclient/eggsmclient-xsmp.c
	(sm_client_xsmp_set_initial_properties): Fix memory leak.

2008-08-29  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/gedit-panel.c:
	Added documentation.

2008-08-28  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/gedit-message-area.c:
	Added documentation.

2008-08-26  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit-gio-document-loader.c:
	* gedit/gedit-io-error-message-area:
	* gedit/gedit-gio-document-loader.c:
	
	Fixed error propagation and error handling of gio errors
	
2008-08-25  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* docs/reference/gedit-sections.txt:
	* gedit/gedit-plugin.c:
	* gedit/gedit-plugin.h:
	Added documentation.

2008-08-24  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-document.c (_gedit_document_check_externally_modified):
	make sure the mtime attribute is set before using it.

2008-08-20  Götz Waschk  <gwaschk@gnome.org>

	* data/gedit-bugreport.sh.in:
	* data/gedit.pc.in:
	remove obsolete deps (bug #548680)

=== gedit 2.23.90 ===

2008-08-19  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.23.90 released

2008-08-19  Paolo Borelli  <pborelli@katamail.com>

	* plugins/filebrowser/gedit-file-bookmarks-store.c: fix dispose.

2008-08-18  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-bookmarks-store.[ch]:
	* plugins/filebrowser/gedit-file-browser-widget.c:
	
	Bug 548223 – Filemanager panel doesn't show gio mounts
	Drive/Volume/Mount handling is now approximately the same as in 
	the GtkFileChooser and in nautilus
	
2008-08-17  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit.c: move g_thread_init at the start, just to be sure.

2008-08-17  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser-store.c:
	
	Bug 547692 – Crash when selecting 'show hidden' from the side pane
	Bug was caused by change in working of row_inserted

2008-08-17  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit-document.c: reverted applying settings in the constructor
	since this problem is already fixed in gsv

2008-08-17  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser-store.c: fixed problem with
	cancelling async load
	
2008-08-17  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit-document.c: fixed warning with NULL content_type

2008-08-16  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit-tab.c:
	* gedit-local-document-saver.c:
	* gedit-gio-document-saver.c:
	* gedit-io-error-message-area.c:
	* gedit-gio-document-loader.c:
	* gedit-mmap-document-loader.c:
	* gedit-document.c:
	* gedit-document.h:
	* gedit-document-saver.c:

	Fixed proper use of gio errors

2008-08-16  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit-document.c: apply some settings in the constructor
	(after object is created), removes set_table warning

2008-08-14  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac: explicitely check for gthread now that we do not
	require libgnome anymore. Bug #547756, patch by Damien Carbery.

2008-08-14  Paolo Borelli  <pborelli@katamail.com>

	* plugins/filebrowser/gedit-file-browser-store.c: do not crash
	if dir was removed. Bug #547724.

2008-08-13  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-commands-help.c:
	* gedit/gedit-plugins-manager.c:
	Use the "program-name" property for the about dialog

=== gedit 2.23.3 ===

2008-08-13  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.23.3 released

2008-08-13  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-local-document-saver.c:
	* gedit/gedit-gio-document-saver.c:
	* gedit/gedit-mmap-document-loader.c:
	Fix more warnings

2008-08-13  Johan Dahlin  <johan@gnome.org>

	* gedit/gedit-session.c (save_window_session):
	Fix two warnings and merge problems.

2008-08-13  Johan Dahlin  <johan@gnome.org>

	* gedit/gedit-app.c:
	* gedit/gedit-document-saver.c:
	* gedit/gedit-mmap-document-loader.c:
	Include unistd.h

2008-08-13  Johan Dahlin  <johan@gnome.org>

	* configure.ac:
	Remove libgnome/libgnomeui dependencies.
	Replace them by direct GConf/libxml.
	Add sm dependency

	* gedit/Makefile.am:
	Link against eggsmclient.

	* gedit/gedit-document-saver.c
	(gedit_document_saver_write_document_contents):
	Remove the usage of a libgnome function.

	* gedit/gedit-document.h:
	* gedit/gedit-session.c (save_window_session),
	(client_save_state_cb), (window_handled),
	(close_confirmation_dialog_response_handler),
	(client_quit_requested_cb), (client_quit_cb), (gedit_session_init),
	(gedit_session_is_restored), (parse_window), (gedit_session_load):
	* gedit/gedit-session.h:
	Port over from GnomeClient to EggSMClient.
	This was mostly done by Dan Winship.

	* gedit/gedit.c (main):
	Don't use GnomeProgram.

	* gedit/smclient/*:
	Make our own private copy of smclient

=== gedit 2.23.2 ===

2008-08-13  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.23.2 released

2008-08-13  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac: explicitely check for libxml	

2008-08-13  Paolo Borelli  <pborelli@katamail.com>

        * plugins/filebrowser/gedit-file-browser-store.c: do not print a
	warning on sart when the saved root was deleted 

2008-08-13  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-document.c:
	* gedit/gedit-document.h:
	* gedit/gedit-gio-document-loader.c:
	* gedit/gedit-gio-document-saver.c:
	* gedit/gedit-tab.c:

	Make mount operation stuff private until we figure out the details.

2008-08-13  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-tab.c:
	* gedit/gedit-document-loader.c:
	* gedit/gedit-local-document-saver.c:
	* gedit/gedit-document-loader.h:
	* gedit/gedit.c:
	* gedit/gedit-gio-document-saver.c:
	* gedit/gedit-gio-document-saver.h:
	* gedit/gedit-io-error-message-area.c:
	* gedit/gedit-gio-document-loader.c:
	* gedit/gedit-gio-document-loader.h:
	* gedit/gedit-mmap-document-loader.c:
	* gedit/gedit-document.c:
	* gedit/gedit-document.h:
	* gedit/gedit-document-saver.c:
	* gedit/Makefile.am:
	* gedit/gedit-document-saver.h:
	* configure.ac:

	Complete the port to gio/gvfs. Patch by Jesse van den Kieboom.
	Bug #506350.

2008-08-12  Matthias Clasen  <mclasen@redhat.com>

	Bug 547129 – use standard icon name in file-browser plugin

	* plugins/filebrowser/gedit-file-browser-plugin.c:
	* plugins/filebrowser/filebrowser.gedit-plugin.desktop.in:
	Use the standard system-file-browser icon name.

2008-08-10  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-tab.c (get_icon): handle gracefully a failure
	in query_info().

2008-08-10  Paolo Borelli  <pborelli@katamail.com>

	* plugins/spell/gedit-spell-checker-dialog.c:
	* plugins/spell/gedit-spell-language-dialog.c:
	* plugins/time/gedit-time-plugin.c:
	* gedit/gedit-tab.c:
	* gedit/gedit-utils.c:
	* gedit/dialogs/gedit-open-location-dialog.c:
	* gedit/dialogs/gedit-encodings-dialog.c:
	* gedit/dialogs/gedit-preferences-dialog.c:
	* gedit/dialogs/gedit-style-scheme-dialog.c:
	* gedit/dialogs/gedit-search-dialog.c:

	Fix refcounting of objects obtained from gtkbuilder

2008-08-10  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-tab.c:
	* gedit/gedit-utils.c:
	* gedit/gedit-document.c:
	* gedit/gedit-history-entry.c:

	Plug some misc leaks

2008-08-10  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-document-loader.h:
	* gedit/gedit-document-saver.h:

	Remove unneeded includes

2008-08-09  Jesse van den Kieboom  <jesse@icecrew.nl>
	
	* configure.ac: bumped versions of pygobject and pygtk

2008-08-09  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit-print-preview.c:
	* gedit/gedit-plugin-manager.c:
	* gedit/gedit-plugins-engine.c:

	Fixed some compiler warnings

2008-08-09  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit-print-preferences.ui: forgot to add

2008-08-09  Jesse van den Kieboom  <jesse@icecrew.nl>

	* configure.ac: forgot to actually commit it

2008-08-09  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/dialogs/*.[ui|c]:
	* gedit/gedit-print-job.c:
	* gedit/gedit-window.c:
	* gedit/gedit-utils.[ch]:
	* gedit/Makefile.am:
	* plugins/*:
	* configure.ac:

	Converted all uses of glade to GtkBuilder

2008-08-09  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedt-view.c: fixed correct handling of changing buffers

2008-08-08  Jesse van den Kieboom  <jesse@icecrew.nl>

        * plugins/filebrowser/gedit-file-browser-store.c: removed extra stat
	for icon if info is already present

2008-08-08  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit-utils.c: make sure to unescape in uri_for_display

2008-08-08  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser-store.c: fixed handling
	mount operation problems

2008-08-08  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit-utils.c: fixed unescaping basenames for remote uri's
	
2008-08-07  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser.store.c: fixed handling
	error while loading new root directory

2008-08-07  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit-utils.c: don't do an expensive stat in 
	basename_for_display for remote files

2008-08-06  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser-utils.[ch]: adapted to 
	new uri helper functions in gedit-utils and icon loading functions
	in gtk 2.14
	* plugins/filebrowser/gedit-file-browser-store.c: fixed problem with
	cancelling mount operation. Added use of gtk_mount_operation.
	* plugins/filebrowser/gedit-file-browser-widget.c: use gtk_show_uri
	instead of gnome_url_show

2008-08-06  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/externaltools/functions.py:
	* plugins/externaltools/manager.py:
	
	Ported to gio

2008-08-06  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit-tab.c:
	
	Fixed problem with icon ownership (it's owned by the info, but by us)

2008-08-06  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/Manager.py:
	* plugins/snippets/snippets/Snippet.py:
	* plugins/snippets/snippets/Document.py:
	
	Ported to gio
	
2008-08-06  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit-help.[ch]:
	* bindings/python/gedit.defs:
	
	Changed the gedit help helper function to use gtk_show_uri with
	the ghelp scheme instead of gnome_show_help. Using "gedit.xml" as
	the name generates a deprecation warning but will translate to "gedit"
	which will properly show the help to prevent regression for third party
	plugins.
	
	* plugins/snippets/snippets/Manager.py:
	* plugins/externaltools/tools/manager.py:
	* plugins/spell/gedit-spell-language-dialog.c:
	* plugins/sort/gedit-sort-plugin.c:
	* plugins/time/gedit-time-plugin.c:
	* plugins/spell/gedit-spell-language-dialog.c:
	* gedit/dialogs/gedit-preferences-dialog.c:
	* gedit/dialogs/gedit-style-scheme-dialog.c:
	
	Adapted plugins and gedit core to not use "gedit.xml" as the help name.
	Changed to use NULL since they all want the default.
	
2008-08-06  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit-tab.c:
	* gedit/gedit-gnomevfs-document-saver.c:
	* gedit/gedit-document-loader.c:
	* gedit/gedit-local-document-saver.c:
	* gedit/gedit-document-loader.h:
	* gedit/gedit-utils.c:
	* gedit/gedit-utils.h:
	* gedit/gedit-file-chooser-dialog.c:
	* gedit/gedit-io-error-message-area.c:
	* gedit/gedit-window.c:
	* gedit/gedit-mmap-document-loader.c:
	* gedit/gedit-document.c:
	* gedit/gedit-document.h:
	* gedit/gedit-gnomevfs-document-loader.c:
	* gedit/gedit-commands-file.c:
	* gedit/gedit-language-manager.c:
	* gedit/gedit-document-saver.c:
	* gedit/gedit-document-saver.h:
	* configure.ac:
	
	Implemented phase 1 of porting gedit to gio. This first phase includes
	small pieces of gnome-vfs and libgnomeui to be ported to gio. This
	includes mime type information, looking up icons, handling uri's
	and replacing gnome-vfs types like GnomeVFSFileSize.
	
2008-07-31  Jesse van den Kieboom  <jesse@icecrew.nl>

	Bug 539581 – GEdit segfaults when using the FileBrowser plugin
	
	* plugins/filebrowser/gedit-file-browser-store.c: fix problem with 
	cancelling async operations

2008-07-18  Matthias Clasen  <mclasen@redhat.com>

	Bug 542300 – use standard icon names

	* plugins/filebrowser/gedit-file-bookmarks-store.c:
	* plugins/filebrowser/gedit-file-browser-store.c: Use standard
	icon names.

2008-06-22  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser-widget.c: set vscroll policy
	to AUTO (fixes bug #497610)

2008-06-22  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/Manager.py:
	* plguins/snippets/snippets/snippets.glade:
	
	Make sure to cleanup in destroy instead of 'response' because the 
	'response' signal is not called if the gedit window is destroyed
	(fixes bug #537987)

2008-06-22  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/Library.py:
	* plguins/snippets/snippets/Helper.py:
	
	Fixed problem where overriden snippet did not get added to the user
	library (fixes bug #528690)
	
2008-06-15  Steve Frécinaux  <code@istique.net>

	* bindings/python/gedit.defs:
	window.create_tab_from_uri() should accept None as the Encoding
	argument, to pick the default one.

2008-06-11  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser-store.c: removed another 
	obsolete funtion: print_tree
	
2008-06-11  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser-store.c: removed obsolete 
	model_resort_children funtion

2008-06-08  Curtis Hovey  <sinzui.is@verizon.net>

	* plugins/snippets/snippets/SnippetComplete.py: fixed on_get_n_columns.
	Bug #537248.

2008-06-06  Paolo Borelli  <pborelli@katamail.com>

	* plugins/filbrowser/gedit-file-browser-store.c: fix compilation
	problem on solaris. Patch by Damien Carbery, bug #536809.

2008-06-04  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-module.c: fix compilation problem on solaris.
	Patch by Damien Carbery, bug #536789.

2008-06-04  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac: remove stray check for libattr

2008-05-27  Paolo Borelli  <pborelli@katamail.com>

	* plugins/filebrowser/gedit-file-browser-plugin.c: do not leak a GFile.

2008-05-24  Paolo Borelli  <pborelli@katamail.com>

	* plugins/snippets/data/c.xml:
	* plugins/snippets/data/perl.xml:
	* plugins/snippets/data/python.xml:
	Add some useful snippets

=== gedit 2.23.1 ===

2008-05-12  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.23.1 released

2008-05-12  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser-view.c:
	changing virtual root should not affect expand state.

2008-05-12  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser-view.c:
	Fixed a problem when gtk_tree_model_get_iter fails.

2008-05-10  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser-store.c:
	* plugins/filebrowser/gedit-file-browser-view.c:
	Fixed problems with changing model when rows are inserted. This made it 
	possible to change the expand/collapse actions from an idle function to
	immediate functions. This results in much faster 'feel' of the file 
	browser and also makes restoring the expanded state much faster. Also 
	fixed two memory leaks
	
2008-05-10  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser-view.c:
	* plugins/filebrowser/gedit-file-browser-view.h:
	* plugins/filebrowser/gedit-file-browser-widget.c:
	* plugins/filebrowser/gedit-file-browser-store.c:
	* plugins/filebrowser/gedit-file-browser-store.h:
	Added new feature which restores the expanded state of file browser
	nodes

2008-05-10  Paolo Borelli  <pborelli@katamail.com>

	* gedit-document.c:
	* gedit-document.h:
	* gedit-window.c:
	* gedit-window.h:
	Introduce gedit_document_get_location and port gedit-window to gio.

2008-05-09  Paolo Borelli  <pborelli@katamail.com>

	* gedit/dialogs/gedit-open-location-dialog.c:
	* gedit/dialogs/gedit-open-location-dialog.h:
	* gedit/gedit-commands-file.c:
	Port the open location dialog to gio.

2008-05-09  Paolo Borelli  <pborelli@katamail.com>

	* plugins/externaltools/tools/__init__.py:
	* plugins/externaltools/tools/outputpanel.py:
	Remove a couple of trivial uses of gnomevfs

2008-05-07  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-commands-file.c: start gio port.

2008-05-06  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser-store.c: fixed copy-paste 
	typof error in row_changed (which called gtk_tree_model_row_inserted
	instead of gtk_tree_model_row_changed, oops)
	
2008-05-06  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser-widget.c: fixed problem when
	icon for virtual root is not available
	* plugins/filebrowser/gedit-file-browser-utils.c: fixed using basename
	if file info cannot be queried
	* plugins/filebrowser/gedit-file-browser-plugin.c: added support for
	also resetting the uri of any open documents under a renamed directory
	* plugins/filebrowser/gedit-file-browser-store.c: fixed up code to
	handle non existent files and to try to mount mountable root locations
	if necessary

2008-05-05  Steve Frécinaux  <code@istique.net>

	* gedit/gedit-plugins-engine.c:
	* gedit/gedit-plugins-engine.h:
	New function gedit_plugins_engine_get_plugin_info() that finds a
	plugin info in the available plugins list.

2008-05-05  Steve Frécinaux  <code@istique.net>

	* gedit/gedit-module.c:
	* gedit/gedit-module.h:
	* gedit/gedit-python-module.c:
	* gedit/gedit-python-module.h:
	Make GeditPythonModule inherit from GeditModule, to somewhat
	standardize the loader API.

	* gedit/gedit-plugin-info-priv.h:
	* gedit/gedit-plugin-info.c:
	* gedit/gedit-plugin-info.h:
	* gedit/gedit-plugins-engine.c:
	Update to fit the above change, and use the directly GType instead of a Loader
	enum (it allows a few shortcuts in the code).

2008-05-05  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit-document.[ch]: added gedit_document_set_uri function which
	updates the documents uri
	
	* plugins/filebrowser/gedit-file-browser-marshal.list:
	* plugins/filebrowser/gedit-file-browser-store.[ch]:
	* plugins/filebrowser/gedit-file-browser-plugin.c:
	
	added support for resetting uris for open documents in gedit when
	a file is renamed from the file browser plugin
	
2008-05-05  Jesse van den Kieboom  <jesse@icecrew.nl>

	* configure.ac: added gio dependency

2008-05-05  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/*: ported file browser plugin to gio

2008-04-20  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-window.c: make delete, cut, paste and replace actions
	insentive when the view is not editable. Bug #527371.

=== gedit 2.22.0 ===

2008-04-08  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.22.1 released

2008-04-08  Paolo Maggi  <paolo@gnome.org>

	* gedit/gedit-view.c (delete_line): if there is a selection, delete
	the selected lines.

2008-04-08  Paolo Maggi  <paolo@gnome.org>

	* gedit/gedit-view.c (gedit_view_class_init), (reset_im_context),
	(delete_line), (gedit_view_delete_from_cursor): now you can delete
	the current line with Ctrl+D (like in pico, nano, eclipse, vim, etc.)

2008-04-05  Paolo Borelli  <pborelli@katamail.com>

	* gedut/gedit-print-preview.c: fix scrolling problem when scrolling
	with the keyboard arrows.

2008-03-29  Paolo Borelli  <pborelli@katamail.com>

	* plugins/spell/gedit-automatic-spell-checker.c: connect to the
	proper GtkTextTagTable signals. Bug #524976.

2008-03-24  Paolo Borelli  <pborelli@katamail.com>

	* plugins/filebrowser/gedit-file-bookmarks-store.c: disconnect all the
	volume monitor signals and do that in dispose.

2008-03-18  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-window.c: make search actions sensitive while
	notifying external modification. Patch by Alon Zakai, bug #519797.

2008-03-18  Paolo Borelli  <pborelli@katamail.com>

	* plugins/snippets/data/xml.xml: fix cdata snippet

=== gedit 2.22.0 ===

2008-03-10  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.22.0 released

2008-03-04  Claude Paroz  <claude@2xlibre.net>

	* plugins/externaltools/tools/tools.glade: Removed translatable property
	for gtk-revert-to-saved button.

=== gedit 2.21.2 ===

2008-02-24  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.21.2 released

2008-02-17  Djihed Afifi <djihed@gmail.com> 

	* plugins/taglist/gedit-taglist-plugin.c: Mark "Tags" for translation.

2008-02-16  Djihed Afifi <djihed@gmail.com> 

	* gedit/gedit-window.c: Mark "Documents" for translation.

2008-02-16  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/data/lang/snippets.lang: fixed reference to def:escape
	style which does no longer exist
	
	* plugins/snippets/snippets/Library.py:
	* plugins/snippets/snippets/WindowHelper.py:
	* plugins/snippets/snippets/Document.py
	
	Fixed problem with accelerator groups not getting uninstalled properly

2008-02-11  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* data/Makefile.am:
	* data/gedit.desktop.in.in:

	Install the gedit-bugreport.sh script in libexec instad of lib.
	Patch by Wouter Bolsterlee.

2008-02-09  Paolo Borelli  <pborelli@katamail.com>

	* plugins/filebrowser/gedit-file-bookmarks-store.c: do not escape uri
	when adding it to the store. Spotted by Mikael Hermansson, bug #514636.

2008-02-01  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/gedit-message-area.h: Fixed define.

2008-01-27  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-view.c: fix tiny leak.

2008-01-26  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-print-job.c:

	Apply all the print preferences in custom-widget-apply since the rest
	of the print dialog is not instant-apply.

2008-01-26  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-app.c:
	* gedit/gedit-tab.c:

	Fix refcounting of PageSetup and PrintSettings.

2008-01-25  Christian Persch  <chpe@gnome.org>
	
	* gedit/gedit-print-preferences.glade: Use GtkAlignments, and add
	mnemonics. Bug #512078.

2008-01-25  Paolo Borelli  <pborelli@katamail.com>

	* data/gedit.pc.in: remove libgnomeprintui from here too.

=== gedit 2.21.1 ===

2008-01-24  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.21.1 released

2008-01-24  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-utils.c: use X functions only when GDK_WINDOWING_X11
	is defined.

2008-01-24  Paolo Borelli  <pborelli@katamail.com>

	* gedit/Makefile.am: use install-exec-hook instead of 
	install-exec-local, to make sure symlink is done when installation
	is finished. 

2008-01-24  Paolo Borelli  <pborelli@katamail.com>

	* gedit-print-job.c:
	* gedit-print-job.h:
	* gedit-print-preview.c:
	* gedit-print-preview.h:
	* gedit-commands-file-print.c:
	* gedit-commands-file-print.h:
	* gedit-print-preferences.c:
	* gedit-tab.c:
	* gedit-tab.h:
	* gedit-app.c:
	* gedit-app.h:
	* gedit-window.c:

	Merge the new print implementation based on GtkPrint from the
	"printing" branch.

2008-01-23  Steve Frécinaux <code@istique.net>

	* gedit/gedit-app.c:
	* gedit/gedit-document-loader.c:
	* gedit/gedit-document-saver.c:
	* gedit/gedit-document.c:
	* gedit/gedit-documents-panel.c:
	* gedit/gedit-encodings-option-menu.c:
	* gedit/gedit-history-entry.c:
	* gedit/gedit-panel.c:
	* gedit/gedit-print-job-preview.c:
	* gedit/gedit-progress-message-area.c:
	* gedit/gedit-python-module.c:
	* gedit/gedit-tab.c:
	* gedit/gedit-window.c:
	* gedit/gtksourceprintjob.c:
	Take profit of G_PARAM_STATIC_STRINGS.

2008-01-23  Steve Frécinaux  <code@istique.net>

	* gedit/gedit-document.[ch]:
	* gedit/gedit-marshal.list:
	Add a "load" signal.

2008-01-22  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* docs/reference/Makefile.am:
	  Added gedit-enum-types.h to ignore h files.

2008-01-12  Seán de Búrca  <sdeburca@svn.gnome.org>

	* gedit/gedit-plugin-manager.c: fix two warnings in GeditPluginManager.

2008-01-08  Willie Walker <william.walker@sun.com>

	* gedit/gedit-view.c: fix for bug #475674 - state-changed:focused
	events missing for document when go to line is used.  This forces
	a focus event on the view when the search dialog goes away.

2008-01-04  Steve Frécinaux  <code@istique.net>

	* gedit/gedit-plugins-engine.c: fix a warning in GeditPluginsEngine.

2007-12-29  Steve Frécinaux  <code@istique.net>

	* bindings/python/gedit.defs: fix exception when passing None to
	document.set_language, since None is an expected value to disable
	highlighting.

2007-12-28  Steve Frécinaux  <code@istique.net>

	* gedit/gedit-plugins-engine.c: Add support for a GEDIT_PLUGINS_PATH
	environment variable. Based on a patch by Paolo Borelli. Fixes bug
	#339298.

	* gedit/gedit-python-module.c: Remove explicit $PATH setting since it
	is unneeded and done for each plugin separately.

	Note: by appending ':/usr/lib/gedit-2/plugins' to GEDIT_PLUGINSDIR in
	Makefile.am, one could manually add support for distro-packaged
	plugins in a custom build. This has not been done here yet though.

2007-12-28  Steve Frécinaux  <code@istique.net>

	* gedit/gedit-plugin-info-priv.h:
	* gedit/gedit-plugin-info.[ch]:
	* gedit/gedit-plugins-engine.[ch]:
	* gedit/Makefile.am:
	Split out GeditPluginInfo in its own set of files.

2007-12-28  Steve Frécinaux  <code@istique.net>

	* gedit/gedit-plugin-manager.c: Update the plugin manager to use the
	plugin engine signals.
	    
	This has the advantage of allowing us to update the plugin list of the
	manager when a plugin is activated in the background (through gconf,
	for a dependency, etc.).

2007-12-28  Steve Frécinaux  <code@istique.net>

	* gedit/gedit-plugins-engine.[ch]: Add (de)activate signals to the
	engine.

2007-12-28  Steve Frécinaux  <code@istique.net>

	* gedit/gedit-plugins-engine.c: Move plugin status update into the
	activate_real and deactivate_real methods. 

	This way, the *_real methods are self-contained, and the other ones
	just (de)activate the plugin and save the config into gconf. This is
	needed for the signals that come with the next patch.

2007-12-28  Steve Frécinaux  <code@istique.net>

	* gedit/gedit-plugins-engine.c: Kill engine->active_plugins once and
	for all.

	We now build the active plugin list only when we need it (and don't
	store it anymore):
	  - when we load the plugins for the first time
	  - when the plugin list is changed externally
	  - when we save the plugin list to gconf

	This avoid information duplication, thus making the code simpler and
	less error prone.

2007-12-28  Steve Frécinaux  <code@istique.net>

	* gedit/gedit-plugins-engine.[ch]: Register a new (refcounted) boxed
	GeditPluginInfo type. The reason is that signal marshalling need a
	GType.

2007-12-28  Steve Frécinaux  <code@istique.net>

	* gedit/gedit-plugins-engine.[ch]: make the gedit plugins engine a
	GObject.

	* gedit/gedit-plugin-manager.c:
	* gedit/gedit-window.c:
	* gedit/gedit.c:
	Adapt for above changes.

2007-12-28  Steve Frécinaux  <code@istique.net>

	* gedit/gedit-plugins-engine.c: talk about "module name" instead of
	"location" (since it is really what it is about"). "Location" is
	confusing because it is first understood as the directory where the
	plugin lies, while it's not.

2007-12-28  Steve Frécinaux  <code@istique.net>

	* gedit/gedit-plugins-engine.[ch]: Rename a bunch of
	gedit_plugins_engine_get_plugin_* into gedit_plugin_info_get_*, which
	is shorter and closer to the general naming convention.

	* gedit/gedit-plugin-manager.c: adapt to above changes.

2007-12-22  Paolo Borelli  <pborelli@katamail.com>

	* plugins/spell/gedit-spell-plugin.c: do not use the old gnome blue
	book icon. It looks ugly and out of place anyway.

2007-12-22  Paolo Borelli  <pborelli@katamail.com>

	* plugins/time/gedit-time-plugin.c: remove usage of gnome-config
	and cleanup code a bit.

2007-12-16  Paolo Borelli  <pborelli@katamail.com>

	* plugins/gedit-file-browser-store.c: use utility function to get the
	icon, so that we do not include libgnome headers.

2007-12-15  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-commands-file.c: fix off by one in goto_line when
	raising an already open document. Fixes bug #503665.

2007-12-09  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit.c:
	* gedit/gedit-app.c:
	Use gtk functions to load and save accels. Based on a patch by
	MIkael Hermansson.

2007-12-09  Paolo Borelli  <pborelli@katamail.com>

	* plugins/gedit-file-browser-widget.c:
	* plugins/gedit-file-bookmarks-store.c:
	Reorder includes

	* gedit/gedit-print.c:
	Do not use gnome_utils function.

2007-12-09  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-window.c (sort_recents_mru): fix comparison, spotted
	by Christian Persch.

2007-11-10  Paolo Borelli  <pborelli@katamail.com>

	* plugins/snippets/data/python.xml: fix typo in class snippet.
	Patch by Yoan Blanc.

2007-11-07  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/Placeholder.py: fixed bug not showing a
	default value for python placeholder mirror placeholders

2007-11-04  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-document.c: be more careful when retrieving mtime.

2007-11-02  Steve Frécinaux  <code@istique.net>

	* bindings/python/Makefile.am:
	* bindings/python/gedit.defs:
	* bindings/python/gedit.override:

	Bind gedit.debug in python, in such a way it works like gedit_debug or
	gedit_debug_message without having to specify the filename and line
	number and calling function name.

2007-11-02  Steve Frécinaux  <code@istique.net>

	Fix bug 491442 – gedit.commands.load_uri should only accept valid URIs

	* gedit/gedit-commands-file.c (gedit_commands_load_uri): check that
	the uri is valid before trying to open it.

2007-11-02  Steve Frécinaux  <code@istique.net>

	Fix bug #491312 – External Tools with two lines as input

	* plugins/externaltools/tools/functions.py: go to the beginning of the
	current line instead of the previous one when running an external tool
	on "current line".

2007-10-28  Steve Frécinaux  <code@istique.net>

	* gedit/gedit-utils.c: Use gdk_error_trap_*() to protect direct
	XGetWindowProperty() calls.

2007-10-28  Steve Frécinaux  <code@istique.net>

	Fix bug #484613 by adding viewport support to gedit.

	* gedit/gedit-utils.[ch]: New utility function
	gedit_utils_get_current_viewport().

	* gedit/gedit-app.[ch]: Rename gedit_app_get_window_in_workspace() into
	gedit_app_get_window_in_viewport and add viewport support to it.

	* gedit/gedit.c: Adapt IPC protocol to specify the current viewport to
	the running instance.

2007-10-28  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-utils.[ch]:
	* gedit/gedit-window.c:

	Simply use g_strdelimit instead of a cutsom function to escape slashes.

=== gedit 2.20.3 ===

2007-10-18  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.20.3 released

2007-10-17  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-local-document-saver.c: fix permissions and ownership
	saving in the save-tmp-and-swap strategy. Bug #468578.

=== gedit 2.20.2 ===

2007-10-15  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.20.2 released

2007-10-11  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-file-chooser-dialog.c:
	* gedit/gedit-language-manager.c:

	check language ids array for nullness.

2007-10-09  Curtis Hovey  <sinzui.is@verizon.net>

	* plugins/externaltools/tools/functions.py: Added missing
	Language_Mangager argument. Fix bug 484913.

2007-10-07  Curtis Hovey  <sinzui.is@verizon.net>

	* plugins/externaltools/tools/library.py: load tool property if
	it is not already in _properties. Fix bug 484318.

2007-10-06  Paolo Borelli  <pborelli@katamail.com>

        * gedit/dialogs/gedit-preferences-dialog.glade: mark string as
	translatable. Patch by Takao Fujiwara.

2007-09-28  Paolo Borelli  <pborelli@katamail.com>

        * gedit/gedit-tab.c: focus the textview when closing the print
	preview or cancelling the print. Fix bug #352673.

=== gedit 2.20.1 ===

2007-09-26  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.20.1 released

2007-09-26  Paolo Borelli  <pborelli@katamail.com>

	* plugins/filebrowser/gedit-file-browser-view.c: toggle hidden
	files with CTRL+h

2007-09-26  Paolo Borelli  <pborelli@katamail.com>

	* plugins/filebrowser/gedit-file-browser-store.c: support '.hidden'
	files.

2007-09-26  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/Document.py: fixed problem with placeholders
	being updated after they are removed

2007-09-25  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac: bump gtk requirement since the previous patch
	depends on a fix present in gtk 2.12.0.

2007-09-25  Paolo Borelli  <pborelli@katamail.com>

        * gedit/dialogs/gedit-search-dialog.c:
        * gedit/gedit-commands-search.c:
        * gedit/gedit-history-entry.c:
        * gedit/gedit-history-entry.h:
        * gedit/gedit-view.c:

	Make sure that the search history stores unescaped text to avoid
	duplication of slashes when picking an escaped item from the history.
	Fixes bug #473987.

        * gedit/dialogs/gedit-open-location-dialog.c:
	do not add empty strings to the history.

2007-09-23  Paolo Borelli  <pborelli@katamail.com>

        * configure.ac: allow to explicitely enable/disable libattr.
        Bug #476615, patch by Daniel Gryniewicz.

2007-09-23  Paolo Borelli  <pborelli@katamail.com>

	* plugins/externaltools/tools/manager.py:
	* plugins/externaltools/tools/library.py:
	* plugins/snippets/snippets/Library.py:
	* plugins/snippets/snippets/Exporter.py:
	* plugins/snippets/snippets/Snippet.py:
	* plugins/snippets/snippets/Placeholder.py:

        Use the more pythonic 'in' operator instead of dict.has_key()

2007-09-21  Paolo Borelli  <pborelli@katamail.com>

        * plugins/spell/gedit-spell-language-dialog.c: fix bug 478975. Patch
        by Alexandros Frantzis.

2007-09-21  Paolo Borelli  <pborelli@katamail.com>

        * plugins/taglist/gedit-taglist-plugin-parser.c: fix parsing error that
        prevented invalid tags from being discarded.
        * plugins/taglist/HTML.tags.xml.in: fix invalid tag. Fixes bug #478175.

2007-09-21  Paolo Borelli  <pborelli@katamail.com>

        * plugins/snippets/snippets/Helper.py: use tab-width, not tabs-width.
        Fixes #478578.

=== gedit 2.20.0 ===

2007-09-17  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.20.0 released

=== gedit 2.19.92 ===

2007-09-10  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.19.92 released

2007-09-10  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac: better pygtk detection error reporting.

2007-09-07  Paolo Borelli  <pborelli@katamail.com>

	* plugins/snippets/snippets/SnippetsComplete.py: dismiss when pressing
	ESC and the focus is in the treeview.

2007-09-07  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-message-area.c: make sure the widget style listens to
	gtk theme changes. Patch by Ignacio Casal Quinteiro.

2007-09-05  Jonh Wendell  <jwendell@gnome.org>

	* plugins/spell/gedit-spell-plugin.c:
	  Changed keybind from F7 to <Shift>F7, avoiding a conflict with
	  gtk 2.12, fixes bug #472371.

2007-09-01  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* gedit/gedit-message-area.c: Forgoted GTK_WIDGET cast in
	gtk_widget_set_app_paintable func.

2007-09-01  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-message-area.c: make sure that the message area uses
	the new GtkTooltip style. Fixes bug #467623.
	Patch by Ignacio Casal Quinteiro.

=== gedit 2.19.91 ===

2007-08-28  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.19.91 released

2007-08-27  Paolo Maggi  <paolo@gnome.org>

	* gedit/gedit-file-chooser-dialog.c (all_text_files_filter):
	* gedit/gedit-language-manager.c
	(gedit_language_manager_list_languages_sorted),
	(gedit_language_manager_get_language_from_mime_type):

	Adapt to GtkSourceView api changes.
	
2007-08-27  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-style-scheme-manager.[ch]: renamed and updated to
	adapt to latest gtksourceview.

	* gedit/gedit-document.c:
	* gedit/gedit-prefs-manager-app.c:
	* gedit/dialogs/gedit-preferences-dialog.c:

	Adapt to the above changes.

2007-08-27  Paolo Borelli  <pborelli@katamail.com>

	* plugins/modelines/modeline-parser.c: support indent-width.

2007-08-27  Paolo Maggi  <paolo@gnome.org>

	* gedit/gedit-prefs-manager-app.c
	(gedit_prefs_manager_right_margin_changed):
	* gedit/gedit-view.c (gedit_view_init):
	* plugins/modelines/modeline-parser.c (apply_modeline):
	* plugins/snippets/snippets/Manager.py:
	
	Adapt to GtkSourceView api changes.

2007-08-26  Paolo Borelli  <pborelli@katamail.com>

	* plugins/snippets/snippets/Manager.py:
	* gedit/gedit-window.c:
	* gedit/gedit-document.c:

	Adapt to GtkSourceView api changes.

2007-08-26  Paolo Borelli  <pborelli@katamail.com>

	* plugins/modelines/modeline-parser.c:
	* plugins/indent/gedit-indent-plugin.c:
	* plugins/externaltools/tools/manager.py:
	* plugins/snippets/snippets/Manager.py:
	* plugins/snippets/snippets/Snippet.py:
	* gedit/gedit-print.c:
	* gedit/gtksourceprintjob.c:
	* gedit/gedit-window.c:
	* gedit/gedit-view.c:
	* gedit/gedit-document.c:
	* gedit/gedit-prefs-manager-app.c:

	Adapt to GtkSourceView api changes.

2007-08-25  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-utils.c: escape slashes when selecting text and
	searching for it in the document. Fixes bug #443956.

2007-08-23  Paolo Borelli  <pborelli@katamail.com>

	* plugins/filebrowser/gedit-file-bookmarks-store.c: use
	g_get_user_special_dir to get the Desktop and Documents dirs.

2007-08-21  Paolo Borelli  <pborelli@katamail.com>

	* plugins/filebrowser/gedit-file-browser-plugin.c:
	* gedit/dialogs/gedit-preferences-dialog.c:
	* gedit/gedit-languages-manager.c:
	* gedit/gedit-prefs-manager-app.c:

	Fix a some minor memory leaks.

2007-08-21  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-window.c: Use gdk_atom_intern_static_string.

2007-08-16  Paolo Maggi  <paolo@gnome.org>

	* gedit/gedit-ui.h: Use new document-page-setup icon. Fixes bug #450946.
	Patch by Michael Monreal <infernux@web.de>
	
2007-08-16  Paolo Maggi  <paolo@gnome.org>

	* gedit/gedit-window.c (language_toggled),
	(create_language_menu_item), (create_languages_menu),
	(update_languages_menu): use language id instead of language name
	as action name in the languages menu. Fixes bug #462597.

2007-08-16  Paolo Maggi  <paolo@gnome.org>

	* MAINTAINERS: Follow new format regulations.
	
=== gedit 2.19.90 ===

2007-08-15  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.19.90 released

2007-08-15  Paolo Borelli  <pborelli@katamail.com>

	* plugins/spell/gedit-spell-plugin.c:
	* plugins/spell/gedit-spell-language-dialog.[ch]:
	* plugins/spell/gedit-spell-checker-dialog.c:

	Turn the language dialog into a GtkDialog suubclass and 
	make use of gedit_utils_get_glade_widgets instead of using
	glade directly.

2007-08-15  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-commands-file.c: add comment for translators.

2007-08-15  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-window.c: remove use of deprecated
	gtk_recent_manager_get_for_screen.

2007-08-15  Paolo Borelli  <pborelli@katamail.com>

	* gedit/dialogs/gedit-page-setup-dialog.glade:
	* gedit/dialogs/gedit-preferences-dialog.glade:

	Fix a couple of accelerators, patch by Patrick Wade, fixes 
	bug #466688 and #466689.

2007-08-15  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-document-loader.c: fix bugus assertion.

2007-08-15  Paolo Maggi  <paolo@gnome.org>

	* gedit/dialogs/gedit-preferences-dialog.c: allow to add/remove style
	schemes

	* gedit/dialogs/gedit-preferences-dialog.glade: ditto

	* gedit/gedit-document.c (get_default_style_scheme): new function
	(gedit_document_init): use get_default_style_scheme instead of the 
	removed gedit_source_style_manager_get_default_scheme

	* gedit/gedit-prefs-manager-app.c
	(gedit_prefs_manager_source_style_scheme_changed): do not use 
	the removed function gedit_source_style_manager_get_default_scheme

	* gedit/gedit-source-style-manager.[ch]: mostly rewritten

2007-08-15  Paolo Maggi  <paolo@gnome.org>

	* docs/reference/Makefile.am: fix building
	* docs/reference/gedit.types: ditto

	* gedit/dialogs/Makefile.am: do not compile and distributed files 
	related	to the style scheme editor.

2007-08-15  Paolo Borelli  <pborelli@katamail.com>

	* plugins/taglist/gedit-taglist-plugin-panel.c: add tooltips
	displaying the tag preview. Patch by Alexandre Mazari.

2007-08-15  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-documents-panel.c: add tooltips on the list
	now that gtk makes it easy.

2007-08-15  Paolo Maggi  <paolo@gnome.org>

	* gedit/dialogs/gedit-style-scheme-dialog.c:
	* gedit/dialogs/gedit-style-scheme-dialog.glade: small improvements, but
	the style schemed editor is still not working. Note that the style
	scheme editor will not be included in gedit 2.20.

2007-08-15  Paolo Maggi  <paolo@gnome.org>

	* gedit/gedit-utils.c (gedit_warning): do not call 
	gtk_dialog_set_has_separator
	(gedit_utils_get_glade_widgets): layout fixes in case of error

2007-08-15  Paolo Maggi  <paolo@gnome.org>

	* gedit/gedit-metadata-manager.c: the debug output of the metadata 
	manager was too verbose. Now verbose debug output is enabled only when
	GEDIT_METADATA_VERBOSE_DEBUG is #defined

2007-08-14  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-statusbar.c:
	* gedit/gedit-tooltips.c:
	* gedit/gedit-tooltips.h:
	* gedit/dialogs/gedit-preferences-dialog.c.orig:
	* gedit/dialogs/gedit-preferences-dialog.c:
	* gedit/gedit-notebook.c:
	* gedit/gedit-view.c:
	* gedit/gedit-print-job-preview.c:
	* gedit/gedit-panel.c:

	Use the new gtk tooltips API and remove custom gedit-tooltips
	implementation. Patch by Alexandre Mazari (bug #456717).

2007-08-12  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-document.c: save the metadata in ::dispose()
	so that we have a valid language. Fixes bug #464382.

2007-08-12  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-io-error-message-area.c: avoid conflicting
	accelerators. Patch by Patrick Wade, bug #444909.

2007-08-12  Vincent Geddes  <vgeddes@gnome.org>

	* plugins/spell/languages-dialog.glade2,
	plugins/docinfo/docinfo.glade2,
	plugins/time/time.glade2,	 
	plugins/time/gedit-time-plugin.c,
	gedit/dialogs/gedit-open-location-dialog.c,
	gedit/dialogs/gedit-encodings-dialog.c,
	gedit/dialogs/gedit-page-setup-dialog.c,
	gedit/dialogs/gedit-search-dialog.glade,
	gedit/dialogs/gedit-preferences-dialog.c,
	gedit/dialogs/gedit-search-dialog.c:
	  
	Ensure all dialogs have HIG compliant border widths
	and spacings (#341650).

2007-08-11  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-document.c: make sure the search highlighting
	text tag has higher priority than syntax highlighting tags.

2007-08-11  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-document.c: obtain the search-match highlighing
	color from the style scheme if it specified. Based on a patch
	by Paolo Maggi.

2007-08-10  Paolo Borelli  <pborelli@katamail.com>

	* plugins/Makefile.am: modelines is in C these days so it should
	always be built. Spotted by Rui Tiago Cação Matos.

2007-08-08  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser-widget.c: removed the warning
	when the path combobox changes the current selection when there is no
	active iter (because this is not really an invalid case). Fixes bug
	#460586

2007-08-01  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-plugins-engine.c: do not assign to a bitfield
	the result of a pointer comparison. It seems some compilers
	do not like it. reported by Rémi Cardona <remi@gentoo.org>.

=== gedit 2.19.3 ===

2007-08-01  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.19.3 released

2007-07-31  Paolo Borelli  <pborelli@katamail.com>

	* data/gedit.schemas.in:
	* gedit/gedit-prefs-manager.h:

	Add a schema for the style scheme: the pref is now stored in
	/apps/gedit-2/preferences/editor/colors/scheme.

2007-07-30  Steve Frécinaux  <code@istique.net>

	* gedit/gedit-document-saver.c: make "encoding" a property, for
	consistency with the saver.

2007-07-29  Steve Frécinaux  <code@istique.net>

	* gedit/gedit-document-saver.[ch]:
	* gedit/gedit-local-document-saver.[ch]:
	* gedit/gedit-gnomevfs-document-saver.[ch]:
	* gedit/gedit-document.c:

	Split GeditDocumentSaver into an abstract type and implementations of
	it (Bug 453048).

2007-07-27  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/data/php.xml: fixed php snippets (spacing and
	nested/invalid snippets)
	
2007-07-27  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/Manager.py: fixed not allowing deletion
	of system snippets
	
2007-07-27  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/Manager.py: fixed buffer and view
	settings

2007-07-27  Jesse van den Kieboom  <jesse@icecrew.nl>

	* configure.ac:
	* plugins/snippets/data/Makefile.am:
	* plugins/snippets/data/snippets.lang:
	* plugins/snippets/data/lang/*
	* plugins/snippets/snippets/Library.py:
	* plugins/snippets/snippets/Manager.py:
	
	Let snippets manager use a custom GtkLanguageManager which adds
	search paths for the snippets language file. Install snippets language
	file in $prefix/share/gedit-2/plugins/snippets/lang instead of 
	the gtksourceview language directory because it's private to the 
	snippets plugin
	
2007-07-27  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-window.c:
	* gedit/gedit-language-manager.c:
	* gedit/gedit-language-manager.h:
	* bindings/python/gedit.override:
	* bindings/python/gedit.defs:

	Hide hidden languages from the UI. Patch by Jesse.

	* gedit/gtksourceprintjob.c: make sure to highlight text
	before printing

2007-07-26  Jesse van den Kieboom  <jesse@icecrew.nl>
	
	* plugins/snippets/snippets/Parser.py: fixed parsing default list (
	allow escaping the list and allow whitespace
	* plugins/snippets/data/snippets.lang: fixed regex placeholder
	* plugins/snippets/snippets/Placeholder.py: fixed problem with
	removed snippet being entered (updated)
	
	* plugins/snippets/snippets/Manager.py:
	* plugins/snippets/snippets/Document.py:
	* plugins/snippets/data/snippets.xml:
	* plugins/snippets/data/Makefile.am:
	
	Added snippets to be used in snippets :)	
	
2007-07-26  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/data/snippets.lang: 
	* plugins/snippets/data/Makefile.am:
	
	New snippets language file
	
	* plugins/snippets/snippets/WindowHelper.py:
	* plugins/snippets/snippets/Manager.py:
	
	Make use of the new snippets language

2007-07-26  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/Library.py: fixed bug with override not
	working
	
	* plugins/snippets/snippets/snippets.glade:
	* plugins/snippets/snippets/Library.py:
	* plugins/snippets/snippets/Manager.py:
	* plugins/snippets/snippets/Document.py:
	* plugins/snippets/snippets/Helper.py:
	* plugins/snippets/snippets/Placeholder.py:
	* plugins/snippets/snippets/Snippet.py:
	
	Implemented dnd snippets activation. Added tooltips in snippets manager.
	Dnd works by specifying mime-types per snippet which will be activated
	when someone drops one or more files in a view.
	
2007-07-26  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit-view.c: always chain up the drag_motion signal to allow
	gtktextview to scroll the view and move the dnd mark

2007-07-25  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit-view.c: added call to gtk_drag_finish after emitting
	drop_uris
	
2007-07-25  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit-utils.h:
	* gedit/gedit-utils.c:
	* gedit/gedit-window.c:
	* gedit/gedit-view.c:
	* gedit/gedit-view.h:
	
	Moved handling drag and drop of the view from GeditWindow into 
	GeditView. Added a signal 'drop-uris' to GeditView which is emitted
	when uris have been dropped on the view. All the dnd for the view is
	now handled in the default signal handlers for drag_motion, drag_drop
	and drag_data_received. This way, the default behaviour of gedit
	loading uris dropped on the view can be changed by connecting to
	the drag_drop and drag_data_received signals from for example a 
	plugin. This wasn't possible before because the window connected
	signals to the view which made it impossible to intervene the signal
	handling.

2007-07-23  Paolo Borelli  <pborelli@katamail.com>

	* bindings/python/gedit.defs:
	* data/gedit.schemas.in:
	* gedit/gedit-view.c:
	* gedit/gedit-view.h:
	* gedit/gedit-prefs-manager.c:
	* gedit/gedit-prefs-manager.h:
	* gedit/gedit-prefs-manager-app.c:

	Remove all code and preferences related to setting colors.
	It has been superceeded by style scheme support

2007-07-20  Steve Frécinaux  <code@istique.net>

	* gedit/gedit-document-loader.[ch]:
	* gedit/gedit-mmap-document-loader.[ch]:
	* gedit/gedit-gnomevfs-document-loader.[ch]:
	* gedit/gedit-document.c:

	Split GeditDocumentLoader into an abstract type and implementations of
	it (Bug 453048).

2007-07-20  Paolo Maggi  <paolo@gnome.org>

	First step toward the new preference dialog
	
	* gedit/dialogs/Makefile.am: compile new files
	
	* gedit/dialogs/gedit-preferences-dialog.c: set the new "Font & Colors" 
	page
	* gedit/dialogs/gedit-preferences-dialog.glade: new "Font & Colors" 
	page
	* gedit/dialogs/gedit-style-scheme-dialog.[ch]: new files
	* gedit/dialogs/gedit-style-scheme-dialog.glade: new file
	* gedit/dialogs/gedit-style-scheme-generator.[ch]: new file
	* gedit/gedit-document.c (gedit_document_init): check the default style
	is not NULL before using it
	* gedit/gedit-source-style-manager.c (add_gedit_styles_path): new 
	function to add the gedit styles dir to the search path of the style
	schemes manager
	(gedit_get_source_style_manager): call the add_gedit_styles_path 
	function
	(_gedit_source_style_manager_scheme_is_gedit_user_scheme): new function

2007-07-19  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/Importer.py:
	* plugins/snippets/snippets/Exporter.py:
	* plugins/snippets/snippets/snippets.glade:
	* plugins/snippets/snippets/Manager.py:
	* plugins/snippets/snippets/Makefile.am:
	
	Added import and export functionality to snippets. Importing and 
	exporting can be done through the new GUI or by drag and drop
	
2007-07-19  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/Helper.py: set use-markup in message_dialog
	function
	* plugins/snippets/snippets/Library.py: fixed singleton. Made 
	add_system_library and add_user_library public. Added to_xml function
	to SnippetData

2007-07-19  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-prefs-manager-app.c: plug a small leak when
	saving state file.

2007-07-18  Paolo Borelli  <pborelli@katamail.com>

	* plugins/externaltools/tools/manager.py: fix typo that
	prevernted to properly save the selected output target.
	Patch by Alexandre Mazari, fixes bug #454368.

2007-07-17  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/Placeholder.py: fix bug with error handling
	of invalid regular expressions (replaced re.Error with re.error)

2007-07-16  Paolo Borelli  <pborelli@katamail.com>

	* data/gedit.schemas.in:
	* gedit/gedit-view.c:
	* gedit/gedit-prefs-manager-app.c:
	* gedit/gedit-prefs-manager.c:
	* gedit/gedit-prefs-manager.h:

	Add a gconf preference to select smart home end behavior.

2007-07-16  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser-store.c: fix bug with gedit
	crashing while navigating in the file browser tree. Fixes bug 
	#434563
	* plugins/filebrowser/gedit-file-bookmarks-store.c: applied patch
	from bug #454547 (patch by Gabor Kelemen) to fix translation of 
	`File System'
	
2007-07-09  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/Snippet.py: fixed inserting unicode strings

	* plugins/snippets/data/tcl.xml:
	* plugins/snippets/data/php.xml:
	* plugins/snippets/data/perl.xml:
	
	Fixed escape characters because the use of escape characters changed
	a bit with the new snippets parser.

2007-07-08  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-utils.c: use gnome_vfs_url_show instead
	of gnome_url_show, the latter is just a wrapper of the
	former which uses GError and we are using a NULL GError
	anyway.

2007-07-08  Paolo Borelli  <pborelli@katamail.com>

	* data/gedit.pc.in: require gtksourceview-2.0. Reported
	by Götz Waschk in bug #454801.

2007-07-08  Paolo Borelli  <pborelli@katamail.com>

	* plugins/externaltools/tools/tools.glade: mark dialog
	title for translation. Patch by Milo Casagrande, fixes
	bug #444088.

2007-07-07  Paolo Borelli  <pborelli@katamail.com>

	* plugins/filebrowser/gedit-file-browser-plugin.c:
	* plugins/filebrowser/gedit-file-browser-widget.c:

	Translate file browser actions. Patch by Gabor Kelemen.

2007-07-07  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit.c: translate the the "ENCODING" string printed
	on the command line help. Patch by Gabor Kelemen.
	* plugins/filebrowser/gedit-file-browser-store.c: mark "Empty"
	string for translation. Patch by Gabor Kelemen.

2007-07-07  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-plugin-manager.c:
	* gedit/gedit-prefs-manager.h:
	* gedit/gedit-prefs-manager-app.c:
	* gedit/gedit-plugins-engine.c:
	* gedit/gedit-metadata-manager.c:

	Use GKeyFile instead of gnome_config_* and remove other minor
	uses of libgnome.

=== gedit 2.19.2 ===

2007-07-03  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.19.2 released

2007-07-03  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/Makefile.am: added SubstitutionParser.py
	
2007-07-03  Jesse van den Kieboom  <jesse@icecrew.nl>
	
	* plugins/snippets/snippets/SubstitutionParser.py:
	* plugins/snippets/snippets/Parser.py:
	* plugins/snippets/snippets/Snippet.py:
	* plugins/snippets/snippets/Placeholder.py:
	
	Added new regex placeholder type to snippets

2007-07-03  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-view.c:
	* plugins/snippets/snippets/Manager.py:

	Adapt to GtkSourceView smart-home-end renaming.

2007-07-03  Paolo Borelli  <pborelli@katamail.com>

	* plugins/externaltools/tools/functions.py:
	* plugins/externaltools/tools/manager.py:
	
	Fix a couple of problems in latest patch.

2007-07-02  Jesse van den Kieboom  <jesse@icecrew.nl>

	* bindings/python/Makefile.am:
	* bindings/python/gedit.defs:
	* bindings/python/gedit.override:
	
	added bindings for gedit-language-manager
	
	* plugins/snippets/snippets/Manager.py:
	* plugins/snippets/snippets/WindowHelper.py:
	
	use gtksourceview2 instead of gtksourceview1 and use new language
	manager bindings
	
	* plugins/externaltools/tools/functions.py:
	* plugins/externaltools/tools/manager.py:
	
	use new language manager bindings
	
2007-07-01  Paolo Borelli  <pborelli@katamail.com>

	* plugins/taglist/gedit-taglist-plugin-parser.c: look up
	tags in .gnome2/gedit/taglist beside the legacy
	.gedit-2/plugins/taglist.

2007-07-01  Paolo Borelli  <pborelli@katamail.com>

	* plugins/spell/gedit-spell-language-dialog.c:

	remove unused include.

	* gedit/dialogs/gedit-preferences-dialog.glade:
	* gedit/dialogs/gedit-encodings-dialog.glade:

	remove uneeded <requires lib="gnome">

2007-07-01  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-tab.c: allow to save as when in the 
	EXTERNALLY_MODIFIED_NOTIFICATION state. Fixes bug #439184.

2007-06-30  Christian Kirbach  <Christian.Kirbach@googlemail.com>

	* gedit/gedit-print.c:
	* gedit/gedit-session.c:
	* gedit/gedit-tab.c:
	Fix about 20 gcc4 compiler warnings.

2007-06-30  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/Helper.py: removed debug_print action which
	was accidentally committed

2007-06-30  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/: changed file names to more consistent ones
	(dropping the Snippet prefix). Created a new and improved parser for 
	snippets and abstracted it in Parser.py. Changed syntax of multiple
	default values for normal placeholders to: ${1:[def1,def2]} (was
	${1:def1:def2}) and changed system snippets accordingly. Changed syntax
	of python placeholder dependencies to $<[1,2]: return 'example'> (was
	$<1,2: return 'example'>) to be able to differentiate between
	dependencies and tabstops (which wasn't working before and thus made 
	python placeholders unusable in many cases). Fixed proper escaping in
	placeholders. Fixed python placeholders without dependencies or 
	tabstop (were deleted before). Fixes #441287. Fixes #444219.

2007-06-30  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/data/c++.xml: changed language id to C@43@@43@ 
	(fixes #449341). Patch by Alex Cornejo
	
2007-06-30  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/data/css.xml: fixed text-transform snippets (fixes 
	#451781), patch by Damian Peterson

2007-06-30  Paolo Borelli  <pborelli@katamail.com>

	* plugins/filebrowser/gedit-file-browser-plugin.c: use
	g_getenv instead of getenv. Fixes a warning noted by
	Christian Kirbach.

2007-06-30  Paolo Borelli  <pborelli@katamail.com>

	* gedit-tab.[ch]: do not include gedit-print.h in the public
	gedit-tab header since gedit-print.h is not installed anymore.

2007-06-29  Paolo Borelli  <pborelli@katamail.com>

	* gedit-encodings.[ch]:

	Make gedit_encodings_copy just return the same pointer and
	gedit_encodings_free a noop: GeditEncoding is not a real 
	boxed type and the GeditEncoding object for a given encoding
	should always be the same pointer.
	While at it also make sure that our table of encodings is 
	const so that it can go in readonly section. Translation
	of encoding names are resolved lazily.

2007-06-29  Paolo Borelli  <pborelli@katamail.com>

	* gedit-commands-file.c:
	* gedit/gedit-window.[ch]:

	Reimplement differently the persistance of the default path
	of the filechooser that was broken by the removal of 
	"document->priv->is_saving_as".

2007-06-29  Steve Frécinaux  <code@istique.net>

	* gedit/gedit-app.h:
	* gedit/gedit-document-loader.h:
	* gedit/gedit-document-saver.h:
	* gedit/gedit-document.h:
	* gedit/gedit-documents-panel.h:
	* gedit/gedit-message-area.h:
	* gedit/gedit-panel.h:
	* gedit/gedit-plugin-manager.h:
	* gedit/gedit-plugin.h:
	* gedit/gedit-print.h:
	* gedit/gedit-progress-message-area.h:
	* gedit/gedit-tab.h:
	* gedit/gedit-window.h:

	Remove unused GEDIT_*_CONST casts, so they don't appear in the
	developper documentation anymore.

2007-06-29  Steve Frécinaux  <code@istique.net>

	* docs/reference/tmpl/gedit-document.sgml:
	* gedit/gedit-document.c:
	* gedit/gedit-document.h:
	* gedit/gedit-marshal.list:
	* gedit/gedit-window.c:

	Implement Save and Save As as operations of GeditDocument as the
	default handler of a "save" signal.
	Also kill "document->priv->is_saving_as" and write some related bits
	of developper documentation.

2007-06-28  Changwoo Ryu  <cwryu@debian.org>

	* configure.ac: Removed help/ko/Makefile for gnome-doc-utils
	migration.

2007-06-28  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-file-chooser-dialog.c
	* gedit/gedit-language-manager.c:
	* gedit/gedit-window.c:

	Adapt to gtksourceview changes.

2007-06-27  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-source-style-manager.c: do not unref style
	old scheme when changing default scheme.

2007-06-26  Paolo Borelli  <pborelli@katamail.com>

	* plugins/externaltools/data/build.tool.in: also try
	GNUmakefile and makefile and handle spaces in directory names.

2007-06-25  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-commands-file.c: remove stray comma in
	error message. Patch by Joachim Noreiko.

2007-06-25  Paolo Borelli  <pborelli@katamail.com>

	* plugins/filebrowser/gedit-file-browser-plugin.c: fix a typo.
	patch by Thierry Moisan.
	* gedit/gedit-ui.h: capitalization and Mnemonic fix for
	the incremental search menu item. Patch by Dennis Cranston.
	* gedit/gedit-commands-file.c: remove '...' from dialog title

=== gedit 2.19.1 ===

2007-06-25  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.19.1 released

2007-06-24  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-language-manager.[ch]: rename 
	gedit-languages-manager to gedit-language-manager

2007-06-24  Paolo Borelli  <pborelli@katamail.com>

	* plugins/externaltools/tools/functions.py:
	* plugins/externaltools/tools/manager.py:
	* plugins/snippets/snippets/SnippetsDialog.py:
	* gedit/gedit-print.h:
	* gedit/gedit-source-style-manager.c:
	* gedit/dialogs/gedit-preferences-dialog.c:
	* gedit/gedit-source-style-manager.h:
	* gedit/gedit-file-chooser-dialog.c:
	* gedit/gtksourceprintjob.c:
	* gedit/gtksourceprintjob.h:
	* gedit/gedit-python-module.c:
	* gedit/gedit-window.c:
	* gedit/gedit-view.c:
	* gedit/gedit-document.c:
	* gedit/gedit-prefs-manager.c:
	* gedit/gedit-prefs-manager.h:
	* gedit/gedit-prefs-manager-app.c:
	* gedit/gedit-languages-manager.c:
	* gedit/gedit-languages-manager.h:
	* gedit/Makefile.am:
	* bindings/python/Makefile.am:
	* bindings/python/gedit.override:
	* configure.ac:

	First cut of gtksourceview 2 port: 
	- adapt to API Changes,
	- remove the Syntax Highlighting page from the preference
	  dialog (we still need to figure out what we want to do with
	  regard to style schemes)
	- prevent python plugins from importing the old gtksourceview
          bindings to avoid conflicting symbols
	- import a local copy of gtksourceprintjob, to have print 
	  working before a port to GtkPrint is done

=== gedit 2.18.2 ===

2007-06-24  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.18.2 released

2007-06-24  Paolo Borelli  <pborelli@katamail.com>

	* plugins/snippets/SnippetPluginInstance.py: remove 
	useless import gtksourceview.

	* plugins/spell/gedit-automatic-spell-checker.c: cleanup.

2007-06-24  Paolo Borelli  <pborelli@katamail.com>

	* Makefile.am: remove m4 from EXTRA_DIST. It's not needed.
	Fixes bug #445877, noticed by Vincent Geddes.

2007-06-24  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-print-job-preview.c: do not stop emission of
	key press event, so that ctrl+p also works in print preview.
	Fixes bug #444611.

2007-06-17  Paolo Maggi  <paolo@gnome.org>

	Fixes weird focus behavior in the search/replace dialog
	
	* gedit/dialogs/gedit-search-dialog.c
	(gedit_search_dialog_present_with_time): new function
	(gedit_search_dialog_focus_in_event): removed
	(gedit_search_dialog_class_init): don't use 
	gedit_search_dialog_focus_in_event
	
	* gedit/dialogs/gedit-search-dialog.h: added prototype of
	gedit_search_dialog_present_with_time
	
	* gedit/gedit-commands-search.c (_gedit_cmd_search_find),
	(_gedit_cmd_search_replace): call gedit_search_dialog_present_with_time
	instead if gtk_window_present

2007-06-13  Steve Frécinaux  <code@istique.net>

	* configure.ac:
	* data/gedit.pc:
	* data/Makefile.am:
	* gedit/Makefile.am:

	Rename GEDIT_MAJOR into GEDIT_API_VERSION, because the former is
	confusing (see bug #447043).

2007-06-07  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-document.c: make sure to not place the cursor
	in an invalid position when persisting the position from
	metadata.

2007-06-07  Bastien Nocera  <hadess@hadess.net>

	* gedit/gedit-metadata-manager.c:
	(gedit_metadata_manager_arm_timeout),
	(gedit_metadata_manager_save):
	Remove bits of evince left-overs, should fix #444921

2007-06-05  Bastien Nocera  <hadess@hadess.net>

	* gedit/gedit-metadata-manager.c:
	(gedit_metadata_manager_arm_timeout),
	(gedit_metadata_manager_init), (gedit_metadata_manager_shutdown),
	(gedit_metadata_manager_set), (gedit_metadata_manager_save):
	Avoid having an always-running timeout, uses power (Closes: #444270)

2007-05-12  Steve Frécinaux  <code@istique.net>

	* plugins/externaltools/data/build.desktop.in: Use Ctrl+F8 as the
	shortcut for the Build tool (workaround bug #406176).

	* plugins/externaltools/data/build.tool.in: Look recursively for
	Makefiles in the parent directories of the current file.

2007-04-15  Pascal Terjan  <pterjan@linuxfr.org>

	 gedit/gedit-document-saver.c: Don't fail when we cannot change
	rights on the backup file if it was not needed (e.g. on FAT).
	Bug #427548

=== gedit 2.18.1 ===

2007-04-10  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.18.1 released

2007-03-24  Paolo Borelli  <pborelli@katamail.com>

	* gedit/dialogs/gedit-close-confirmation-dialog.c: escape
	gmarkup in document name. Bug #422228.

2007-03-24  Paolo Maggi  <paolo@gnome.org>

	* plugins/taglist/Makefile.am: call gzip with "--best -f" args
	* plugins/taglist/gedit-taglist-plugin-parser.c
	(parse_taglist_dir): fix a little bug when searching for .tags.gz
	files
	
	Total size of tags files is now 540K

2007-03-21  Steve Frécinaux  <code@istique.net>

	* configure.ac: add AC_PATH_PROG for gzip.

	* plugins/taglist/gedit-taglist-plugin-parser.c: take advantage of
	libxml built-in gzip support.

	* plugins/taglist/Makefile.am: generate gzip'ed tag files.

	Total size of tags files felt from 6.7M to 560K (~92%)

2007-03-21  Steve Frécinaux  <code@istique.net>

	* plugins/taglist/HTML.tags.xml.in:
	* plugins/taglist/Latex.tags.xml.in:
	* plugins/taglist/XSLT.tags.xml.in:
	* plugins/taglist/XUL.tags.xml.in:

	Set gedit namespace as the default namespace, and rework indentation.
	This doesn't change anything for the (libxml-based) Tag list plugin,
	but lowers the total size of the translated XML files from about 9.2M
	to about 6.7M (27%).

2007-03-13  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-document-loader.c: clear the buffer when reloading
	an empty file. Fixes #417825.

2007-03-13  Steve Frécinaux  <code@istique.net>

	Bug #415550 – Extra information in the bug-report script.

	* configure.ac: AC_SUBST the enable_python variable in order for the
	report script to know whether python support is activated; bugreport
	script added to AC_OUTPUT.

	* data/gedit-bugreport.sh:
	* data/gedit-bugreport.sh.in:

	Get the version of libraries (if pkg-config is available) and of
	python modules (if support is compiled in). Remove the .sh file and
	replace it with a .sh.in one since it's generated by configure.

	* data/Makefile.am: change EXTRA_DIST to ship the .in file.

=== gedit 2.18.0 ===

2007-03-11  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.18.0 released

2007-03-11  Christian Kirbach  <Christian.Kirbach@googlemail.com>

        * data/gedit.desktop.in.in:
	"Application" is not a valid category in the freedesktop.org
        specification.

2007-03-07  Steve Frécinaux  <code@istique.net>

	* configure.ac: add AC_SUBST for an expanded version of $(libdir)

	* data/gedit-bugreport.sh: script get additional informations for
	BugBuddy reports. Currently shows what's the distro (using LSB) and
	what plugins are enabled.

	* data/gedit.desktop.in.in: add X-GNOME-Bugzilla-ExtraInfoScript key.

	* data/Makefile.am: install the new script in $(libdir).

2007-02-28  Sebastien Bacher  <seb128@ubuntu.com>

	* gedit/gedit-python-module.c: (gedit_python_module_load):
	make plugins work with python2.5 on 64 bits architecture. Bug #413030

2007-02-27  Paolo Maggi  <paolo@gnome.org>

	* plugins/filebrowser/gedit-file-bookmarks-store.c (add_uri):
	added a comment for translators. Bug #412627.

=== gedit 2.17.6 ===

2007-02-26  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.17.6 released

2007-02-26  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac: do not use grep -q since it doesn't work on
	Solaris. Patch by Jeff Cai.

2007-02-25  Paolo Borelli  <pborelli@katamail.com>

	* plugins/taglist/gedit-taglist-plugin-panel.c: mark string for
	translation. Bug #409017.

2007-02-25  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-plugins-engine.c: allow user plugins to override
	system plugins. Bug #407374.

2007-02-24  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-documents-panel.c: when adding a row, select
	it only if the corresponding tab is active. Bug #407536.

2007-02-24  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-document-loader.c: handle sigbus signal
	when acessing the mmaped file since it is fired in case
	of I/O error. This should fix #354046.

2007-02-24  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-document-loader.c: refactor how the
	encoding is fetched from metadata.

=== gedit 2.17.5 ===

2007-02-12  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.17.5 released

2007-02-12  Paolo Borelli  <pborelli@katamail.com>

	* bindings/python/gedit.override:
	* bindings/python/gedit.defs:

	Bind GeditStatusbar, bug #401851 patch by P. Henrique Silva.

2007-02-12  Paolo Borelli  <pborelli@katamail.com>

	* plugins/modelines/modeline-parser.c: fix "indent-tabs-mode"
	in emacs modelines (cut&paste error in the python/C transition)

2007-02-06  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-bookmarks-store.c: changed "at" to 
	"on"

2007-02-06  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-bookmarks-store.c: disabled checking 
	if an uri exists for remote bookmarks. Added the hostname in the
	bookmark name for remote bookmarks

2007-02-06  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-document-loader.c: close file descriptor on
	a loading error. Bug #403140.

2007-02-06  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-print-job-preview.c: mark string for translation.
	Patch by Takao Fujiwara.

2007-01-27  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-commands-file.c: when raising an already
	open document, go to the line specified on the command
	line. Bug #401219.

2007-01-24  Steve Frécinaux  <code@istique.net>

	* plugins/modelines/modeline-parser.c: fix handling of the very last
	line if the document is smaller than ten lines (it wasn't parsed).

2007-01-23  Steve Frécinaux  <code@istique.net>

	* plugins/modelines/modeline-parser.c: fix handling of the very last
	line (it wasn't parsed).

=== gedit 2.17.4 ===

2007-01-22  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.17.4 released

2007-01-19  Steve Frécinaux  <code@istique.net>

	Fix bug #346598 – modeline plugin takes too much memory.
	
	The modeline plugin was the only python plugin loaded by default, and
	that had serious consequencies on gedit startup time and memory
	comsumption.

	* plugins/modelines/gedit-modeline-plugin.[ch]:
	* plugins/modelines/modeline-parser.[ch]:

	Reimplement the modeline plugin in C. (bug #346598). Also fix some
	mistakes in the handling of vim modelines and don't parse the same
	line twice.

	* plugins/modelines/Makefile.am: replace python files with C ones.

	* plugins/modelines/modelines.gedit-plugin.desktop.in: remove the
	reference to the python loader.
	
	* plugins/modelines/modelines.py: deleted.

	Note: the parsers are lazy and don't check whether the modeline is
	correct wrt how the different editors define them. This was already the
	case previously.

2007-01-20  Paolo Maggi  <paolo@gnome.org>

	Fixes bug #398343 – Text Editor: gedit is not accpecting sett...
	
	* gedit/gedit-prefs-manager-app.c
	(gedit_prefs_manager_editor_font_changed): correctly set the font
	when the editor_font gconf key changes.

2007-01-17  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-view.c: unref the the icon in the incremental
	search entry.

2007-01-17  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-commands-file-print.c: make sure the specified
	range is in ascending order. bug #319950. Based on a patch
	by John N. Laliberte.

2007-01-13  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-tab.c:

	Set tab icon when notifying external modification.
	Patch by  Emmanuel Touzery.

2007-01-10  Paolo Maggi  <paolo@gnome.org>

	Fixes bug #352959 – External Tools: "output pane" should be 
	                    "bottom pane"
	
	* plugins/externaltools/tools/manager.py: replace 
	'Insert in output panel' with 'Display in bottom pane'

2007-01-10  Paolo Maggi  <paolo@gnome.org>

	Fixes bug #357529 – Open dialog doesn't retain text settings filter
	
	* gedit/gedit-prefs-manager-app.c
	(gedit_prefs_manager_get_active_file_filter),
	(gedit_prefs_manager_set_active_file_filter),
	(gedit_prefs_manager_active_file_filter_can_set):
	* gedit/gedit-prefs-manager-app.h:
	* gedit/gedit-prefs-manager.h: new functions to remember the last used
	file filter

	* gedit/gedit-file-chooser-dialog.c (filter_changed) 
	(gedit_file_chooser_dialog_new_valist): remember the last used filter
	(all_text_files_filter): improved filter for text files

2007-01-09  Paolo Borelli  <pborelli@katamail.com>

	* plugins/gedit-file-browser-plugin.c: fix build with
	gcc 2.95. Patch by Jens Granseuer.

2007-01-09  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-commands-file.c:
	* gedit/gedit-io-error-message-area.c:
	* gedit/gedit-tab.c:

	Fix some bugs in the external modification notification.
	Patch by  Emmanuel Touzery.

=== gedit 2.17.3 ===

2007-01-08  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.17.3 released

2007-01-08  Paolo Borelli  <pborelli@katamail.com>

	* plugins/spell/Makefile.am:
	* plugins/docinfo/Makefile.am:
	* plugins/indent/Makefile.am:
	* plugins/sample/Makefile.am:
	* plugins/filebrowser/Makefile.am:
	* plugins/sort/Makefile.am:
	* plugins/time/Makefile.am:
	* plugins/taglist/Makefile.am:

	Link against GEDIT_LIBS.

2007-01-08  Paolo Borelli  <pborelli@katamail.com>

	* bindings/python/gedit.defs:
	* gedit/gedit-document.[ch]:
	* gedit/gedit-io-error-message-area.[ch]:
	* gedit/gedit-tab.[ch]:
	* gedit/gedit-window.c:

	Show a warning message when the file is modified from
	another program. Patch by  Emmanuel Touzery.
	Fixes bug #371188.

2007-01-08  Paolo Borelli  <pborelli@katamail.com>

	* plugins/filebrowser/gedit-file-bookmarks-store.c:
	* plugins/filebrowser/gedit-file-browser-store.c:
	* plugins/filebrowser/gedit-file-browser-widget.c:

	Adjust pixbuf refcount handling to not leak.

2007-01-07  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser-widget.c: changed 
	'Avanced filtering' to 'Match Filename' as suggested in #353988

2007-01-07  Jesse van den Kieboom  <jesse@icecrew.nl>
	
	* plugins/snippets/data/c.xml:
	* plugins/snippets/data/c++.xml:
	
	Added defaults for year and author in the gpl/lgpl snippets following
	Paolo Maggi's example (fixes #354632)

2007-01-07  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/SnippetPlaceholders.py: fix small typo
	* plugins/snippets/snippets/SnippetsLibrary.py: do not load system
	snippets that don't have an id (fixes #357088)

2007-01-07  Steve Frécinaux  <code@istique.net>

	* plugins/indent/gedit-indent-plugin.c: fix Bug 393942 – Plugins need
	to be properly ordered when displayed in a menu.

2007-01-07  Paolo Borelli  <pborelli@katamail.com>

	* plugins/filebrowser/filebroser.gedit-plugin.desktop.in:
	* plugins/indent/indent.gedit-plugin.desktop.in:
	* plugins/spell/spell.gedit-plugin.desktop.in:

	Adjust name capitalization. Bug #393945.

2007-01-07  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/SnippetPlaceholders.py: add warning when
	no value is returned in a python snippet. Also added safeguard for 
	returning other types than strings in a python snippet (fixes #354648)

2007-01-07  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/SnippetPlaceholders.py: fix little bug with 
	having no default value
	
	* plugins/snippets/data/c.xml:
	* plugins/snippets/data/c++.xml:
	
	Added GEDIT_BASENAME to gpl/lgpl snippets (fixes #354643)

2007-01-07  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/SnippetPlaceholders.py:
	* plugins/snippets/snippets/Snippet.py:
	
	Add support for default alternatives by the following syntax:
	${1:ENV_VAR:alternative}. The list of defaults (colon separated) is
	being traversed as long as the default is empty (useful for having
	alternatives for empty environment variables). (fixes #354643)
	
	Add support for tabstops for python and shell placeholders. Python
	and shell placeholders that don't depend (either explicit or implicit)
	on other placeholders can now be reached via <tab> (fixes #354643)
	
2007-01-07  Jesse van den Kieboom  <jesse@icecrew.nl>
	
	* plugins/filebrowser/gedit-file-browser-widget.c: fixed leaking 
	a GList and GtkTreePaths
	
	* plugins/filebrowser/gedit-file-browser-widget.c:
	* plugins/filebrowser/gedit-file-browser-plugin.c:
	
	Added support for nautilus' enable_delete and confirm_trash preferences
	
2007-01-07  Jesse van den Kieboom  <jesse@icecrew.nl>
	
	* plugins/filebrowser/gedit-file-browser-store.c: fixed problem
	with async delete

2007-01-07  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser-view.c:
	* plugins/filebrowser/gedit-file-browser-view.h:
	* plugins/filebrowser/gedit-file-browser-marshal.list:
	* plugins/filebrowser/gedit-file-browser-widget.c:
	* plugins/filebrowser/gedit-file-browser-widget.h:
	* plugins/filebrowser/gedit-file-browser-store.c:
	* plugins/filebrowser/gedit-file-browser-plugin.c:
	* plugins/filebrowser/gedit-file-browser-store.h:
	
	Moved implementation of activating files and directories to 
	gedit-file-browser-view (was implemented in gedit-file-browser-widget
	before). Added support for nautilus click behavior (single/double).
	Added support for selecting multiple files.

2007-01-04  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-languages-manager.c:
	* gedit/gedit-prefs-manager.c:
	* gedit/gedit-utils.c:

	Avoid namespace conflict with gtk.

2007-01-02  Steve Frécinaux  <code@istiquet.net>

	* gedit/gedit-prefs-manager.c: fix a typo in previous patch.

2007-01-02  Steve Frécinaux  <code@istique.net>

	Fix Bug 101753 – default font should be system font.

	* gedit/gedit-prefs-manager.[ch]: Add a new preference: System font.
	Also set TRUE as the default value for USE_SYSTEM_FONT.

	* gedit/gedit-prefs-manager-app.c: Watch the system font GConf key.
	Fix a few \t that were preceded with " ".

	* gedit/gedit-view.c: use the default monospaced font when set_font
	is called with def as TRUE.

	* gedit/dialogs/gedit-preferences-dialog.{c,glade}: update the
	preferences dialog UI as suggested on comment 27 from bug 101753.

	* data/gedit.schemas.in: use the default system font by default, and
	update the description to reflect that we use the monospaced font.

2007-01-02  Paolo Maggi  <paolo@gnome.org>

	Fixes bug #351954 – gedit should not crash on a bad Python plugin
	
	* gedit/gedit-plugin-manager.c (plugin_manager_view_info_cell_cb),
	(plugin_manager_view_icon_cell_cb),
	(plugin_manager_populate_lists), (plugin_manager_set_active),
	(plugin_manager_get_selected_plugin), (name_search_cb),
	(create_tree_popup_menu), (model_name_sort_func),
	(plugin_manager_construct_tree): set unavailable plugins unsensitive
	
	* gedit/gedit-plugins-engine.c (gedit_plugins_engine_load),
	(load_plugin_module), (gedit_plugins_engine_activate_plugin_real),
	(gedit_plugins_engine_activate_plugin),
	(gedit_plugins_engine_deactivate_plugin),
	(gedit_plugins_engine_plugin_is_active),
	(gedit_plugins_engine_plugin_is_available), (reactivate_all),
	(gedit_plugins_engine_update_plugins_ui),
	(gedit_plugins_engine_plugin_is_configurable),
	(gedit_plugins_engine_active_plugins_changed): manage unavailable 
	plugins, i.e. plugins that for some reason cannot be loaded by gedit
	
	* gedit/gedit-plugins-engine.h: new 
	gedit_plugins_engine_plugin_is_available prototype
	
	* gedit/gedit-python-module.c (gedit_python_module_load),
	(gedit_python_module_unload), (gedit_python_module_init),
	(gedit_python_module_finalize), (gedit_python_module_class_init),
	(check_pygtk2), (gedit_init_pygobject), (gedit_init_pygtk),
	(gedit_init_pygtksourceview), (gedit_python_init), (run_gc),
	(gedit_python_garbage_collect): Python initialization now happens
	when the first python plugin happen and initialization errors can be
	handled
	
	* gedit/gedit-python-module.h: new gedit_python_init prototype

2007-01-02  Steve Frécinaux  <code@istique.net>

	* gedit/gedit-plugins-engine.c: rename GeditPluginLang to
	GeditPluginLoader since this enum contains _LOADER_* values.

2007-01-02  Joachim Noreiko  <jnoreiko@yahoo.com>

	* plugins/snippets/data/docbook.xml:
	* plugins/snippets/data/Makefile.am: add snippets for DocBook. #357089.

2007-01-02  Paolo Maggi  <paolo@gnome.org> 

	* gedit/gedit-python-plugin.c: cosmetic changes

2006-12-31  Paolo Borelli  <pborelli@katamail.com>

	* README:
	* HACKING:
	* message-of-doom:

	farewell CVS, welcome subversion.

2006-12-31  Paolo Maggi  <paolo@gnome.org>
	
	Fixes bug #356178 – Encodings not listed correctly in .po files
	      bug #321067 – gedit does not automatically detect utf-16
	      
	* data/gedit.schemas.in 
	(/apps/gedit-2/preferences/encodings/auto_detected key): 
	autodetects encoding of UTF-16 files. Improved comment for translators.

2006-12-29  Paolo Borelli  <pborelli@katamail.com>

	* plugins/filebrowser/gedit-file-browser-widget.c: allow F2
	to rename and handle better modifiers for Delete.

2006-12-29  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-view.c: move idle removal in destroy to prevent
	so that it doesn't run on a destroyed view.

2006-12-28  Steve Frécinaux  <code@istique.net>

	Fix Bug 342042 – plugins create menus items which are not translatable.

	* plugins/externaltools/tools/library.py: Support l10n of embedded
	metadata keys, the way desktop files do.

	* plugins/externaltools/data/Makefile.am:
	* plugins/externaltools/data/build.desktop.in:
	* plugins/externaltools/data/build.tool.in:
	* plugins/externaltools/data/open-terminal-here.desktop.in:
	* plugins/externaltools/data/open-terminal-here.tool.in:
	* plugins/externaltools/data/remove-trailing-spaces.desktop.in:
	* plugins/externaltools/data/remove-trailing-spaces.tool.in:
	* plugins/externaltools/data/run-command.desktop.in:
	* plugins/externaltools/data/run-command.tool.in:

	Split the tools into a script file and a (translatable, intltoolable)
	desktop file. Those are merged at build time by a custom script working
	the way the script save code works in library.py.

	* plugins/externaltools/data/build:
	* plugins/externaltools/data/open-terminal-here:
	* plugins/externaltools/data/remove-trailing-spaces:
	* plugins/externaltools/data/run-command:
	
	Old files have been removed (now these files are autogenerated).

	* plugins/externaltools/scripts/gedit-tool-merge.pl: New custom script
	to merge desktop file and script file to create tool files.

	* configure.ac:
	* plugins/externaltools/Makefile.am:
	* plugins/externaltools/scripts/Makefile.am:
	
	Add the new merge script to EXTRA_DIST.
	
2006-12-21  Paolo Borelli  <pborelli@katamail.com>

	* plugins/docinfo/gedit-docinfo-plugin.c: do not crash when
	getting the stats of an empty document. Bug #388028 .

=== gedit 2.17.2 ===

2006-12-18  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.17.2 released

2006-12-18  Paolo Borelli  <pborelli@katamail.com>

	* plugins/externaltools/tools/tools.glade: use "Shortcut Key"
	instead of "Accelerator"

2006-12-17  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-io-error-message-area.c: handle TIMEOUT error
	as recoverable.

2006-12-17  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit.c: handle a bit more gracefully the case where
	the display cannot be opened. Bug #360792.

2006-12-12  Bruno Boaventura <brunoboaventura@gmail.com>

	* gedit/gedit-io-error-message-area.[ch]: create
	is_recoverable_error, rename unrecoverable_error to
	io_loading_error.
	* gedit/gedit-tab.c: rename recoverable_loading_error to
	conversion_loading_error. Add a "Retry" button to the message
	area when the error is recoverable. Fixes #372653.

2006-12-10  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-module.c: fail gradefully if
	'register_gedit_plugin' symbol is NULL.

2006-12-10  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-window.c: set the sensitivity of "paste"
	according to the clipboard contents. Fixes #74051.

2006-12-10  Paolo Maggi  <paolo@gnome.org>

	* gedit/gedit-documents-panel.c (refresh_list) (window_tab_added)
	(window_tabs_reordered) (treeview_row_inserted)
	(gedit_documents_panel_init): implements documents reordering using d&d

	* gedit/gedit-notebook.c (gedit_notebook_reorder_tab): do not reorder
	if the new position of the tab is equal to the old one

2006-12-09  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser-store.c: only enable dragging
	for non dummy nodes
	
2006-12-09  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser-store.c: check if a node
	is visible in the tree when removing its children. If its not visible
	than just free the children nodes. Fixes bug #384015 – Warning running 
	file browser plugin.

2006-12-09  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-spinner.c: sync with epiphany.

2006-12-09  Paolo Maggi  <paolo@gnome.org>

	* plugins/taglist/gedit-taglist-plugin-panel.c: adds a preview area,
	makes the tooltips working with combox box

2006-12-09  Paolo Maggi  <paolo@gnome.org>

	* plugins/taglist/HTML.tags.xml.in: added "sort" attribute to TagGroups,
	added a couple of missing elements.

	* plugins/taglist/Latex.tags.xml.in: 
	* plugins/taglist/XSLT.tags.xml.in: 
	* plugins/taglist/XUL.tags.xml.in: added "sort" attribute to TagGroup

	* plugins/taglist/gedit-taglist-plugin-panel.c (insert_tag)
	(tag_list_row_activated_cb) (tag_list_key_press_event_cb): move focus
	to document when double-clicking on a tag. Move focus also on 
	Ctrl + Return, but not on Return.

	* plugins/taglist/gedit-taglist-plugin-parser.c (tags_cmp)
	(parse_tag_group) (get_tag_group) (groups_cmp) (lookup_best_lang):
	sort the tags if needed, sort the tag groups.

2006-12-08  Paolo Maggi  <paolo@gnome.org>

	Fixes bug #155487 – make html tag list xhtml compliant
	Patch by Luis Menina <liberforce@fr.st>
	
	* plugins/taglist/HTML.tags.xml.in: New XHTML compliant TagGroup, 
	converted HTML to lowercase, removed in-tags spaces, removed a few 
	HTML nonstandard tags (ie. browser specific - we're not in stoneage
	anymore)

2006-12-08  Paolo Maggi  <paolo@gnome.org>

  	Fixes bug #344050 – XUL.tags file
	Patch by Pete Morgan <pm@daffodil.uk.com>
	
	* plugins/taglist/Makefile.am: distribute XUL taglist

	* plugins/taglist/XUL.tags.xml.in: new file

2006-12-08  Paolo Maggi  <paolo@gnome.org>

	* plugins/savecopy/*: bye bye savecopy plugin, you had a very short
	life (note that savecopy plugin was never ported to the new plugin
	architecture introduced with gedit 2.14)

2006-12-08  Paolo Maggi  <paolo@gnome.org>

	Fixes bug #353235 – Overloaded plural strings
	
	Patch by Theppitak Karoonboonyanan <thep@inux.thai.net>
	
	* gedit/dialogs/gedit-close-confirmation-dialog.c
	(get_text_secondary_label): manage the case with hours == 1 in the 
	right way

	* gedit/gedit-commands-file.c (revert_dialog): ditto

2006-12-07  Paolo Maggi  <paolo@gnome.org>

	* gedit/gedit-history-entry.[ch] (gedit_history_entry_destroy)
	(gedit_history_entry_finalize) (gedit_history_entry_class_init)
	(insert_history_item) (gedit_history_entry_init)
	(gedit_history_entry_set_enable_completion)
	(gedit_history_entry_get_enable_completion)
	(gedit_history_entry_new): implemented inline completion

	* gedit/dialogs/gedit-open-location-dialog.c
	(gedit_open_location_dialog_init): use the new signature for 
	gedit_history_entry_new

	* gedit/dialogs/gedit-search-dialog.c
	(gedit_search_dialog_focus_in_event): fixed a warning
	(gedit_search_dialog_init): enable completion for history entries

2006-12-07  Steve Frécinaux  <code@istique.net>

	* gedit/gedit-window.c: Fix Bug 349198 – Unable to define accelerators 
	on language highlighting menus.

2006-12-07  Paolo Maggi  <paolo@gnome.org>

	* gedit/gedit-view.c (ensure_search_window): use inline completion
	instead of the popup menu for the incremental search entry
	(completion_func): custom completion function
	
2006-12-06  Steve Frécinaux  <code@istique.net>

	* plugins/externaltools/tools/__init__.py: fix regression: accelerators
	weren't shown in the tool menu anymore.

=== gedit 2.17.1 ===

2006-12-04  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.17.1 released

2006-12-04  Steve Frécinaux  <code@istique.net>

	Bug 381761 – External Tools: nested menus support (code-wise).

	* plugins/externaltools/tools/__init__.py: new ToolMenu object,
	managing the tool menu; place added command menus in a shared
	placeholder to avoid weird interactions with other plugins using
	ToolsOpt_4.

	* plugins/externaltools/tools/functions.py: remove menu-related
	functions that have been replaced with the new object.

	* plugins/externaltools/tools/library.py: add a name attribute to the
	ToolDirectory class.

	* plugins/externaltools/tools/manager.py: adapt for above changes.

	Note: despite the new ToolMenu object handles nested menus, the
	manager still only allow to edit the root menu.

2006-12-04  Paolo Borelli  <pborelli@katamail.com>

	* gedit/plugins/filebrowser/gedit-file-browser-widget.c: use
	"folder" instead of "directory" in the UI.

2006-12-04  Paolo Maggi  <paolo@gnome.org>

	* plugins/spell/*: cleaned up previous patch. Unused GErrors have been
	removed.

2006-12-04  Paolo Maggi  <paolo@gnome.org>

	* HACKING:
	* README: fixed a couple of typos

	* configure.ac: show message-of-doom

	* message-of-doom: updated

2006-12-04  Paolo Maggi  <paolo@gnome.org>

	* configure.ac:
	* plugins/spell/*:

	Switch the spell plugin to the enchant library and use
	the iso-codes package to retrieve language names.
	The port to the enchant spell checking library is based
	on a patch by Sertaç Ö. Yıldız. Bug #365899.

2006-12-02  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-window.c (gedit_window_key_press_event): avoid
	problems with XIM (bug #376750)

2006-12-02  Steve Frécinaux  <code@istique.net>

	* plugins/modelines/modelines.py: fix reading modelines from the last
	line of the document, and remove a few trailing spaces.

2006-12-02  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-commands-search.c:
	* gedit-ui.h:
	* gedit-ui.xml:
	* gedit-window.c:

	Use "Incremental Search" instead of "Interactive Search" as
	discussed in bug #347539.

2006-12-01  Paolo Borelli  <pborelli@katamail.com>

	* gedit/plugins/filebrowser/gedit-file-browser-widget.c: add
	an accel for the Advanced Filtering expander and make it
	sensitive when appropriate.

2006-12-01  Paolo Borelli  <pborelli@katamail.com>

	* gedit/plugins/filebrowser/gedit-file-browser-store.c:
	* gedit/plugins/filebrowser/gedit-file-browser-view.c:

	Allow to drag files from the pane.

2006-12-01  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-document-loader.c: proper error reporting when
	opening dirs and not regular files.

2006-12-01  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-window.c: optimize recent files menu construction.

2006-11-26  Steve Frécinaux  <code@istique.net>

	* gedit/gedit-document-loader.c: don't add the trailing \n to the
	buffer (to avoid having an empty last line). This is the way vim does.
	Fixes bug #324942.
	
	* gedit/gedit-document-saver.c: always add a trailing \n (to be
	consistent with the way the loader works).

2006-11-25  Steve Frécinaux  <code@istique.net>

	* gedit/gedit-window.c: show the whole file URI in the document menu
	tooltips; replace $HOME with ~ in URIs; remove menu tooltip
	ellipsization (useless) and fix a compilation warning (unused
	variable).

	* AUTHORS: add Jesse van den Kieboom and myself to sync with the about
	dialog.

2006-11-25  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-ui.xml: add a toplevel menu placeholder.
	Suggested by Артём Попов, bug #375419.

2006-11-20  Steve Frécinaux  <code@istique.net>

	* plugins/filebrowser/gedit-file-browser-widget.c: set the toolbar icon
	size to GTK_ICON_SIZE_MENU, so that it's smaller than the main toolbar.

2006-11-19  Steve Frécinaux  <code@istique.net>

	* plugins/externaltools/tools/stock-tools.xml: removed since it is
	not used anymore.

2006-11-19  Steve Frécinaux  <code@istique.net>
	
	New storage system for External Tools Plugin. It uses the filesystem
	instead of an XML file and allows to write scripts in bash, but 
	also (at least) in perl, python, ruby.
	
	NB: library.ToolLibrary.__init__() imports the old custom tools from
	the old XML store file at first run (ie when there is no tools
	directory in ~)
	
	* plugins/externaltools/tools/library.py: new ToolLibrary object, using
	filesystem directories and script files directly.
	
	* plugins/externaltools/tools/functions.py: use new ToolLibrary instead
	of ElementTree.
	
	* plugins/externaltools/tools/manager.py: adapt for use with the new
	ToolLibrary; allow removing local tools, and reverting customized tools
	to stock ones; fix F12 handing in shortcuts.
	
	* plugins/externaltools/tools/tools.glade: add Revert button (should
	never be shown when the Remove button is visible, and shares his
	clicked handler with it); convert file to glade-3 format.
	
	* plugins/externaltools/tools/Makefile.am: add library.py.

	* configure.ac:
	* plugins/externaltools/Makefile.am:
	* plugins/externaltools/data/Makefile.am:
	* plugins/externaltools/data/build:
	* plugins/externaltools/data/open-terminal-here:
	* plugins/externaltools/data/remove-trailing-spaces:
	* plugins/externaltools/data/run-command:
	
	New stock tools

2006-11-19  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-history-entry.[ch]:
	* gedit/dialogs/gedit-open-location-dialog.c:
	* gedit/dialogs/gedit-open-location-dialog.glade:
	* gedit/dialogs/gedit-search-dialog.c:
	* gedit/dialogs/gedit-search-dialog.glade:

	New widget to replace the deprecated gnome-entry.

2006-11-13  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/*.py: use spaces to indent instead of tabs
	conforming to PEP8, fixes 374253

2006-11-13  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/SnippetController.py: fixed GEDIT_BASENAME
	for non ASCII filenames by using uri_for_display

2006-11-12  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/SnippetsDialog.py:
	* plugins/snippets/snippets/snippets.glade:
	
	Replace accelerator with shortcut (key), fixes #352244

2006-11-12  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-bookmarks-store.c: fix not checking
	existence for remote bookmarks (patch by Bruno Boaventura)

2006-11-12  Steve Frécinaux  <code@istique.net>

	* plugins/externaltools/tools/__init__.py: split ToolsPlugin into
	ExternalToolsPlugin and ExternalToolsWindowHelper.

	* plugins/externaltools/tools/functions.py: adapt for above changes.

2006-11-12  Steve Frécinaux  <code@istique.net>

	* plugins/externaltools/tools/__init__.py:
	* plugins/externaltools/tools/capture.py:
	* plugins/externaltools/tools/functions.py:
	* plugins/externaltools/tools/manager.py:
	* plugins/externaltools/tools/outputpanel.py:
	* plugins/modelines/modelines.py:

	Convert source code from tabs to spaces, to follow PEP8 more closely.

2006-11-08  Steve Frécinaux  <code@istique.net>

	* gedit/gedit.c:
	* gedit/gedit-document.c
	* gedit/gedit-plugins-manager.h:
	
	Remove useless includes.

2006-11-07  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-io-error-message-area.c: fix incorrect grammar in
	error messages (Bug #355965). Patch by Mark Drago.

2006-11-05  Paolo Maggi  <paolo@gnome.org>

	Fixes bug #367610 – Python console doesn't allow different code blocks
	
	Patch by Brian McKenna  <puffnfresh@gmail.com>

	* plugins/pythonconsole/pythonconsole/console.py: allow the python 
	console to handle blocks

2006-11-05  Paolo Maggi  <paolo@gnome.org>

	Fixed bug #354428 - gedit should use accessories-text-editor icon in 
	places of the text-editor one.
	
	Patch by Michael Monreal  <infernux@web.de>
	
	* data/gedit.desktop.in.in: use the new icon naming scheme

	* gedit/gedit.c (main): ditto

2006-11-05  Joachim Noreiko  <jnoreiko@yahoo.com>

	 * plugins/externaltools/tools/stock-tools.xml: fixing a few mistakes 
	 in the status bar descriptions of the stock External Tools. Bug 352950.

=== gedit 2.16.2 ===

2006-10-29  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.16.2 released.

2006-10-19  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-spinner.[ch]: sync to latest ephy code.

2006-10-14  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit-window.c: always sync the doc name in the
	document list menu. Bug #361217.

2006-10-07  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-module.h:
	* gedit/gedit-prefs-manager-app.c:
	* plugins/spell/gedit-spell-language-dialog.c:

	remove double semicolons.

2006-10-07  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-window.c (gedit_window_destroy): save panes
	state only on the first run of destroy. Fixes critical
	warnings. bug #360219.

2006-10-07  Paolo Borelli  <pborelli@katamail.com>

	* plugins/filebrowser/gedit-file-browser-store.c:
	properly collate filenames.

2006-10-01  Paolo Maggi  <paolo@gnome.org>

	* gedit/gedit-document-saver.c (copy_file_data)
	(async_xfer_progress): fix some C99-style variable initializations, 
	patch by Jens Granseuer.

=== gedit 2.16.1 ===

2006-10-01  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.16.1 released.

2006-10-01  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-spinner.c: sync to latest ephy code.
	Should fix bug #330415, bug #357456 and save some
	memory.

2006-09-28  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-document-saver.c: handle EINTR and plug a leak
	on a seldomly used codepath. Poited out by Alexander Larsson.

2006-09-26  Paolo Borelli  <pborelli@katamail.com>

        * bindings/python/Makefile.am: use $(MAKE) instead of 'make'
        Bug #357792. Patch by Marc Brockschmidt.

2006-09-23  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-panel.[ch]:
	* gedit/gedit-prefs-manager-app.[ch]:
	* gedit/gedit-window.c:

	Remember the active page in the side and bottom panel.
	Bug #357120.

2006-09-05  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/.cvsignore: changed filebrowser.schemas to
	gedit-file-browser.schemas (it got renamed)

2006-09-09  Paolo Maggi  <paolo@gnome.org>

	* gedit/sexy-icon-entry.c: updated from libsexy SVN repository

2006-09-05  Jesse van den Kieboom  <jesse@icecrew.nl>
	
	* plugins/filebrowser/gedit-file-browser-store.c:
	
	Really fixed bug 354397 – crash in filebrowser plugin when going to 
	parent dir. This time the first issue mentioned in the bug report
	is fixed.

2006-09-05  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser-store.c:
	
	Fixed bug 354397 – crash in filebrowser plugin when going to parent dir

=== gedit 2.16.0 ===

2006-09-04  Paolo Maggi  <paolo@gnome.org>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.16.0 released. Updated dependencies.
	
2006-08-28  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser-plugin.c: disable showing
	an error message when the error occurred when setting a root directory
	automatically (either on load or when the first document is loaded)

	* plugins/filebrowser/Makefile.am:
	* plugins/filebrowser/filebrowser.schemas.in:
	* plugins/filebrowser/gedit-file-browser.schemas.in:
	
	Renamed filebrowser.schemas.in to gedit-file-browser-schemas.in

	* plugins/filebrowser/gedit-file-browser-store.c:
	* plugins/filebrowser/gedit-file-bookmarks-store.c:
	
	Removed unnecessary g_warning calls
	
	* plugins/filebrowser/gedit-file-browser-plugin.c:
	* plugins/filebrowser/gedit-file-browser-store.[ch]:
	* plugins/filebrowser/gedit-file-browser-widget.[ch]:
	
	Renamed variable 'virtual' to 'virtual_root' (since virtual is a
	C++ keyword

2006-08-27  Paolo Borelli  <pborelli@katamail.com>

	* plugins/externaltools/tools/manager.py: link updates docs.

=== gedit 2.15.9 ===

2006-08-26  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.15.9 released.

2006-08-26  Steve Frécinaux  <steve@istique.net>

	Fix bug #352854 – modelines should revert to pref values when a
	modeline part is removed

	* plugins/modelines/modelines.py: read parameters that are not in the
	modelines anymore from gconf.

2006-08-26  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-python-module.c:
	* gedit/gedit-window.c:

	Run the garbage collector both at the start and at the end of 
	gedit_window_dispose, in order to enforce correct object lifetime.
	Should fix bug #350776.

2006-08-25  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-tab.c: plug tiny leak when loading remote files.

2006-08-25  Paolo Borelli  <pborelli@katamail.com>

	* plugins/filebrowser/gedit-file-browser-plugin.c:
	fix up patch conflict.

2006-08-25  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser-plugin.c:
	* plugins/filebrowser/gedit-file-browser-utils.[ch]:
	* plugins/filebrowser/gedit-file-browser-widget.c:
	
	Make use of gedit_utils_uri_has_file_scheme instead of using
	gedit_file_browser_utils_is_local
	
	* plugins/filebrowser/gedit-file-browser-plugin.c: do not open file
	browser at first opened document when it is a remote file (to avoid
	problems with bug #352824)
	
2006-08-25  Paolo Maggi  <paolo@gnome.org>

	Really fixes bug #352717 – gedit silently ignores saving errors when
	saving remote files
	
	* gedit/gedit-document-saver.c (manage_completed_phase): new function,
	it splits up the code related to the management of the "COMPLETED"
	phase in async_xfer_ok.
	(async_xfer_ok): returns just after calling manage_completed_phase in
	the COMPLETED phase. In this way we avoid emitting the "saving" signal
	from a potentially finalized saver
	 (async_xfer_error): does not set the error if it was already set
	 in a previous interaction
	 (async_xfer_progress): better debugging messages

2006-08-25  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-document-loader.c: fix a couple of typos.

2006-08-24  Paolo Borelli  <pborelli@katamail.com>

	Fixed bug #352717 – gedit silently ignores saving errors when saving
	remote files
	
	* gedit/gedit-document-saver.c: properly handle xfer errors.

2006-08-24  Paolo Maggi  <paolo@gnome.org>

	Fixed bug #352680 – Save on close for readonly files does not work as
	expected
	
	* gedit/dialogs/gedit-close-confirmation-dialog.c
	(set_logout_mode): add a "Save As" button instead of a "Save" one when
	in single mode and the document to close is untitled or readonly

	* gedit/gedit-commands-file.c (file_save): call file_save_as for
	readonly files too

2006-08-24  Paolo Borelli  <pborelli@katamail.com>

	Fixed bug #352677 – Critical warning when opening a empty remote file
	
	* gedit/gedit-document-loader.c: handle remote zero lenght files
	correctly.

2006-08-24  Paolo Maggi  <paolo@gnome.org>

	Fixes bug #352658 – print preview state machine issue.
	
	* gedit/gedit-tab.c (print_preview_destroyed): add a comment and
	check that the state is "printing" in the "else" case  
	(print_finished_cb) (print_cancelled): If we are printing while 
	showing the print preview, close the print preview when done or 
	cancelled

2006-08-24  Paolo Maggi  <paolo@gnome.org>

	Fixes bug #352662 – Opening non-existing remote file from command line
	should report an error

	* gedit/gedit-document.c (document_loader_loaded): ignore the 
	"create" flag is the file is not local

	* gedit/gedit-utils.c (gedit_utils_uri_has_file_scheme): returns FALSE
	if the uri is a chained uri.

2006-08-23  Paolo Borelli  <pborelli@katamail.com>

	* plugins/filetree/gedit-file-browser-plugin.c: plug a leak.

2006-08-23  Paolo Maggi  <paolo@gnome.org>

	* gedit/gedit-languages-manager.c
	(gedit_languages_manager_get_language_from_mime_type): gives
	priority to exact matches.

2006-08-23  Paolo Maggi  <paolo@gnome.org>

	Fixes bug #324191 – the xml.lang syntax file should include 
	application/vnd.mozilla.xul+xml
	
	* gedit/gedit-languages-manager.c
	(gedit_languages_manager_get_available_languages_sorted)
	(get_languages_cache) (get_language_from_cache)
	(add_language_to_cache)
	(gedit_languages_manager_get_language_from_mime_type): get the language
	associated to a given mime-type. It takes care for mime-types 
	inheritance. It also uses a cache of already matched mime-type in order 
	to improve performace for frequently used mime-types.

	* gedit/gedit-languages-manager.h: new prototype for function
	gedit_languages_manager_get_language_from_mime_type
	
	* gedit/gedit-document.c (set_uri): uses the new function
	gedit_languages_manager_get_language_from_mime_type

2006-08-23  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-python-plugin.c: fix a small leak.

2006-08-23  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit.c: initialize gnome authentication manager before 
	plugins (since the file browser plugin might need it). Fixes Bug 
	352339 – Remote root location for filebrowser makes gedit crash on load

2006-08-23  Paolo Maggi  <paolo@gnome.org>

	* gedit/dialogs/gedit-close-confirmation-dialog.c
	(gedit_close_confirmation_dialog_init): Skips taskbar hint as for
	standard gtk+ message dialogs

=== gedit 2.15.8 ===

2006-08-21  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.15.8 released.

2006-08-21  Paolo Maggi  <paolo@gnome.org>

	* gedit/gedit-document-saver.c: drop executable permissions from
	backup files. Bug #327031.

2006-08-21  Paolo Maggi  <paolo@gnome.org>

	* tools/plugin_template/gedit-plugin-helper.py (__del__): added a 
	missing ":"

2006-08-21  Paolo Maggi  <paolo@gnome.org>

	* gedit/gedit-encodings.c: added support for UTF-16LE, UTF-16BE 
	and UTF-32

2006-08-22  Paolo Borelli  <pborelli@katamail.com>

	* plugins/snippets/SnippetsDialog.py: link help to the proper
	section.

2006-08-20  Steve Frécinaux  <steve@istique.net>

	* plugins/externaltools/tools/__init__.py: add forgotten strings to be
	translated.

2006-08-20  Paolo Borelli  <pborelli@katamail.com>

	* plugins/filebrowser/gedit-file-bookmarks-store.c:

	do not leak the list of volumes.

2006-08-18  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-commands-file.c: do not leak the doc list.

2006-08-18  Steve Frécinaux  <steve@istique.net>

	* plugins/externaltools/tools/__init__.py:
	* plugins/externaltools/tools/functions.py:
	* plugins/externaltools/tools/manager.py:
	* plugins/pythonconsole/pythonconsole/__init__.py:
	
	Fix translation of python plugins.

2006-08-17  Paolo Borelli  <pborelli@katamail.com>

	* gedit/dialogs/gedit-preferences-dialog.c: do not crash if no
	lang files are found.

2006-08-17  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-io-error-message-area.c: small memory leaks on error.

2006-08-16  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-window.c:
	* gedit/gedit-app.[ch]:

	properly use window::dispose to drop the references to the ui
	manager and to disconnect the recents_changed callback. It should
	fix warning and crashes. Also turn the lockdown changed handler
	in a simple method so that we avoid headaches tracking the lifetime
	of the window itself.

2006-08-16  Steve Frécinaux  <steve@istique.net>

	* plugins/modelines/modelines.py: fix warning on activation.

2006-08-15  Paolo Borelli  <pborelli@katamail.com>

	* gedit-window.c (gedit_window_finalize): remove the
	recent_manager_changed callback.

2006-08-15  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser-store.c: changed 
	g_value_set_string to g_value_take_string to save a string dup

2006-08-15  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-bookmarks-store.[ch]: fixed
	bug 350553 – Filebrowser plugin: Double separators if remote loc. 
	list is empty

=== gedit 2.15.7 ===

2006-08-07  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.15.7 released.

2006-08-11  Paolo Borelli  <pborelli@katamail.com>

	* gedit-prefs-manager-app.[ch]:
	* gedit-window.c:
	* gedit-app.c:

	small cleanup in setting/getting the window size.

2006-08-11  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-document-saver.c: preserve xattrs, patch by James
	Antill. Bug #350805.

2006-08-09  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-message-area.c:
	* gedit/gedit-notebook.c:
	* gedit/gedit-panel.c:
	* gedit/gedit-statusbar.c:
	* gedit/gedit-view.c:

	use g_object_ref_sink, patch by John Luke.

2006-08-09  Paolo Borelli  <pborelli@katamail.com>

	* plugins/spell/gedit-spell-plugin.c: fix autospell state when
	switching tab.

2006-08-08  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-window.c: fix a crash in recents file code.

=== gedit 2.15.6 ===

2006-08-07  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.15.6 released.

2006-08-07  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-document.[ch]:
	* gedit/gedit-window.c:

	use the has-selection property of GtkTextBuffer 2.10.

2006-08-07  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-view.c: use the indent-on-tab feature of sourceview 1.7.2

2006-08-07  Paolo Borelli  <pborelli@katamail.com>

	* gedit/recent-files/*:	throw away the eggs, they were past due.

	* gedit/gedit-window.[ch]:
	* gedit/gedit-tab.c:
	* gedit/gedit.c:

	New recent-files implementation using GtkRecent.

2006-08-05  Jesse van den Kieboom  <jesse@icecrew.nl>
	
	* gedit/gedit-commands-file.c: changed opening of multiple files
	behavior (bug 143646), patch by Paolo Maggi
	* gedit/gedit-io-error-message-area.c: changed already opened message
	to reflect this new behavior

2006-08-05  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/filebrowser.schemas.in: moved default values 
	out of the locale tag because they shouldn't be translated
	
2006-08-05  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit-window.c: added calling update_ui when editability 
	changes
	* plugins/snippets/snippets/SnippetController.py: added honoring the
	editability of the buffer
	
2006-08-05  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser-plugin.c:
	
	Fixed restoring of remote location (problem introduced by previous
	commit)

2006-08-04  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser-utils.[ch]:
	* plugins/filebrowser/gedit-file-browser-plugin.c:
	* plugins/filebrowser/gedit-file-browser-widget.c:
	
	Fixed checking for uri to be local
	
2006-08-02  Jesse van den Kieboom  <jesse@icecrew.nl>
	* plugins/filebrowser/gedit-file-browser-widget.c: changed tooltips
	for back and forward to match nautilus

	* plugins/filebrowser/gedit-file-browser-widget.c:
	* plugins/filebrowser/gedit-file-browser-view.c:
	
	Fixed bug when opening a directory which is expanded.
	
	* plugins/filebrowser/gedit-file-browser-widget-ui.xml:
	* plugins/filebrowser/gedit-file-browser-widget.c:

	Added keyboard navigation (Alt+Left, Alt+Right, Alt+Up, Backspace) and
	directory up action.
	
2006-08-02  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/gedit-file-browser-widget.c: fixed problem
	introduced by cleaning up the memory leaks
	* plugins/filebrowser/gedit-file-browser-store.c: fixed warning
	about gnome_vfs_mime_type_get_equivalence

2006-08-02  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/filebrowser/.cvsignore: added ignore file

	* plugins/filebrowser/gedit-file-bookmarks-store.c:
	* plugins/filebrowser/gedit-file-browser-plugin.c:
	* plugins/filebrowser/gedit-file-browser-store.c:
	* plugins/filebrowser/gedit-file-browser-widget.c:
	* plugins/filebrowser/gedit-file-browser-plugin.c:
	
	Fix several memory leaks. The plugin should now be memory leak free.

2006-08-01  Steve Frécinaux  <steve@istique.net>

	* plugins/snippets/snippets/snippets.glade: add a translator comment
	on the "tab trigger" string. The issue is that "tab" means "tab key"
	as well as "notebook tab", and some translators understood it the
	wrong way.

2006-07-31  Steve Frécinaux  <steve@istique.net>

	* plugins/filebrowser/gedit-file-browser-store.c: fix bug
	349411 – Filebrowser plugin crash when renaming. Now 
	FileBrowserNodeDir uses an internal "parent" FileBrowserNode.

2006-07-26  Steve Frécinaux  <steve@istique.net>

	* plugins/filebrowser/filebrowser.schemas.in: fix bug 348670 –
	activate browser plugins raises an gconf error.

=== gedit 2.15.5 ===

2006-07-24  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.15.5 released.

2004-07-24  Steve Frécinaux  <steve@istique.net>

	Fix bug #348558 – Snippets use language.get_name() instead of .get_id()
	
	* plugins/snippets/snippets/SnippetController.py:
	* plugins/snippets/snippets/SnippetPluginInstance.py:
	
	Replace SourceLanguage.get_name() calls with SourceLanguage.get_id()
	ones. Rename SnippetController.language_name into
	SnippetController.language_id to avoid confusion.
	
	* plugins/snippets/snippets/SnippetsDialog.py: get_language() now
	returns the id of the language instead of its name.

2006-07-24  Steve Frécinaux  <steve@istique.net>

	Fix build errors due to missing file.

	* gedit/plugins/filebrowser/Makefile.am:
	* gedit/plugins/filebrowser/gedit-file-browser-enum-types.h.template:
	* gedit/plugins/filebrowser/gedit-file-browser-enum-types.c.template:
	* gedit/plugins/filebrowser/gedit-file-browser-enum-register.c.template:

	Generate enum type description using glib-mkenums.
	
	* gedit/plugins/filebrowser/gedit-file-browser-error.h: create a file to
	contain the Error enum.
	
	* plugins/filebrowser/gedit-file-browser-plugin.c:
	* plugins/filebrowser/gedit-file-browser-store.c:
	* plugins/filebrowser/gedit-file-browser-widget.c:
	
	Adapt for above changes.

2006-07-24  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/plugins/filebrowser/*: let there be a file tree pane.

2006-07-17  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit-plugin.h: added convenient macros for registering
	additional GTypes in plugins

	* plugins/taglist/gedit-taglist-plugin.c:
	* plugins/taglist/gedit-taglist-plugin-panel.c:
	
	make use of the new macros

2006-07-17  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/dialogs/gedit-close-confirmation-dialog.c: fixed using 
	g_slist_length on a GList.

2006-07-13  Steve Frécinaux  <steve@istique.net>

	* gedit/gedit-python-module.c: expose a gedit.version tuple in python.
	
	* configure.ac: define version components separately, and add
	GEDIT_(MAJOR|MINOR|MICRO)_VERSION definition to config.h.
	
	Note: maybe we'd like to have a gedit.require_version() function, too.

=== gedit 2.15.4 ===

2006-07-10  Jesse van den Kieboom  <jesse@icecrew.nl>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.15.4 released.
	
	* docs/reference/gedit-sections.txt: added gedit-sections.txt

	* Makefile.am: added --enable-gtk-doc to DISTCHECK_CONFIGURE_FLAGS

2006-06-20  Steve Frécinaux  <steve@istique.net>

	* configure.ac: fix Bug 344655 – configure uses old-style automake
	init. Patch by Christian Persch.

2006-06-20  Jesse van den Kieboom  <jesse@ocecrew.nl>

	* plugins/snippets/snippets/SnippetController.py: fixed jumping to
	first placeholder when a snippet is inserted while in a placeholder
	another snippet. Fixes bug 345095
	
2006-06-19  Jesse van den Kieboom  <jesse@ocecrew.nl>

	* bindings/python/Makefile.am:
	* bindings/python/geditcommands.defs:
	* bindings/python/geditcommands.override:
	
	added new gedit.commands python module containing the
	load_uri and load_uris functions
	
	* gedit/gedit-python-module.c: added initialising gedit.commands
	python module
	
2006-06-19  Paolo Maggi  <paolo@gnome.org>

	* plugins/docinfo/gedit-docinfo-plugin.c
	(docinfo_dialog_response_cb) (update_ui_real): Disable the "Update"
	button when there is no open document

2006-06-18  Steve Frécinaux  <steve@istique.net>

	* gedit/dialogs/Makefile.am: add $(builddir) to INCLUDES (fix out of
	tree build)

2006-06-18  Paolo Maggi  <paolo@gnome.org>

	Reorganization of the Search menu
	
	* gedit/gedit-commands-search.c (_gedit_cmd_search_goto_line): focus
	the view
	(_gedit_cmd_search_interactive_search): new method

	* gedit/gedit-commands.h: new method 
	_gedit_cmd_search_interactive_search

	* gedit/gedit-ui.h: new action "SearchInteractiveSearch"

	* gedit/gedit-ui.xml: added "Interactive search..." menu item and
	some placeholder and separator to the Search menu

	* gedit/gedit-window.c (set_sensitivity_according_to_tab): set
	the sensitivity of the "SearchInteractiveSearch" action

2006-06-18  Paolo Maggi  <paolo@gnome.org>

	Fixed bug #344026 – Find - Replace

	* gedit/dialogs/gedit-search-dialog.c (show_replace): new function
	(gedit_search_dialog_class_init): register the new signal "show_replace"
	and bind Ctrl+H to it

	* gedit/dialogs/gedit-search-dialog.h: new signal "show_replace"

2006-06-18  Paolo Maggi  <paolo@gnome.org>

	* gedit/gedit-commands-help.c (_gedit_cmd_help_about): added
	Steve Frécinaux and Jesse van den Kieboom to authors. Welcome guys :)

2006-06-18  Paolo Maggi  <paolo@gnome.org>

	* gedit/gedit-utils.c (gedit_warning): set the window group and 
	removed gtk_dialog_run

2006-06-15  Steve Frecinaux  <steve@istique.net>

	* gedit/gedit-panel.c: (create_small_button):
	* gedit/gedit-notebook.c: (build_tab_label):

	Fix the fix of the fix of the cropped button issue (bug #318461) by
	using the same trick as Epiphany does.

2006-06-15  Steve Frécinaux  <steve@istique.net>

	Fix for bug #165568 – Support global lockdown keys (second part)

	* gedit/gedit-window.c: disable some menu entries according the current 
	lockdown state; listen to app's lockdown property changes to update the
	menus sensitivity and autosave status accordingly.
	
	* gedit/gedit-ui.h: move FilePageSetup from always sensitive actions.

	* gedit/gedit-tab.c: do not enable autosave if save_to_disk is disabled.
	
	* gedit/dialogs/gedit-close-confirmation-dialog.c: adapt the dialog to
	the case save_to_disk is disabled.

2006-06-13  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-panel.c: (create_small_button):
	* gedit/gedit-notebook.c: (build_tab_label):

	Fix yesterday's fix.

2006-06-13  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-panel.c: (create_small_button):
	* gedit/gedit-notebook.c: (build_tab_label):

	Fix bug #318461 – tab and panel close buttons are cropped.

2006-06-13  Steve Frécinaux  <steve@istique.net>

	* bindings/python/Makefile.am: make sure gedit-enum-types.h is generated
	before the bindings are built.

	* gedit/Makefile.am: fix generation of gedit-enum-types.h in $builddir
	instead of $srcdir.

2006-06-13  Steve Frécinaux  <steve@istique.net>

	* gedit/gedit-tab.c:
	* gedit/gedit-window.c:

	Update property definitions to use the new enum GTypes.

	* bindings/python/gedit.defs: 
	* bindings/python/gedit.override:
	
	Update enum types to actually use the new GTypes. Add bindings for
	several new methods (GeditDocument.get_enable_search_highlighting,
	GeditDocument.get_enable_search_highlighting, GeditWindow.close_tabs,
	GeditWindow.get_tab_from_uri and GeditApp.get_lockdown)
	
=== gedit 2.15.3 ===

2006-06-12  Steve Frécinaux  <steve@istique.net>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.15.3 released.

	* gedit/Makefile.am: fixed gedit-enum-types.[ch] generation.

2006-06-11  Elijah Newren  <newren gmail com>

	* bindings/python/Makefile.am: Add $PYTHON_LOC_LIB to ensure
	python library gets found.  #344539

2006-06-11  Steve Frécinaux  <steve@istique.net>

	Fix for bug #165568 – Support global lockdown keys (first part)

	* gedit/gedit-app.[ch]: define GeditLockdownMask as a flag type, add a 
	'lockdown' property to GeditApp, of type GeditLockdownMask, and define
	its getter/setter.
	
	* gedit/gedit-prefs-manager.[ch]: define a new helper function
	gedit_prefs_manager_get_lockdown.
	
	* gedit/gedit-prefs-manager-app.c: Listen to lockdown GConf folder
	changes. Update GeditApp's lockdown properties when a lockdown key is
	changed.
	
	* gedit/gedit-enum-types.h.template:
	* gedit/gedit-enum-types.c.template:
	* gedit/Makefile.am:
	
	Autogenerate type definitions for exported enums using glib-mkenums.

	* configure.ac: add GLIB_MKENUMS definition.

2006-06-03  Steve Frécinaux  <steve@istique.net>

	* bindings/python/geditutils.override: override menu_position_* to
	conform to pygtk format for GtkMenuPositionFunc (you still have to use a
	lambda to provude user_data anyway)
	
	* gedit/gedit-python-module.c: call pygeditutils_register_classes (fix
	crasher bug)

2006-05-31  Paolo Maggi  <paolo@gnome.org>

	Added a couple of helper functions for plugins.
	
	* gedit/gedit-commands-file.c
	(gedit_commands_load_uri) (gedit_commands_load_uris): new public 
	functions
	(_gedit_cmd_load_files): removed
	(open_dialog_response_cb): uses gedit_commands_load_uris instead of
	_gedit_cmd_load_files
	(open_location_dialog_response_cb): ditto
	(_gedit_cmd_file_open_recent): ditto

	* gedit/gedit-commands.h 
	(gedit_commands_load_uri) (gedit_commands_load_uris): new public 
	functions

	* gedit/gedit-window.c (drag_data_received_cb): uses 
	gedit_commands_load_uris instead of _gedit_cmd_load_files
	(gedit_window_get_unsaved_documents): refactored
	(gedit_window_get_tab_from_uri): new function

	* gedit/gedit-window.h (gedit_window_get_tab_from_uri): new function

2006-05-31  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-commands-file.c (confirm_overwrite_callback): fix
	use after free. Patch by Sylvain Defresne (bug #343480)

2006-05-29  Paolo Maggi  <paolo@gnome.org>

	* gedit/gedit-app.c (window_delete_event): s/gedit_cmd/_gedit_cmd/

	* gedit/gedit-commands-documents.c
	(_gedit_cmd_documents_previous_document)
	(_gedit_cmd_documents_next_document)
	(_gedit_cmd_documents_move_to_new_window): ditto

	* gedit/gedit-commands-edit.c (_gedit_cmd_edit_undo)
	(_gedit_cmd_edit_redo) (_gedit_cmd_edit_cut) (_gedit_cmd_edit_copy)
	(_gedit_cmd_edit_paste) (_gedit_cmd_edit_delete)
	(_gedit_cmd_edit_select_all) (_gedit_cmd_edit_preferences): ditto

	* gedit/gedit-commands-file-print.c (_gedit_cmd_file_page_setup)
	(_gedit_cmd_file_print_preview) (_gedit_cmd_file_print): ditto

	* gedit/gedit-commands-file.c (_gedit_cmd_file_new)
	(_gedit_cmd_load_files) (_gedit_cmd_load_files_from_prompt)
	(open_dialog_response_cb) (_gedit_cmd_file_open)
	(open_location_dialog_response_cb) (_gedit_cmd_file_open_uri)
	(_gedit_cmd_file_open_recent) (_gedit_cmd_file_save)
	(_gedit_cmd_file_save_as) (_gedit_cmd_file_save_all)
	(_gedit_cmd_file_revert) (_gedit_cmd_file_close)
	(_gedit_cmd_file_close_all) (_gedit_cmd_file_quit): ditto

	* gedit/gedit-commands-help.c (_gedit_cmd_help_contents)
	(_gedit_cmd_help_about): ditto

	* gedit/gedit-commands-search.c (_gedit_cmd_search_find)
	(_gedit_cmd_search_replace) (_gedit_cmd_search_find_next)
	(_gedit_cmd_search_find_prev) (_gedit_cmd_search_clear_highlight)
	(_gedit_cmd_search_goto_line): ditto

	* gedit/gedit-commands-view.c (_gedit_cmd_view_show_toolbar)
	(_gedit_cmd_view_show_statusbar) (_gedit_cmd_view_show_side_pane)
	(_gedit_cmd_view_show_bottom_pane): ditto

	* gedit/gedit-commands.h: ditto

	* gedit/gedit-ui.h: ditto
	
	* gedit/gedit-window.c (open_recent_gtk) (open_recent_uim)
	(drag_data_received_cb): ditto

	* gedit/gedit.c (on_message_received) (main): ditto

	* gedit/gedit-prefs-manager.c: gedit_gconf_client_set_color is now a 
	static function

2006-05-24  Jesse van den Kieboom  <jesse@icecrew.nl>

	* tools/plugin_template/gedit-plugin.c: fixed missing semicolon and 
	private struct definition (missed a _)

2006-05-24  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/functions.py: oops, removed debug 
	print...

2006-05-24  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/functions.py:
	* plugins/snippets/snippets/Snippet.py:
	
	added replacing tabs with spaces when insert_spaces_instead_of_tabs is 
	true (closes #341109)

2006-05-23  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/data/ruby.xml:
	* plugins/snippets/data/php.xml:
	
	fixed invalid tab triggers

2006-05-23  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/SnippetPlaceholders.py: fix timeout_id
	to be None instead of 0 when not active because the value can be 
	0 in python placeholders (it's used for storing the default sigalarm
	handler which can be 0, and it wasn't properly restored because of 
	this). Added a new exception TimeoutError so the timeout is handled 
	differently from other errors. Show other errors to the user 
	(like syntax etc).
	
	* plugins/snippets/snippets/SnippetController.py: make sure to
	remove placeholders that need updates from the updates list when they
	are removed so that when the update runs the placeholders that don't
	exist anymore aren't tried to be updated
	
2006-05-23  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/SnippetsLibrary.py: fixed a problem with
	removing the last user snippet in a user library. The library would 
	signal the store that it should be removed and that causes the 
	container to be removed. After that the remove_snippet function would
	try to remove the snippet from the container causing a ValueError.
	Only IndexErrors were caught. The fix is to catch every error.

2006-05-22  Steve Frécinaux  <steve@istique.net>

	* gedit/gedit-ui.h: define GTK_STOCK_SELECT_ALL if not defined, to
	avoid the need of bumping gtk requirement to 2.9 (marked as FIXME)

2006-05-22  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-session.c (client_die_cb): do not call shutdown functions.

2006-05-21  Steve Frécinaux  <steve@istique.net>

	* tools/generate-plugin.py: Removed hint for gconf code generation in
	plugin generator (gconf usage is not generic enough)
	
	* tools/plugin_template/gedit-plugin-helper.py:
	* tools/plugin_template/gedit-plugin-nohelper.py:
	* tools/plugin_template/gedit-plugin.c:
	
	Added support for --with-menu generation option.

2006-05-21  Steve Frécinaux  <steve@istique.net>

	* tools/generate-plugins.py:
	* tools/preprocessor.py:

	New plugin generator, able to generate python and C plugin skeletons.
	See ./generate-plugins.py --help

	* tools/plugin_template/Makefile.am:
	* tools/plugin_template/gedit-plugin.desktop.in:
	* tools/plugin_template/gedit-plugin-helper.py:
	* tools/plugin_template/gedit-plugin-nohelper.py:
	* tools/plugin_template/gedit-plugin.c:
	* tools/plugin_template/gedit-plugin.h:

	Templates for the generator.

	* tools/.cvsignore: ignore *.pyc files.

2006-05-21  Paolo Maggi  <paolo@gnome.org>

	Fixed bug #342208 - show 'next tab' and 'previous tab' menu items
	
	* gedit/gedit-commands-documents.c
	(gedit_cmd_documents_previous_document)
	(gedit_cmd_documents_next_document): new methods

	* gedit/gedit-commands.h: new 
	gedit_cmd_documents_[previous|next]_document methods

	* gedit/gedit-ui.h: added icon to "Select All", added new actions
	for "Next|Previous Document"

	* gedit/gedit-ui.xml:  added new menu items
	for "Next|Previous Document"

	* gedit/gedit-window.c (update_next_prev_doc_sensitivity)
	(update_next_prev_doc_sensitivity_per_window)
	(set_sensitivity_according_to_tab) (notebook_tab_added)
	(notebook_tab_removed) (notebook_tabs_reordered): update sensitivity
	of "Next|Previous Document" menu item

2006-05-20  Steve Frécinaux  <steve@istique.net>

	* gedit/Makefile.am: Add gedit-prefs-manager-private.h to
	NOINST_H_FILES.
	
	* docs/reference/Makefile.am:
	* docs/reference/gedit.types:
	* docs/reference/gedit-docs.sgml:
	
	Ignore private header files when generating the docs (typically, NOINST
	and cut'n'pasted files).
	
	* docs/reference/tmpl/*: Add template files.

2006-05-20  Paolo Maggi  <paolo@gnome.org>

	* gedit/gedit-window.c (create_language_menu_item)
	(create_languages_menu) (update_languages_menu): use "None" instead of
	"Normal" in the Highlight Mode menu

2006-05-19  Steve Frécinaux  <steve@istique.net>

	* gedit/Makefile.am: Build gedit as a static library before including it
	in the binary (needed for gtk-doc gobject inspection)
	
	* configure.ac:
	* Makefile.am:
	* docs/Makefile.am:
	* docs/reference/Makefile.am:
	* docs/reference/gedit-docs.sgml:
	* docs/reference/gedit-overrides.txt:
	* docs/reference/gedit.types:
	
	Initial setup of gtk-doc for gedit.

	* .cvsignore:
	* bindings/python/.cvsignore:
	* doc/.cvsignore:
	* doc/reference/.cvsignore:
	* m4/.cvsignore:
	
	Update some CVSIGNORE files.

2006-05-19  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-commands-search.c
	* gedit/gedit-document-saver.c
	* gedit/gedit-document.c
	* gedit/gedit-prefs-manager.c
	* gedit/gedit-python-module.c
	* gedit/gedit-spinner.h
	* gedit/gedit-window.c
	* gedit/gedit.c

	Fix a bunch of compiler warnings from the ICC compiler.

=== gedit 2.15.2 ===

2006-05-15  Steve Frécinaux  <steve@istique.net>

	* configure.ac: bump intltool requirement to 0.35.0

	* configure.ac:
	* NEWS:
	* README:
	
	gedit 2.15.2 released

2006-05-15  Steve Frécinaux  <steve@istique.net>

	* bindings/python/gedit.defs: Remove gedit_ prefix from functions, and
	add gedit_-prefixed ones marked as deprecated.
	
	* bindings/python/gedit.override: Add overrides for deprecated functions
	issuing a DeprecationWarning when used.
	
	* plugins/externaltools/tools/__init__.py:
	* plugins/externaltools/tools/functions.py:
	* plugins/snippets/snippets/SnippetComplete.py:
	* plugins/snippets/snippets/SnippetsDialog.py:
	* plugins/snippets/snippets/__init__.py:
	
	Use the new function names.

2006-05-15  Paolo Borelli  <pborelli@katamail.com>

	* plugins/sort/gedit-sort-plugin.c: handle empty lines correctly.
	bug #341117.

2006-05-14  Steve Frécinaux  <steve@istique.net>

	* bindings/python/Makefile.am:
	* bindings/python/geditutils.defs:
	* bindings/python/geditutils.override:
	
	New gedit.utils python module binding a few functions from gedit-utils.h

	* gedit/gedit-python-module.c: (gedit_python_module_init_python): import
	the new above-mentioned module.

2006-05-02  Steve Frécinaux  <steve@istique.net>

	* gedit/gedit-plugin-manager.c: destroy the popup menu when the dialog
	is closed.
	
	* plugins/modelines/modelines.py: fix a warning (typo).

2006-05-02  Steve Frécinaux  <steve@istique.net>

	* gedit/gedit-plugin-manager.c: new layout for the plugin manager:
	hide the treeview headers and add a title. Add a context menu to the
	plugin list.
	
	* gedit/gedit-plugins-engine.c
	(gedit_plugin_engine_get_plugin_icon_name): fallback to default icon
	when the specified icon is invalid or unavailable.

	* gedit/gedit-utils.[ch] (gedit_utils_menu_position_under_tree_view):
	new helper function allowing to position a popup menu under the active
	row of a tree view.

2006-05-01  Jesse van den Kieboom  <jesse@icecrew.nl>
	
	* gedit/plugins/snippets/snippets/SnippetPlaceholders.py: added 
	sigalarm timeout for python placeholders. Cleaned up python 
	placeholders. Make updating mirror placeholders abort when one of the 
	updates fails (like for example a timeout)
	
2006-05-01  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/plugins/snippets/snippets/SnippetController.py: added check
	for valid snippets. Fixed check for valid accelerator.

2006-05-01  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/plugins/snippets/snippets/SnippetsDialog.py: 
	* gedit/plugins/snippets/snippets/SnippetsLibrary.py:
	* gedit/plugins/snippets/snippets/functions.py:
	* gedit/plugins/snippets/snippets/snippets.glade:
	
	Added snippet validation (by tab trigger and accelerator). Added error 
	message for invalid tab triggers

2006-04-28  Steve Frécinaux  <steve@istique.net>

	* gedit/gedit-plugins-engine.[ch]: add support for an 'Icon' field in
	the plugins description file. New function to access this icon field:
	gedit_plugin_engine_get_plugin_icon_name.
	
	* gedit/gedit-plugin-manager.c: show the above defined icon in the
	plugin about boxes and in the plugin list.
	
	* plugins/indent/indent.gedit-plugin.desktop.in:
	* plugins/pythonconsole/pythonconsole.gedit-plugin.desktop.in:
	* plugins/sort/sort.gedit-plugin.desktop.in:
	* plugins/spell/spell.gedit-plugin.desktop.in:
	
	Define custom icons.

2006-04-26  Benoît Dejean  <benoit@placenet.org>

	* gedit/gedit-languages-manager.c: (string_to_tag_style): Cleanup.
	Closes #172352.

2006-04-26  Paolo Maggi  <paolo@gnome.org>

	Fixed bug #336954 – Does not work with arabic dictionary
	
	* plugins/spell/gedit-spell-checker.c: add Arabic and Arabic Egypt 
	to the list of known languages.
	Patch by Mohammed Sameer <Uniball@gmx.net>

2006-04-25  Steve Frécinaux  <steve@istique.net>

	* gedit/gedit-panel.c: Remove some unused non-working code.

=== gedit 2.15.1 ===

2006-04-24  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.15.1 released

2006-04-24  Paolo Maggi  <paolo@gnome.org>

	Fixed bug #339597 - gedit Manual Page Bugs
	
	* data/gedit.1: fix the doubled occurences of the
	string 'gedit' in the manpage. Removed the section about piper since
	they are not supported anymore. Based on a patch by 
	Richard Laager <rlaager@users.sf.net>

2006-04-24  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/SnippetsLibrary.py:
	* plugins/snippets/snippets/SnippetsDialog.py:
	
	Fixed a bug where reverting a snippet results in the system snippet 
	disappearing. The fix involves setting the correct namespaced id when 
	the library of a snippet changes and putting the system snippet id in
	the loaded_ids list when reverted

2006-04-24  Steve Frécinaux  <steve@istique.net>

	* gedit/gedit-plugin-manager.c: sort the plugin list alphabetically.

2006-04-22  Jesse van den Kieboom  <jesse@icecrew.nl>
	
	Fixed bug #339396 - Snippets plugin could support GEDIT_CURRENT_WORD 
	variable expansion
	
	* plugins/snippets/snippets/SnippetController.py:
	* plugins/snippets/snippets/functions.py:
	
	Added the GEDIT_CURRENT_WORD variable and implemented the removal of 
	the current word from the buffer prior to the insertion of the 
	snippet	when the variable is used
	
2006-04-22  Jesse van den Kieboom  <jesse@icecrew.nl>

	Fixed bug #339398 - Bottom panel: size changes when resizing window, 
	size is not properly restored after restart
	
	* gedit/gedit-window.c: pack the main notebook in the paned with
	stretch = TRUE so the bottom panel size doesn't change when resizing
	the paned
	
2006-04-22  Jesse van den Kieboom  <jesse@icecrew.nl>
	
	Fixed bug #339397 - Accelerator snippets don't work when gedit is just 
	started
	
	* plugins/snippets/snippets/SnippetController.py:
	* plugins/snippets/snippets/functions.py:
	* plugins/snippets/snippets/SnippetsDialog.py:
	
	Loads the snippets when the a valid accelerator is activated in a 
	buffer while the snippets library wasn't yet loaded
	
2006-04-22  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/SnippetController.py: fix wrong index
	caused by the addition of an extra mark

2006-04-22  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/data/latex.xml: fixed the 
	'Wrap Selection in Command' snippet
	* plugins/snippets/snippets/SnippetsDialog.py: enable F1/F12 
	accelerators
	* plugins/snippets/snippets/SnippetController.py: use gtk.keysyms 
	instead of gtk.gdk.keyval_from_name
	
2006-04-22  Jesse van den Kieboom  <jesse@icecrew.nl>

	* snippets/Snippet.py: enabled shell and python placeholders. Added 
	python placeholder align function (can be used by python placeholders 
	to align/tabelize text). Cleaned the parsing code. Added an extra mark 
	on snippet insertion which is positioned at the end of the snippet
	* snippets/SnippetController.py: use timeout instead of idle to update
	mirrors (this enables semi instant-update if we want it). Apply 
	placeholder.leave() when the cursor leaves the placeholder
	* snippets/SnippetPlaceholders.py: fixed making string literals used 
	for inserting mirror text into shell and python placeholders. Added 
	separate mirror handler which handles mirrored items which apply after 
	leaving the dependent placeholder. Moved general expander placeholder 
	code to	PlaceholderExpand. Added private namespace for python 
	placeholders which enables python snippets to define global 
	variables/functions which can be used throughout the snippet.

2006-04-21  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/functions.py: add custom xml writer to have 
	nice formatted xml output (closes bug #328161). Remove obsolete outfile 
	class
	* plugins/snippets/snippets/SnippetsLibrary.py: use custom xml writer

2006-04-20  Paolo Maggi  <paolo@gnome.org>

	Fixed bug #338912 – Find Next/Previous wrap around even when 
	wrapping is off

	* gedit/gedit-commands-search.c (do_find_again): uses LastSearchData
	to remember if during the last search "Wrap Around" was on or off

2006-04-20  Paolo Borelli  <pborelli@katamail.com>

	* data/gedit.pc.in: remove eel leftover.

2006-04-20  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-document-loader.c:
	* gedit/gedit-document-saver.c:

	Fix includes to make it compile on DragonFly BSD.

2006-04-20  Paolo Maggi  <paolo@gnome.org>

	Fixes bug #338173 - Gedit show keyring store password on the window 
	title bar
	
	* gedit/gedit-utils.[ch] (gedit_utils_format_uri_for_display): new
	function similar to gnome_vfs_format_uri_for_display but that hides
	the password if needed
	
	* gedit/gedit-commands-file.c (load_file_list)
	(replace_read_only_file) (save_dialog_response_cb): use
	gedit_utils_format_uri_for_display instead of 
	gnome_vfs_format_uri_for_display

	* gedit/gedit-io-error-message-area.c
	(gedit_unrecoverable_loading_error_message_area_new)
	(gedit_unrecoverable_reverting_error_message_area_new)
	(gedit_conversion_error_while_loading_message_area_new)
	(gedit_conversion_error_while_saving_message_area_new)
	(gedit_file_already_open_warning_message_area_new)
	(gedit_externally_modified_saving_error_message_area_new)
	(gedit_no_backup_saving_error_message_area_new)
	(gedit_unrecoverable_saving_error_message_area_new): ditto

	* gedit/gedit-tab.c (show_saving_message_area): ditto
	
	* gedit/gedit-document.c (gedit_document_get_uri_for_display): hides
	the password if needed

	* gedit/gedit-window.c (recent_tooltip_func_gtk)
	(recent_tooltip_func_uim): uses gedit_utils_format_uri_for_display 
	instead of egg_recent_item_get_uri_for_display

2006-04-18  Steve Frécinaux  <steve@istique.net>

	* pixmaps/*.png: add Andreas Nilsson's puzzle icon (gedit-plugin.png).
	Get rid of gedit-icon.png and gedit-plugin-manager.png since they are
	not used anymore.

	* pixmaps/Makefile.am: install the logo into $prefix/share/gedit-2/logo
	and the plugin icon into $prefix/share/gedit-2/icons.

	* gedit/Makefile.am: define GEDIT_DATADIR and GEDIT_ICONDIR, and
	remove GNOME_ICONDIR which is not used anymore.
	
	* gedit/gedit-commands-help.c: update the logo path.

	* gedit/gedit.c: add GEDIT_ICONDIR to the icon theme lookup directories.

	* gedit/gedit-plugin-manager.c: use the gedit-plugin icon from icon
	theme in the plugin about box.

	* configure.ac: Remove unused definition of GEDIT_DATA_DIR in config.h.

2006-04-18  Brian Pepple  <bdpepple@gmail.com>

	* configure.ac: Use IT_PROG_INTLTOOL instead of AC_PROG_INTLTOOL.

	* po/LINGUAS: Format following guidelines from
	http://live.gnome.org/GnomeGoals/PoLinguas.

2006-04-16  Vincent Untz  <vuntz@gnome.org>

	* gedit/gedit.c: (main): enhance help output
	Fix bug #335015

2006-04-12  Paolo Maggi  <paolo@gnome.org>

	* configure.ac: require intltool 0.34.90 and fix the way we manage
	ALL_LINGUAS

2006-04-10  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-commands-help.c: unref the logo pixbuf.
	Bug #336880, Brian Pepple.

2006-04-09  Steve Frécinaux  <steve@istique.net>

	* configure.ac:
	* po/LINGUAS:
	
	Move ALL_LANGUAGES content to the po/LINGUAS file, to make our
	translators' life easier.

2006-04-08  Paolo Borelli  <pborelli@katamail.com>

	* gedit/debug.[ch]:
	* gedit/gedit-document-loader.c:
	* gedit/gedit-document-saver.c:

	add some execution tracing annotations.

2006-04-06  Steve Frécinaux  <steve@istique.net>

	* plugins/snippets/data/c++.xml:
	* plugins/snippets/data/c.xml:
	
	Fix the gpl snippet.

2006-04-06  Steve Frécinaux  <steve@istique.net>

	* plugins/externaltools/tools/functions.py: fix checking for existing
	accelerators (modificators mismatch). Save the data file as UTF-8,
	avoiding text corruption (bug #335823)
	
	* plugins/externaltools/tools/manager.py: wrong tool was cited in error
	message when trying to bind a already used accelerator to another tool.
	Also fix two warnings.
	
2006-04-01  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/SnippetsLibrary.py: added removal from 
	container when user snippet gets removed	

2006-03-30  Steve Frécinaux  <steve@istique.net>

	* gedit/gedit-python-module.c: allow import of python modules with a '.'
	(bug 336403). Patch by Johan Dahlin.

2006-03-30  Steve Frécinaux  <steve@istique.net>

	* configure.ac:
	* plugins/pythonconsole/Makefile.am:
	* plugins/pythonconsole/pythonconsole/Makefile.am:
	* plugins/pythonconsole/pythonconsole/__init__.py:
	* plugins/pythonconsole/pythonconsole/console.py:
	* plugins/pythonconsole/pythonconsole.gedit-plugin.desktop.in:

	New interactive python console, more terminal-looking and less space
	consuming than the old one.

2006-03-25  Julio M. Merino Vidal  <jmmv@NetBSD.org>

	* configure.ac: Get rid of explicit libbonobo and bonobo-activation
	checks now that they are not directly required by gedit.

2006-03-23  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/dialogs/gedit-search-dialog.c: tweak focus handling some
	more. Bug 335169.

2006-03-23  Steve Frécinaux  <steve@istique.net>

	* gedit/gedit-plugin-manager.c: show a description of the plugins
	in the plugin manager window, the way Epiphany does. (bug 326917)
	Patch by Przemysław Grzegorczyk.

2006-03-23  Steve Frécinaux  <steve@istique.net>

	* plugins/externaltools/tools/functions.py: enable syntax
	highlighting on the file created by the tool if relevant.
	
2006-03-23  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/SnippetsLibrary.py: fixes the disappearance
	of a snippet when it is reverted and it is the last user snippet in 
	the language (bug #334305). The fix simply sets the library of
	the snippet back to the system library before removing the snippet from 
	the user library, thus not causing it to be removed itself when the user
	library (and all its snippets) is removed from the container.

2006-03-22  Tommi Vainikainen  <thv@iki.fi>

	* configure.ac (ALL_LINGUAS): Added Dzongkha (dz).

2006-03-21  Steve Frécinaux  <steve@istique.net>

	* plugin/externaltools/tools/functions.py: fix bug 335302 (tools input
	methods). Patch by Juha Sahakangas.

2006-03-19  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/SnippetsLibrary.py: fix bug 334638
	patch by Arthur Peters.

2006-03-19  Christian Persch  <chpe@cvs.gnome.org>

	* gedit/gedit.c: (main): Call bind_textdomain_codeset before 
	using gettext. Bug #335119.

2006-03-19  Jérémy Ar Floc'h  <jeremy.lefloch@gmail.com>

	* po/br.po: Added Breton translation.
	* configure.ac: Added Breton translation.

2006-03-19  Steve Frécinaux  <steve@istique.net>

	* gedit/plugins/externaltools/tools/manager.py:
	* gedit/plugins/externaltools/tools/tools.glade: 
	
	Fake autoapply by updating the menu when the manager looses
	focus (bug 334963)

2006-03-18  Vladimer Sichinava  <vlsichinava@gmail.com>

	* configure.in: Added "ka" (Georgian) to ALL_LINGUAS

=== gedit 2.14.1 ===

2006-03-16  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/plugins/snippets/data/latex.xml: escape \.

2006-03-16  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/plugins/snippets/data/*: do not use ctrl+shift accels.

2006-03-14  Paolo Borelli  <pborelli@katamail.com>

	* gedit/dialogs/gedit-close-confirmation-dialog.[ch]:
	* gedit/gedit-commands-file.c:
	* gedit/gedit-session.c:

	do not leak the list of selected documents.
	Noticed by Vincent Geddes (bug 333882).

2006-03-13  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-commands-search.c: fix sanity check, typo spotted
	by Krzysiek Szczuka.

2006-03-13  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit.c: do not open a new display at every launch.

2006-03-12  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-tab.c: fix a compiler warning.

=== gedit 2.14.0 ===

2006-03-12  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.14.0 released

=== gedit 2.13.93 ===

2006-03-05  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.13.93 released

2006-03-05  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/dialogs/gedit-search-dialog.c: grab focus on the entry.

2006-03-05  Steve Frécinaux  <steve@istique.net>

	* plugins/snippets/snippets/SnippetsDialog.py:
	* plugins/snippets/snippets/snippets.glade:
	* plugins/externaltools/tools/manager.py:
	
	Show the Plugin page from gedit help when clicking on the Help button
	of the Snippets and External Tools dialogs

2006-03-05  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/SnippetController.py:
	fixed Ctrl+space being stopped from handling even if snippets doesn't
	show a popup dialog (see bug #333326). Fixed handling of single
	non-alphanumeric tab triggers
	
	* plugins/snippets/snippets/SnippetsLibrary.py:
	fixed loading of duplicate system snippets (see bug #332384)
	
2006-03-04  Paolo Maggi  <paolo@gnome.org>

	* gedit/gedit-languages-manager.c (string_to_tag_style):
	fixed a mem leak (see bug #172352)

2006-03-03  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-spinner.c: sync the code to latest epiphany code. Should
	fix multihead issues.

2006-03-03  Paolo Maggi  <paolo@gnome.org>

	Fixed bug #333129 – [Multihead] cannot launch multiple instances of 
	                    gedit on different heads
	
	* gedit/gedit-app.c (gedit_app_create_window): added screen argument
	(is_in_workspace): new function
	(_gedit_app_get_window_in_workspace): fixed to me multihead aware

	* gedit/gedit-app.h: updated gedit_app_create_window prototype

	* gedit/gedit-window.c (clone_window): update to call 
	gedit_app_create_window with a screen parameter

	* gedit/gedit.c (on_message_received) (send_bacon_message) (main):
	updated the client/server protocol used to support single application
	instances so that display name and screen number are communicated from
	client to server
	
	* bindings/python/gedit.defs:
	* bindings/python/gedit.override: updated binding for create_window(), 
	overridden so that the screen param is optional

2006-03-02  Steve Frécinaux  <steve@istique.net>

	* plugins/modelines/modelines.py: 
	
	- parse every modelines instead of just	the first one, and merge the
	  options (from kate specs and bugs when using python charset)
	- fix vim and kate modelines parsing
	- use python list comprehensions and other pythonic beautifiations

	* plugins/modelines/gedit-plugin.desktop.in: updated information

2006-02-28  Christian Kirbach  <Christian.Kirbach@student.uni-siegen.de>

	* gedit/gedit-metadata-manager.c:
	* gedit/gedit-prefs-manager.c:
	fix 27 gcc4 compiler warnings, mostly pointer targets differing in 
	signedness

2006-02-28  Steve Frécinaux  <steve@istique.net>

	* plugins/pythonconsole/pythonconsole.py: fix python console history 
	(bug #332861)

=== gedit 2.13.92 ===

2006-02-26  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.13.92 released

2006-02-26  Steve Frécinaux  <steve@istique.net>

	* plugins/externaltools/tools/capture.py:
	* plugins/externaltools/tools/manager.py:
	* plugins/externaltools/tools/functions.py:
	
	Fix a few python exceptions.

2006-02-24  Steve Frécinaux  <steve@istique.net>

	* gedit/gedit-ui.xml:
	* gedit/gedit-ui.h:
	* gedit/gedit-commands.h:
	* gedit/gedit-commands-search.c:

	Add a new menu entry: Search -> Clear highlight

2006-02-24  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-ui.h: s/Panel/Pane as per ui review.
	* gedit/gedit-command-view.c: make naming consistent with the above.
	* gedit/gedit-window.c: ditto.

2006-02-24  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-view.c: use gtk_accelerator_get_default_mod_mask
	instead of hardcoding SHIFT | CONTROL.

2006-02-24  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-ui.h: change Replace accel to ctrl+H as mandated, by the
	HIG.

2006-02-22  Steve Frécinaux  <steve@istique.net>

	* plugins/externaltools/tools/tools.glade:
	* plugins/externaltools/tools/manager.py:

	Use a GtkSourceView and text wrapping for command text view.
	Also fix bug #331114 by removing all the size requests.

2006-02-22  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/SnippetsLibrary.py: fixed get_snippets()
	to return a copy of the snippets data instead of the data itself.

2006-02-19  Paolo Borelli  <pborelli@katamail.com>

	* plugins/spell/gedit-spell-plugin.c: fix thinko (returning NULL
	iconditionally is not a good idea). Fixes bug 331811.

2006-02-19  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-command-file.c:
	* gedit/gedit-command-view.c:
	* gedit/gedit-tab.[ch]:

	fix compiler warnings.

2006-02-19  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-document.[ch]:
	* gedit/gedit-document-loader.[ch]:
	* gedit/gedit-tab.[ch]:
	* gedit/gedit-command-file.c:

	make the file load api return null in all the involved functions to
	reflect that it is async. Handle correctly valid uris that however
	return a null vfs-uri.

2006-02-19  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/SnippetsLibrary.py: inspect files as lazy as
	possible. Files will be scanned now on first request for snippet data from
	the plugin (either dialog or controller in the view)
	* plugins/snippets/snippets/__init__.py: remove old error message code,
	call SnippetsLibrary().set_dirs instead of SnippetsLibrary().set_data

2006-02-18  Paolo Maggi  <paolo@gnome.org>

	Lazy loading of taglists (improve gedit startup time when taglist plugin
	is active)
	
	* plugins/taglist/gedit-taglist-plugin-panel.c (expose_event_cb):
	If needed load taglists from files at the first expose and populate the
	combobox
	(gedit_taglist_plugin_panel_init): do not show_all the panel and do
	not populate the combox. Connect the expose-eveng signal.

	* plugins/taglist/gedit-taglist-plugin-parser.c (free_taglist): return
	immediately if taglist is NULL

	* plugins/taglist/gedit-taglist-plugin.c
	(gedit_taglist_plugin_init): does not load taglists

2006-02-18  Paolo Maggi  <paolo@gnome.org>

	* gedit/gedit-message-area.c (style_set): removed a debug message

	* gedit/gedit-view.c (reset_searched_text): ditto

2006-02-18  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/SnippetsLibrary.py: give more informative
	error messages when loading a file fails. Only add snippets once the
	whole file loaded ok.
	* plugins/snippets/snippets/SnippetPluginInstance.py: fix adding 
	SnippetControllers to views in the window when activating the snippets
	plugin
	* po/POTFILES.in: removed plugins/snippets/snippets/__init__.py as it
	no longer contains translatable strings
	
2006-02-14  Steve Frécinaux  <steve@istique.net>

	* plugins/externaltools/tools/tools.glade: use "Accelerator" instead
	of "Shortcut Key".

2006-02-14  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/SnippetsLibrary.py: check if
	the language has libraries.

=== gedit 2.13.91 ===

2006-02-13  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.13.91 released

2006-02-13  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/*: reworked to use new storage format, should fix
	some of the bugs and performance issues.

2006-02-13  Steve Frécinaux  <steve@istique.net>

	* plugins/externaltools/tools/capture.py: convert to unicode the
	what we get from the pipe.

2006-02-13  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-ui.xml: add placeholders in the File menu in case
	someone wants to give SaveCopy or New From Template a try.

2006-02-13  Steve Frécinaux  <steve@istique.net>

	* plugins/externaltools/tools/outputanel.py:
	* plugins/externaltools/tools/functions.py:
	
	replace blue status messages with italic/bold ones. Make some strings
	localizables. Revert the idle cursor on new documents when appropriated.

	* plugins/externaltools/tools/manager.py: reset accelerator entry when
	focus out and no accelerator was set.

2006-02-13  Paolo Borelli  <pborelli@katamail.com>

	* plugins/snippets/snippets.gedit-plugin.desktop.in: mark name for
	translation.

2006-02-12  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-tab.c: do not install autosave timeout when in CLOSING
	state. Fixes bug 330516.

2006-02-12  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-document.c: fix off by one bug in goto line.

2006-02-12  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-view.c: be robust to the case where the view is destroyed
	before the idle-scroll-to-line hack runs.
	* gedit/gedit-tab.c: check for NULLness before destroying a GTimer.

2006-02-12  Paolo Maggi  <paolo@gnome.org>

	* gedit/gedit-utils.c (gedit_utils_make_valid_utf8): replace
	unknown characters by the Unicode replacement character
	instead of '?', and don't append "(invalid encoding)".

2006-02-12  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-view.c: use gtk_widget_get_clipboard instead of
	gtk_clipboard_get.

2006-02-12  Steve Frécinaux <steve@istique.net>

	* gedit/gedit-window.[ch]: handle the visibility changes of panels, 
	toolbar and statusbar connecting to the show and hide signals.

	* gedit/gedit-commands-view.c:
	* gedit/gedit-session.c:

	adapt for above changes (use directly gtk_widget_show/hide instead of a
	custom function)

2006-02-12  Paolo Maggi  <paolo@gnome.org>

	* plugins/externaltools/tools/tools.glade: use GTK_SHADOW_IN for
	the scrolled window in the output panel

2006-02-08  James Livingston  <jrl@ids.org.au>

	* gedit/gedit-document.c: (gedit_document_replace_all): disable
	search highlighting during replace all, as it can be done at the end
	and can be slow.

2006-02-08  Paolo Borelli  <pborelli@katamail.com>

	* plugins/externaltools/tools/manager.py: properly clear the fields
	and handle sensitivity when adding and removing tools.

2006-02-04  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-commands-search.c: fix cut&paste error.

2006-02-04  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-document.c: disable bracket matching during replace_all,
	in order to avoid wasting time. Patch by James Livingston.

2006-02-01  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-document-saver.c:
	* gedit/gedit-window.c:
	* gedit/sexy-icon-entry.c:
	* plugins/docinfo/gedit-docinfo-plugin.c:

	fix some C99-style variable initializations, patch by Jens Granseuer.

2006-01-30  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-file-chooser-dialog.c: add some application/x-foo
	mime types to the "All text files" white list. Spotted Mathieu Pillard.

2006-01-31  Michael Terry  <mterry@cvs.gnome.org>

	* gedit/gedit.c:
	* configure.ac:

	Convert from popt to goption (bug 329375).

=== gedit 2.13.90 ===

2006-01-30  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.13.90 released

2006-01-30  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-python-module.c: be robust to python modules import
	failure.

2006-01-30  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-document-saver.c: remove the temporary backup in the
	fallback saving strategy if the user specified that he doesn't want
	backup files to be kept. (bug 329178)

2006-01-30  Paolo Borelli  <pborelli@katamail.com>

	* gedit/recent-files/*: sync with libegg.

2006-01-29  Steve Frécinaux  <steve@istique.net>

	* gedit/gedit-view.c: hide cursor when interactive search is active

2006-01-27  Paolo Borelli  <pborelli@katamail.com>

	* remove outdated files, patch by Stephane Loeuillet.

2006-01-21  Paolo Borelli  <pborelli@katamail.com>

	* data/gedit-desktop.in.in: add GNOME/GTK categories to the
	.desktop file. (bug 328013)

2006-01-21  Steve Frécinaux  <steve@istique.net>

	* plugins/externaltools/tools/functions.py: implement applicability
	(gray unusable tools, allow to run a command on unsaved document)
	* plugins/externaltools/tools/__init__.py: adapt for applicability;
	remove debug message
	* plugins/externaltools/tools/manager.py: correct a bug related to
	keyboard navigation; allow reordering the tools in the tree and in the
	main window menu; update the right pane title when a tool is renamed
	* plugins/externaltools/tools/tools.glade: name the hpaned
	* plugins/externaltools/tools/outputpanel.py: show the panel when a
	tool is ran

2006-01-21  Steve Frécinaux  <steve@istique.net>

	* plugins/snippets/snippets/SnippetsDialog.py: remove the gconf stuff

=== gedit 2.13.4 ===

2006-01-20  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.13.4 released

2006-01-20  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac: depend on the brand new gnome-python-desktop
	instead of gnome-python-extras.

2006-01-20  Paolo Borelli  <pborelli@katamail.com>

	* gedit/bacon-message-connection.[ch]: update from libbacon, fixes
	crash on startup reported in bug 326247. Patch by Marco Barisione.

2006-01-20  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-document-saver.c: actually use the PRESERVE_BACKUP
	flag introduced with the autosave patch.

2006-01-20  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-window.c: fix warning introduced by my last patch.
	Do some cleanup while we are at it.

2006-01-19  Paolo Maggi  <paolo@gnome.org>

	* gedit/gedit-io-error-message-area.c
	(gedit_unrecoverable_loading_error_message_area_new)
	(gedit_unrecoverable_reverting_error_message_area_new)
	(gedit_conversion_error_while_loading_message_area_new)
	(gedit_conversion_error_while_saving_message_area_new)
	(gedit_externally_modified_saving_error_message_area_new)
	(gedit_no_backup_saving_error_message_area_new)
	(gedit_unrecoverable_saving_error_message_area_new): use
	g_markup_printf_escaped instead of g_strdup_printf when needed

	* gedit/gedit-tab.c (show_loading_message_area)
	(show_saving_message_area) (_gedit_tab_get_tooltips): ditto

	* gedit/gedit-utils.c (gedit_utils_get_glade_widgets): ditto

2006-01-19  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-window.c: properly restore the bottom panel size
	on startup.

2006-01-19  Paolo Maggi  <paolo@gnome.org>

	Re-added autosave feature. 
	Based on a patch by Sergio Villar Senin <svillar@igalia.com>
	
	* gedit/gedit-debug.[ch]: s/GEDIT_DEBUG_FILE/GEDIT_DEBUG_TAB

	* gedit/gedit-document.c (gedit_document_finalize)
	(gedit_document_init) (set_readonly) (gedit_document_get_encoding):
	remove autosave related functions (moved to gedit-tab.c)

	* gedit/gedit-document.h: remove autosave related functions (moved to 
	gedit-tab.h)

	* gedit/gedit-prefs-manager-app.c
	(gedit_prefs_manager_auto_save_changed): use new functions for autosave

	* gedit/gedit-tab.c (install_auto_save_timeout)
	(install_auto_save_timeout_if_needed) (remove_auto_save_timeout)
	(gedit_tab_get_property) (gedit_tab_set_property)
	(gedit_tab_finalize) (gedit_tab_class_init)
	(document_uri_notify_handler)
	(recoverable_loading_error_message_area_response)
	(unrecoverable_reverting_error_message_area_response)
	(show_loading_message_area) (show_saving_message_area)
	(message_area_set_progress) (document_loading) (document_loaded)
	(document_saving) (end_saving)
	(unrecoverable_saving_error_message_area_response)
	(no_backup_error_message_area_response)
	(externally_modified_error_message_area_response)
	(recoverable_saving_error_message_area_response) (document_saved)
	(gedit_tab_init) (_gedit_tab_load) (_gedit_tab_revert)
	(_gedit_tab_save) (gedit_tab_auto_save) (_gedit_tab_save_as)
	(gedit_tab_get_auto_save_enabled) (gedit_tab_set_auto_save_enabled)
	(gedit_tab_get_auto_save_interval)
	(gedit_tab_set_auto_save_interval): implemented autosave feature.
	It works in the following way:
	- the auto_save_timeout timeout is used to call gedit_document_auto_save
	  every X minutes
	- when a file is loaded or saved the timeout is removed (to avoid the 
	  case in which autosave is called while loading/saving)
	- when a file has been loaded/saved, if needed, the timeout is 
	  re-created and so gedit_document_auto_save will be called after X 
	  minutes again
	  
	* gedit/gedit-tab.h: new functions related to autosave

	* bindings/python/gedit.defs: updated

2006-01-19  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-panel.c: fix warning.
	* gedit-ui.h: make view bottom pane action sensitive.
	* gedit/gedit-window.c: handle view bottom pane sensitivity according
	to the presence of items in the bottom pane.

2006-01-19  Paolo Borelli  <pborelli@katamail.com>

	* bindings/python/gedit.defs: bind new panel function.
	* gedit/gedit-panel.[ch]: add item_added and item_removed signals and
	a function to get the number of items in a panel.
	* gedit/gedit-window.c: hide the bottom panel when all the items are
	removed.

2006-01-18  Steve Frécinaux  <steve@istique.net>

	* plugins/externaltools/tools/capture.py: corrected freeze bug when 
	an input was specified. End signal is sent *after* the other signals.

	* plugins/externaltools/tools/functions.py: corrected syntax errors.
	System-wide env vars are passed to the child process (allow to launch
	X apps). new GEDIT_DOCUMENTS_(PATH|URI) and GEDIT_CURRENT_DOCUMENT_NAME
	environment variables. Ensure "replace" output options effectively
	replace previous content. User feedback: wait cursor and locked view.
	Load an empty tree if no file found (instead of None)

	* plugin/externaltools/tools/stock-tools.xml: Update with new sample
	tools using the new features.

2006-01-18  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit.c (main): call gnome_accelerators_sync before
	exit to save the custom accels.

2006-01-17  Adam Weinberger  <adamw@gnome.org>

	* plugins/snippets/snippets/__init__.py: Spelling
	  and grammar tweak. Fixes bug #57553.

=== gedit 2.13.3 ===

2006-01-16  Jesse van den Kieboom  <jesse@icecrew.nl>

	* gedit/gedit-python-module.c: added gettext support
	* po/POTFILES.in: added snippets translatable files
	* plugins/snippets/*: gettext'ed strings
	* plugins/snippets/snippets/snippets.glade: changed title to 
	  Snippets Manager
	* plugins/snippets/snippets/__init__.py:
	  plugins/snippets/snippets/SnippetsDialog.py:
	  plugins/snippets/snippets/SnippetPluginInstance.py:
	  
	  added support having the same accelerator for multiple snippets
	
2006-01-16  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-document-loader.c: use new vfs api to guess the mime
	directly from the mmapped data.

2006-01-16  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac: bump gnome-vfs requirements
	* gedit/gedit-document.c: use the new vfs api to guess the mime type
	from a filename, so that gedit foo.c uses the right highlighting.

2006-01-16  Steve Frécinaux  <nud@apinc.org>

	plugins/externaltools/*: new plugin to execute shell commands.

2006-01-15  Paolo Maggi  <paolo@gnome.org>

	* gedit/gedit-document-loader.c (load_local_file_real): removed
	a debug message

	* gedit/gedit-utils.c (gedit_utils_uri_exists): use DEBUG_UTILS
	instead of DEBUG_FILE

2006-01-14  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/snippets/Snippet.py:
	* plugins/snippets/snippets/functions.py: apply autoindentation at 
	all cases

2006-01-14  Jesse van den Kieboom  <jesse@icecrew.nl>

	* plugins/snippets/*: new snippets plugin
	
2006-01-13  Frank Arnold  <farnold@cvs.gnome.org>

	* gedit/gedit-io-error-message-area.c:
	* gedit/gedit-tab.c:
	* gedit/gedit-utils.c: Moved markup out of gettext messages.

=== gedit 2.13.2 ===

2006-01-11  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.13.2 released

2006-01-09  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac: bump gnome-python-extras requirement to 2.12.0 since
	we need gtksourceview.defs installed.

2006-01-09  Paolo Borelli  <pborelli@katamail.com>

	* gedit/Makefile.am:
	* gedit/gedittextregion.[ch]:
	* gedit/gtktextregion.[ch]:
	* gedit/gedit-document.c:
	* gedit/update-gedittextregion.sh:

	move the local copy of textregion to gedittextregion to avoid
	symbols conflicts with the sourceview copy. Add a simple shell
	script to automate updating.

2006-01-09  Nickolay V. Shmyrev <nshmyrev@yandex.ru>

	* gedit/gedit-metadata-manager.c: (parseItem), (save_item):
	use long int when working with time_t. Fix for the bug
	#326248.

2006-01-09  Paolo Maggi  <paolo@gnome.org>

	Patch by Steve Frécinaux  <nud@apinc.org>

	* gedit/gedit-panel.c (gedit_panel_add_item): crop the image to
	GTK_ICON_SIZE_MENU size. 

	* plugins/pythonconsole/pythonconsole.py: use GTK_ICON_SIZE_MENU size
	for the icon

2006-01-08  Paolo Maggi  <paolo@gnome.org>

	* gedit/sexy-icon-entry.c:
	* gedit/sexy-icon-entry.h: updated from libsexy SVN repository

2006-01-08  Paolo Maggi  <paolo@gnome.org>

	* gedit/gedit-python-module.c (gedit_python_module_init_python):
	does not allow python to manage SIGINT signal: this is needed to avoid
	the crash reported on bug #326191 (Crash when pressing Ctrl+C 
	from terminal) 

2006-01-07  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-plugins-engine.c: make sure the garbage collector
	runs before we unload C plugins. Fix crash on exit.

2006-01-07  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-document.c: fix typos.
	* gedit/gtktextregion.[ch]: ditto.

2006-01-06  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-plugins-engine.[ch]
	* gedit/gedit-python-module.[ch]
	* gedit/gedit-window.c:

	Run the python Garbage Collector when closing a window or a tab
	in order to force python to release references to our objects.

2006-01-06  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-plugin.[ch]:
	* gedit/gedit-python-plugin.c:

	implement configure_dialog support for python plugins and make
	sure to chain up to the default gedit-plugin methods if a python
	plugin doesn't override a method.
	Patch from Jesse Van Den Kieboom and Raphael Slinckx.

2006-01-05  Paolo Maggi  <paolo@gnome.org>

	* gedit/gedit-view.c (gedit_view_class_init): added reset_searched_text
	signal and keybinding
	(reset_searched_text): new function

	* gedit/gedit-view.h: added  reset_searched_text signal

2006-01-05  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-document.c (compute_num_of_lines): make utf8-aware.

2005-01-05  Steve Frécinaux  <nud@apinc.org>
 
 	* gedit/gedit-view.c : larger timeout for the search box, scroll back
 	only on <escape> (cf. Bug #105196) ; hide the search box when the window
 	looses focus.
 
2006-01-05  Paolo Maggi  <paolo@gnome.org>

	Implemented search highligthing: all the occurences of the searched
	text are highlighted
	
	* data/gedit.schemas.in: added editor/search_highlighting/enable key

	* gedit/Makefile.am: compile gtktextregion.[ch]
	
	* gedit/gtktextregion.[ch]: new files

	* gedit/gedit-document.c (gedit_document_finalize): destroy 
	to_search_region if needed
	(gedit_document_get_property): get the enable-search-highlighting 
	property
	(gedit_document_set_property): new function
	(gedit_document_class_init): added enable-search-highlighting property
	and search_highlight_updated signal
	(gedit_document_init): initialize enable-search-highlighting property
	and connect "insert-text" and "delete-rande" signals
	(compute_num_of_lines): new function
	(gedit_document_set_search_text): update search hl if needed
	(gedit_document_get_can_search_again): fixed to manage the case 
	in which search_text is empty
	(search_region): new funtion
	(to_search_region_range): ditto
	(_gedit_document_search_region): ditto
	(insert_text_cb): ditto
	(delete_range_cb): ditto
	(gedit_document_set_enable_search_highlighting): ditto
	(gedit_document_get_enable_search_highlighting): ditto

	* gedit/gedit-document.h: added search_highlight_updated signal and
	declare gedit_document_[set|get]_enable_search_highlighting and 
	_gedit_document_search_region functions

	* gedit/gedit-prefs-manager-app.c (gedit_prefs_manager_app_init)
	(gedit_prefs_manager_syntax_hl_enable_changed)
	(gedit_prefs_manager_search_hl_enable_changed): added support for 
	editor/search_highlighting/enable key

	* gedit/gedit-prefs-manager.[ch]: added support for 
	editor/search_highlighting/enable key

	* gedit/gedit-view.c (gedit_view_class_init): set expose_event default
	handler
	(gedit_view_new): connect to "search_highlight_updated" signal
	(gedit_view_expose)(search_highlight_updated_cb): new functions

2006-01-03  Paolo Maggi  <paolo@gnome.org>

	Fixes drag&drop of files from file-roller
	
	* gedit/gedit-utils.c (gedit_utils_is_valid_uri): fixed a compiler 
	warning
	(gedit_utils_make_canonical_uri_from_shell_arg): new function

	* gedit/gedit-utils.h: new function 
	gedit_utils_make_canonical_uri_from_shell_arg

	* gedit/gedit-window.c (drag_data_received_cb): use the new
	gedit_utils_make_canonical_uri_from_shell_arg

	* gedit/gedit.c (gedit_get_command_line_data): use the new
	gedit_utils_make_canonical_uri_from_shell_arg function

2006-01-03  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-app.c: fix startup race condition on active_window.
	* gedit/gedit-utils.c: sanity check arguments.

2006-01-03  Paolo Maggi  <paolo@gnome.org>

	* data/gedit.schemas.in: added restore_cursor_position key

	* gedit/gedit-prefs-manager.c
	(gedit_prefs_manager_get_restore_cursor_position): new function

	* gedit/gedit-prefs-manager.h: add restore_cursor_position key and
	gedit_prefs_manager_get_restore_cursor_position function

	* gedit/gedit-document.c (document_loader_loaded): restore the previous
	cursor position if gedit_prefs_manager_get_restore_cursor_position 
	return TRUE

2006-01-03  Paolo Maggi  <paolo@gnome.org>

	* gedit/gedit-commands-search.c (phrase_found): modified the string
	shown in the statusbar for the case occurrences == 1

2006-01-03  Paolo Maggi  <paolo@gnome.org>

	Fixes Replace All button sensitivity in the Find/Replace dialog.
	
	* gedit/dialogs/gedit-search-dialog.c (search_options_changed): function
	removed
	(gedit_search_dialog_init): do not connect search_options_changed
	(gedit_search_dialog_set_search_text): set "Replace All" button 
	sensitivity

	* gedit/gedit-commands-search.c (do_find) (do_replace_all): not set
	"Replace All" button sensitivity
	
=== gedit 2.13.1 ===

2006-01-02  Paolo Borelli  <pborelli@katamail.com>

	* configure.ac:
	* README:
	* NEWS:

	gedit 2.13.1 released

2006-01-02  Paolo Borelli  <pborelli@katamail.com>

	* plugins/spell/gedit-spell-plugin.c: remove bogus assertion.

2006-01-02  Paolo Maggi  <paolo@gnome.org>

	New Modelines plugin by Steve Frécinaux  <nud@apinc.org>

	* configure.ac: added plugins/modelines/Makefile to AC_OUTPUT

	* data/gedit.schemas.in: added modelines to the list of default plugins

	* plugins/Makefile.am: added modelines to [DIST_]SUBDIRS

	* plugins/modelines/Makefile.am:
	* plugins/modelines/modelines.gedit-plugin.desktop.in:
	* plugins/modelines/modelines.py: new modelines plugin

2006-01-02  Paolo Borelli  <pborelli@katamail.com>

	* gedit/dialogs/gedit-search-dialog.c: make sure Replace All
	is sensitive when search options become less strict (#325377)

2006-01-02  Steve Frécinaux  <nud@apinc.org>

	* gedit/gedit-panel.[ch]: reworked layout of panels, given their
	orientation:
	 - add "orientation" construction property
	 - remove tab labels from left panel, show them for bottom one
	 - ellipsize left panel title
 	 - remove title bar from bottom panel
 	 - placeholder for future panel toolbars
	to get panel orientation
	
	* gedit/gedit-window.c: adapt for the above changes
	
	* bindings/python/gedit.defs: add GeditPanel.get_orientation()

2005-12-30  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-ui.xml: add a placeholder in the tab popup.

2005-12-29  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-utils.[ch]: add some string escaping utils.
	
	* gedit/gedit-window.c: properly escape action names and labels.

2005-12-29  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit.c: make sure window is realized before setting the
	startup timestamp.

2005-12-28  Steve Frécinaux  <nudrema@gwash.com>

	* plugins/indent/gedit-indent-plugin.c: retrieve tab settings
	directly from GtkSourceView instead of using the prefs-manager.

2005-12-18  Michael Terry  <mterry@cvs.gnome.org>

	* .cvsignore:
	* Makefile.am:
	* configure.ac:

	Convert help system to gnome-doc-utils (bug #318486).
	Further changes documented in help/ChangeLog.

2005-12-15  Paolo Borelli  <pborelli@katamail.com>

	* plugins/spell/gedit-spell-plugin.c: add ellipsis to the
	"Set Language" menu item, as per HIG. (bug #314964)

2005-12-14  Paolo Borelli  <pborelli@katamail.com>

	* gedit/gedit-ui.h:
	* gedit/gedit-widow-private.h:
	* gedit/gedit-widow.c:

	Move Quit and View menitems to separate groups so that they
	are sensitive even when there are no tabs. (bug #324078)

2005-12-12  Paolo Borelli  <pborelli@katamail.com>

	* all files: too many changes to list, this is the merge of
	the new_mdi cvs branch, featuring almost a rewrite of the whole
	gedit codebase.
	Here is an excerpt from Paolo Maggi's mail describing the merge
	to the developement list:

	The "new_mdi" branch has been used for a substantial rework of
	the gedit internals with the goal of fixing various longstanding
	issues and improving the quality of the whole codebase.

	The main issues we wanted to fix were the ones related to the
	way gedit handled its tabbed interface (see bug #131953), but
	then a lot of other improvements have been put in.

	In particular:
	- GtkUIManager is now used for menus and toolbar instead of
	  libbonoboui
	- A side panel and a bottom panel have been added
	- A new gobject-based plugin system has been implemented
	- Plugins can now be written in Python
	- Reading and writing of files are now handled in an
	  asynchronous way (so the user interface never blocks)
	- Local files are read using mmap (when possible)
	- Incremental search is supported (use Ctrl+K)
	- A lot of usability improvements with some new UI experiment
	  are featured
	- Startup time and performaces have been improved
	- Remote file saving is supported (for a limited configurable
	  set of VFS methods)

2005-12-12  Paolo Borelli  <pborelli@katamail.com>

	* ChangeLog: fork off a new ChangeLog for the big merge of the
	new_mdi branch.
